Getting Started

Welcome to Project5!

Tutorial: a tutorial.

Basics

Creating Patterns

Inserting and Playing Synths

Using Effects

Remote Control

Automation

SYNCHRON 32

Cakewalk
http://www.cakewalk.com
Cakewalk Support
http://www.cakewalk.com/Support/
Voice: (617) 423-9004
Fax: (617) 423-9007
p5support@cakewalk.com
sales@cakewalk.com


Basics

Anatomy of Project5

Getting Started with Project5

Looping a Project

Changing the Tempo

Changing the Time Signature

Project5 is intended for the creation of pattern-based electronic music using DirectX and VST synths and effects. You can play through Project5 using a MIDI controller, or create patterns to play through synths and effects.

Project5's advanced MIDI input filtering system lets you layer and control multiple synths at the same time, or even play along with other musicians at the same time. Because of this MIDI flexibility, you can think of Project5 of as a "super-synth" with multiple layers and sounds, or as a synth hub where numerous musicians can play together through various MIDI devices.

Uninstalling Project5

When you installed Project5, the setup program placed an Uninstall icon in the Start menu. To uninstall Project5, click the Start button and choose Programs-Cakewalk-Project5-Uninstall Project5. You can also uninstall Project5 from the Windows Control Panel as follows:

To Uninstall Project5

  1. Click the Start button, and choose Control Panel.
  2. Double-click on the Add/Remove Programs icon.
  3. Choose Project5, then click Add/Remove.

Click Yes to confirm that you want to uninstall Project5.

Cakewalk
http://www.cakewalk.com
Cakewalk Support


Anatomy of Project5

This section covers the Project5 user interface.

The following section covers the Project5 user interface.

Tracker

P-SEQ

SYN.OPS

The Main Control View

Cakewalk
http://www.cakewalk.com


The Main Control View

The Project5 Main Control view has the following controls:

Transport Controls

Reset, Play, Jog Forward, Jog Backward and Record buttons.

The following table gives a brief description of each of the Transport buttons:
Button | Description
Reset | The Reset button moves the Now Time to the beginning of your project.
Play | The Play button begins playback at the current Now Time.
Jog Backward | The Jog Backward button nudges the Now Time backward by the current Snap Grid resolution.
Jog Forward | The Jog Forward button nudges the Now Time forward by the current Snap Grid resolution.
Record | The Record button begins recording MIDI data to all armed tracks at the current Now Time.

Song Title

This is the name of the current project as it was last saved. If you have made any edits since you last saved the file, an asterisk appears at the end of the song title.

New Button

Located to the right of the song title, the New button creates a new Project5 project.

Open Button

The Open button opens the Open dialog where you can navigate to a Project5 project.

Save Button

The save button opens the save as dialog if the current project is new and hasn't been saved before, otherwise the Save button overwrites the previous version of the current project.

Reset Audio Engine Button

This button stops the playback of all notes. If any of your notes in Project5 should become "stuck" (turn on, but not turn off), click this button.

Now Time Display

The Now Time display shows the current Now Time as a numerical value. You can choose to display the Now Time in either measures, beats, and ticks (M:B:T) or in SMPTE.

M:B:T Selection Button

The M:B:T Selection button switches the Now Time display to show measures, beats, and ticks.

SMPTE Selection Button

The SMPTE Selection button switches the Now Time display to show SMPTE time.

Tempo Control

The Tempo control displays the current tempo. Tempo automation can be edited in P-SEQ.

CPU Meter

Displays the current CPU usage on a percent scale. The Overload Limit indicator lets you know if you have exceeded your computer's CPU.

Loop Enable

Project5 allows you to loop over a section. Clicking the Set to Sel button creates markers at the beginning and end of the selection. A selection can be either a pattern or a length of time. If there is no selection the beginning marker appears at the current Now Time and ending marker appears after one measure.

Shuffle Amount

Set the amount of swing applied to the selected 8th note patterns in
P-SEQ when the Swing Eighths button is lit. The amount of shuffle ranges from 0 to 100%.

Metronome Controls

  • Click On/Off--Click to enable the metronome.
  • Beat--Set the number of beats the metronome counts in before the project begins playback or recording.
  • Count On/Off--Click on to count-in the number of beats set in the Beats field.
  • Level--Set the volume for the metronome.

Mains Controls

  • Display Mains/Aux Buses in SYN.OPS--Click the Mains/Bus selector button to display the Main output and the four Aux Buses in SYN.OPS.
  • Mains Meter--Displays the volume level for the left and right channel of the main output in Project5.
  • Aux Bus Return Level Volume Knobs--Adjust the volume of each Aux Bus return.
  • Main Volume--Adjust the volume of your Main output.

The Now Time

Transport Controls

Looping a Project


Tracker

Tracker consists of the Track pane and the Arrangement pane. The Track pane is the patch point for the synths in your project and it contains volume, pan and width controls. The Arrangement pane is where you edit and arrange patterns.


P-SEQ

P-SEQ is where you create new MIDI patterns, and save existing patterns to the Pattern Bin.

P-SEQ is where you create, edit, and import patterns, automation data and synth/effects data in Project5.

P-SEQ Transport Controls

There are two Transport control buttons in P-SEQ: Preview [image] and Record [image] .

Preview--Plays the current pattern. While playing the pattern, the Preview button changes to a Pause button which you can click to stop previewing the current pattern. You can also stop previewing the pattern by clicking the Pause button in Project5's main toolbar. You can set the time where playback begins in P-SEQ by double-clicking in P-SEQ's Time Ruler, which moves the Edit Marker to the location you double-clicked.

Note: Patterns in P-SEQ preview on MIDI channel 1 by default. You can change this channel by sending the pattern to a track, double-clicking the pattern, and adjusting the channel in P-SEQ's Edit menu. However, when you click the keyboard that's in P-SEQ or click notes in P-SEQ's Note pane, the notes play through the MIDI channel that's listed in SYN.OPS' MIDI channel menu (last menu on right end of toolbar).

Record--Begins pattern recording either in Step Recording mode (if the Step Mode button is engaged) or in Real-Time mode.

Record Controls

Use the Record controls to modify how recording P-SEQ takes place.

Step Record Mode--When engaged, notes are entered in Step-Mode. Step-Mode means that a new note is entered in P-SEQ each time a note is played on your MIDI controller, no matter how much time has passed since the last note was entered. The note durations are determined by the note duration setting.

Number of Steps--The total number of notes that you can enter when step recording.

Constant Velocity--When enabled, the notes entered are not affected by velocity changes from the MIDI controller. Note velocities are all set to 100.

Overwrite Mode--When enabled, current note data is overwritten by new note data.

Snap Resolution

The snap resolution in P-SEQ sets the precision at which notes can be entered and edited. A snap resolution of 1/2 means that entered notes and notes you drag and drop in P-SEQ "snap" to the nearest 1/2 note boundary. The snap resolution in P-SEQ ranges from measures to 1/128th notes. The default is 1/16th. You can override the snap resolution setting by holding the Shift key while dragging notes. When the Snap Resolution is off, or when you are overriding it, data moves by ticks.

Note Values

Select the duration of notes you enter in P-SEQ.

Link

The Link button forces the Snap button resolution and the Note Value to be the same. For example, if you change the Note Value setting then click the Link button, the snap resolution will follow the Note Value setting.

Pattern Management Controls

The following controls, located on the left side of P-SEQ, allow you to save, create, import and duplicate patterns.

Control... | Description...
New Pattern button | Creates a new pattern.
Duplicate Pattern button | Creates a copy of the current pattern. The copy gains the prefix "copy of" added to the original pattern name.
Save button | Saves the pattern to the directory where the Pattern Bin stores all Disk patterns. To change the name of the pattern before saving, double-click on the pattern name and enter a new one.
Open Button | Opens the Open Pattern dialog to the default directory for Disk patterns. Navigate to the directory you want and select a file to open in P-SEQ.
Send to Track button | Sends the pattern to the selected track in Tracker at the current Now Time. You can also click and drag the button to a specific time in a track to place the current pattern there.

Edit Menu and Editing Tools

The following controls, located beneath the Edit menu, allow you to select which pattern is displayed for editing in P-SEQ.

The following table describes each of the Edit menu contents:

Control...

Description...
Pattern Edit menu

The Pattern Edit menu has three submenus:
  • In Use--Select from one of the patterns currently being used in your project.
  • Scrap--Select from one of the patterns that you are not currently using in your project.
  • Track/Bus Automation--Select an aux bus, the Main output, or one of the synths you are using in your project. Settings for Track/Bus Automation affect the entire track, bus or main.
Transposition

Select a pitch offset for the current instance of the pattern selected in the Edit menu. A pattern must be blinking in Tracker to be the current instance. The range is from -127 to +127 for a MIDI pattern or -24 to +24 for a Groove clip. The Transposition value is displayed in parenthesis next to the pattern name in Tracker.
This attribute is specific to the current pattern only.
MIDI Channel

Set the MIDI channel for the current instance of the pattern selected in the Edit menu. A pattern must be blinking in Tracker to be the current instance. The choices are Omni and 1 through 16. This option is useful for using different patterns to trigger multiple voices on a multi-timbral synth.
This attribute is specific to the current pattern only.

P-SEQ's editing tools are used to create and edit patterns in P-SEQ. You create and edit notes, MIDI events, automation data (for tracks, patterns, aux buses, and the main output), and the tempo map using these tools.

The following table describes each of P-SEQ's Edit tools:

Control... | Description...
Select tool | For selecting, cropping and dragging and dropping data in P-SEQ. You can use the Select tool to select both note and automation data.
Notes tool | Use the Notes tool to enter note data in P-SEQ, selecting, dragging, dropping, cropping, and rolling out notes.
Automation tool | Use the Automation tool to enter automation data in P-SEQ.

Selecting an automation menu item from P-SEQ's Automation Edit menu displays that automation data in P-SEQ for editing.

The following table describes each of P-SEQ's Automation Edit menus

Control...

Description...
Track (TRK)

Select the track automation parameter you want to edit:
  • Volume--track volume (-INF to +6dB)
  • Balance--track pan (left 0-100; right 0-100; center)
  • Width--width value (0 to 120 degrees)
  • Mute--(on/off)
  • Phase--(on/off)
  • Aux (1-4)--send volume, send pan, send width, send phase
DXi

Select the synth automation parameter you want to edit.
FX

Select the effect automation parameter you want to edit.
MIDI

Select the MIDI automation parameter you want to edit:
  • Velocity
  • Wheel
  • Modulation
  • other CCs

Tempo Map

The Tempo Map, unlike all other controls in P-SEQ, is used to edit a project-wide setting. The Tempo Map you create in P-SEQ affects the entire project. Click the Tempo Map button [image] to display the Tempo Map for editing.

Use the Select tool [image] to select tempo data. Draw tempo data using the Automation tool [image] .


Pattern Bin

The Pattern Bin is a pattern explorer that allows you to audition patterns then drag and drop them into your project.

Patterns that have been saved, new patterns and patterns that were created, but are no longer being used all live in the Pattern Bin.

Pattern Bin Categories

The following is a description of each pattern type:

  • Disk--These patterns have been saved to disk and are available for all projects. Some patterns are installed when you install Project5. These patterns are Disk patterns.
  • In Use--These patterns are currently in your project. In Use patterns appear in the order they were added to your project.
  • Scrap--These patterns were created in the current project and either never sent to Tracker or deleted later. These patterns are saved along with your project, so you can always go back and retry an old idea.

The Preview Bin

The Preview bin is where you can audition one or several patterns. Double-clicking on a pattern in the Pattern Bin clears the current patterns from the Preview Bin and adds the new one. To add multiple patterns, hold down the Ctrl key while clicking on additional patterns.

Delete Button

The Delete button [image] deletes the currently selected pattern from the Scrap or In Use folders.

Set Shared Folder Button

The Shared Folder Button [image] opens a dialog that allows you to set the directory in which your Disk patterns are stored.


SYN.OPS

SYN.OPS is where you adjust synth and effects parameters and set aux send levels for each of the four aux busses.


The Now Time

The Now Time in Project5 marks the point at which playback begins. It also marks the point at which patterns begin when sent from the P-SEQ. The Now Time is indicated by a vertical line in the Arrangement pane, and by the display in Project5's main toolbar. You can change the display of the Now Time from the Measures/Beats/Ticks format to Hours/Minutes/Seconds by clicking either the M or H fields in the Now Time display in the Main Control view.

The P-SEQ view (to display P-SEQ, use the View-P-SEQ command) has its own Now Time, that is independent of the project's Now Time.
P-SEQ's Now Time is the time where any pattern in P-SEQ starts to play back when you click P-SEQ's Preview Pattern button.

To Change the Now Time in a Project

  • Click in the Time Ruler where you want the Now Time to be.

You can also change the Now Time using the Transport controls.

To Change the Now Time in P-SEQ

  • Double-click in P-SEQ's Time Ruler where you want P-SEQ's Now Time to be
Or
  • Drag the Edit Marker in P-SEQ to where you want P-SEQ's Now Time to be.


Getting Started with Project5

This section covers the most basic tasks in Project5. This is a good place to start.


Setting MIDI Devices

Your computer may have several MIDI devices, perhaps you have several external MIDI modules and an internal sound card. Before you can use any of these devices, you must select them in Project5's MIDI Devices dialog.

To Set MIDI Devices

  1. Select Options-MIDI Devices.
The MIDI Devices dialog appears.
  2. In the MIDI Devices dialog, select the devices you want to use with Project5 in the Available MIDI Input Devices field (on the left) and click the right-pointing arrow to add them to the Active MIDI Input Ports field (on the right).

To Change the Order of MIDI Devices

You may want to change the order of your MIDI devices as they appear in Project5.

  1. Select a device in the Active MIDI Input Ports dialog.
  2. Click the Up arrow to move it up or the Down arrow to move it down.


Creating a New Track

Each track in Project5 is associated with a single synth, or in the case of Groove clips, the GroovePlayer. The synth is the source of the sounds for the track.

To Create a New Track

  1. In the Tracker toolbar, click the Add button [image] .
  2. From the menu that appears, select Insert Synth and select a synth from the list that appears.


Playing a Project

You can use any of Project5's demo projects to get familiar with the Transport controls.

To Play a Project

  • Click the Play button [image] on the toolbar.

Note: If you experience stutters or glitches during playback, chances are the Buffer Size slider in the Audio Options dialog's Mixing Latency section is set too low for your CPU or sound card to handle. To correct this, select Options-Audio and increase the buffer size setting by several milliseconds (ms) and try playing your project. Repeat if necessary.

To Rewind a Project

  • Click the Reset button [image] on the toolbar.

To Stop Playback

  • Click the Pause button [image] on the toolbar.

To Preview a Pattern

  1. In the Pattern Bin, select the pattern you want to preview.
  2. In P-SEQ, click the Preview button [image] .


Muting, Soloing, and Arming Tracks

Each of Project5's tracks has a Mute button, Solo button, and an Arm button.

Project5 also has Master Mute, Solo, and Arm buttons that will unmute, unsolo, or disarm all tracks simultaneously. Whenever any tracks are muted, the Master Mute button lights up; whenever any tracks are soloed, the Master Solo button lights up; and whenever any tracks are armed, the Master Arm button lights up. Note that clicking the Master buttons will only turn single-track buttons off, not on.

To Mute or Unmute a Track

  • Click the track's Mute button.

To Solo or Unsolo a Track

  • Click the track's Solo button.

To Arm or Disarm a Track

  • Click the track's R button.

To Unmute, Unsolo, or Disarm all Tracks

  • Click the Master Mute, Solo, or Arm buttons, respectively.


Looping a Project

You can use the Looping controls in the Project5 toolbar to loop all or part of a project.

To Loop a Project

  1. In the Project5 toolbar, click the Loop On/Off button.
  2. Enter a start and end time in the In and Out fields.
  3. Click the Play button to loop your project.


Changing the Tempo

Project5 has controls for changing the tempo of the whole project, or for changing the tempo at any point in the project. The Tempo control, located in the main toolbar, changes the tempo of the whole project. If you want to add tempo changes, or vary the tempo during the project, you want to use the Tempo Map in P-SEQ.

To Change the Tempo Using the Tempo Control

  1. In the Main Control view, click the Tempo control and drag up to increase the tempo, or down to decrease the tempo.
Or, if you want to change the tempo more precisely,
Double-click the Tempo control.
  2. Click the Up or Down buttons that appear to change the tempo by one tenth of BPM.

The Tempo Map in P-SEQ allows you to make as many tempo changes as you want in your project.

To Draw Tempo Changes in the Tempo Map

  1. In P-SEQ, click the Edit Tempo Map button [image] .
The Tempo Map appears in P-SEQ.
  2. Click the Automation tool in the P-SEQ toolbar.
  3. Click and drag in the Tempo Map.

To Draw a Straight Line in the Tempo Map

  1. In P-SEQ, click the Edit Tempo Map button [image] .
The Tempo Map appears in P-SEQ.
  2. Click the Automation tool in the P-SEQ toolbar.
  3. Click where in the Tempo Map you want the straight line tempo change to begin, hold down the Shift key and drag the mouse.


Changing the Time Signature

By default a new project in Project5 is in 4/4 time. Maybe that's all you'll ever use, but Project5 lets you change the time signature for your project. You can change the time signature for the whole project or make a change at any point in your project.

To Change the Time Signature for the Whole Project

  1. Select Edit-Change Time Signature from the Project5 menu.
Or
Right-click in the Time Ruler in the Arrangement pane and select Change Time Signature.
The Change Time Signature dialog appears.
  2. In the Change Time Signature dialog, set the number of beats you want per measure and the note value of each beat.
  3. Click OK.


Using the Metronome

The metronome allows you to record a part in perfect time with your project.

To Use the Metronome

  1. In the Project5 Main Control view, click the Click On/Off button to turn on the metronome.
  2. If you want the metronome to count-in before recording begins, click the Count On/Off button and change the value in the Beats field to the number of beats you want to play before recording begins.


Saving a Project

Project5 projects are saved with the extension .p5p.

To Save a Project

  1. Select File-Save As from the Project5 menu.
The Save As dialog appears.
  2. Navigate to the folder where you want to save your project.
  3. Enter a name for your project.
  4. Click the Save button.


Tutorial

Use this tutorial to get familiarized with Project5. Project5 is a non-linear sequencer, meaning that it is designed for using patterns, both MIDI and audio.

This tutorial covers the following:

  • Basics
  • Creating Patterns
  • Editing Patterns
  • Remote Control
  • Automation
  • Mixdown
  • Using SYNCHRON 32


Basics

To get up and running with Project5, you only need to:

  • Choose MIDI and audio drivers
  • Insert a synth and play it

This first tutorial shows you these basic tasks, and also how to customize your synth's performance settings, and add an effect.

See:

Choosing MIDI and Audio Drivers


Choosing MIDI and Audio Drivers

When you installed Project5, Project5 asked you to choose the MIDI driver that you want to use to send MIDI data to Project5. A MIDI driver is a small software program that manages the flow of MIDI data between your MIDI interface and your computer. If you have more than one MIDI interface connected to your computer, you need to make sure that the drivers that are enabled (chosen) in Project5 are the ones you're using for your MIDI keyboards and any other MIDI devices you want to use in Project5. If you only have one MIDI input port and therefore only one MIDI input driver, you would obviously enable that driver. Still, it's good to know how to enable different MIDI drivers, especially if you're adding or changing MIDI interfaces, sound cards, or related hardware.

Similarly, if you have more than one audio driver on your computer, you need to make sure that the one that manages the sound card that you use for playback is the one that is enabled in Project5. Otherwise, you won't hear anything when you play your soft synths.

To Choose MIDI Drivers

  1. Use the Options-MIDI Devices command to open the MIDI Devices dialog.
  2. In the Available MIDI Input Devices list, highlight the driver(s) for the MIDI interface(s) that you have connected to your MIDI keyboards or other controllers, and click the Right Arrow button to move it/them to the Active MIDI Input Ports list.
  3. Click OK.

You can use multiple MIDI input ports (interfaces) with Project5.

To Choose Audio Drivers and Set Latency

  1. Use the Options-Audio command to open the Audio Options dialog.
  2. In the Outputs menu, select the audio driver for the sound card you use for playback. This sound card should be one that is connected to your amplifier and speakers, so you can hear the sounds Project5 produces.
  3. In the Sampling Rate and Bit Depth fields, Project5 enables the 44,100 Hz and 16 bit options by default (this is standard, CD-quality audio). If you want to use other settings for your particular sound card, choose them now.
  4. In the Mixing Latency section, drag the Buffer Size slider down to 20 mS, or even less if you're confident your system can handle it. At settings higher than 20 mS, the response time between when you play your keyboard and when you hear the sound from Project5 starts to get too big. If you get distortion from your sound card at 20 mS, you may need to download a new audio driver from your sound card vendor.
Note: WDM and ASIO drivers provide the lowest latency in Project5.
  5. Click OK.

Now that your MIDI and audio drivers are enabled, let's try Inserting and Playing Synths.


Inserting and Playing Synths

Each synth that you use in Project5 gets its own track in the Tracker. One synth = one track; one track = one synth.

To Insert a Synth and Create a Track

  • Click the Insert Track button [image] , and for this tutorial, choose the PSYN synth from the popup menu.

Project5 creates a new track, with the synth you chose patched into it.

Play your MIDI controller and listen to the synth. Notice that both the volume meter and MIDI indicator on the synth's track light up when you play the synth. You can adjust the synth's track controls to change volume, pan, etc.

You can choose sounds and other settings for the synth you inserted in the SYN.OPS ("Synthesizer Operations") view, which is an expanded view of an individual track's controls. If SYN.OPS isn't already displayed, you can show it by using the View-SYN.OPS command (you can arrange Project5's different views by using the last three commands in the View menu). Once SYN.OPS is displayed, you can display a particular synth's property page by clicking the synth's track name.

Note: When you move or resize SYN.OPS, holding down the Ctrl key while you drag may give you more predictable results. This view is dockable, and when it reaches a default docking region, it may resize and reposition itself automatically, which may not be what you're intending.

Next, insert another synth, so you can learn how to use multiple synths for real-time performance.

See:

Using Multiple Synths


Using Multiple Synths

Once you have several synths inserted into your project, you need to be able to control them effectively. In Project5 you can:

  • Mute or solo any synth
  • Configure synths to only respond to certain note ranges, velocity ranges, and/or MIDI ports and channels that your controller sends
  • Automatically transpose the synth's range in real time

With all this control, you can load up multiple synths and easily control which ones respond when you play your MIDI controller. You can also control most of your synth's parameters from sliders or knobs on your MIDI controller (see the tutorial on Remote Control).

Here's how to set up your synths for real-time performance:

To Play One Synth at a Time

  • Make sure no Solo buttons are enabled, and click the MIDI Routing Override button of the synth track you want to play. The button turns green when it's enabled.
Or
  • Make sure no MIDI Routing Override buttons or Solo buttons are enabled, and click the Solo button of the synth track you want to play. The button turns green when it's enabled.
Or
  • Configure each synth to only respond to a certain MIDI channel, and/or note range, and/or velocity, and or/input port. See To Choose a MIDI Port and/or Channel for a Synth to Respond to (Real-time Input Only).

The MIDI Routing Override button is only functional for real-time input from a keyboard or controller, and only one MIDI Routing Override button can be depressed at a time. The Solo and Mute buttons function for both real-time input and playback of recorded material and can all be used at the same time.

Tip: When you're playing live, and you don't want to grab the mouse to choose which synth you want to play, use Remote Control to operate the Solo buttons. Alternate method: configure each synth to respond to a different MIDI channel, and switch channels at your controller.

To Play Several Synths at a Time

  • Make sure that no MIDI Routing Override button is lit, and then click the Solo buttons of the synth tracks you want to play, or click the Mute buttons of the synth tracks you don't want to play.

To Play All Synths

  • Make sure none of the MIDI Routing Override buttons, Mute buttons, or Solo buttons are lit. Also, make sure all synths are configured to respond to the MIDI channel and port that your MIDI controller is using (see following procedure).

To Choose a MIDI Port and/or Channel for a Synth to Respond to (Real-time Input Only)

  1. Right-click the track's number, or click the synth's port menu in SYN.OPS.
A popup menu appears.
  2. Choose from the following options:
    • No Ports--this option prevents the synth from responding to input from your MIDI controller.
    • All Ports-(choose MIDI Channel or Omni)--this option causes the synth to respond to a specific MIDI channel that comes in through any MIDI port (interface). If you choose Omni, the synth responds to any MIDI input on any MIDI port.
    • (name of port)-(choose MIDI Channel or Omni)--this option causes the synth to respond to a specific MIDI channel that comes in on a specific MIDI port. If you choose Omni, the synth responds to any MIDI input on the specified MIDI port.

Choosing a MIDI port, channel, note range, or velocity range for real-time input filtering does not affect recorded playback. You control MIDI routing for recorded playback in P-SEQ and in each synth's property page.

To Limit the Note Range and/or Velocity that a Synth Responds to (Real-time Input Only)

  1. In the SYN.OPS toolbar, find the note range and velocity menus that are just left of the Ports menu [image] .
  2. In the note range menu, drag the first set of up/down arrows up or down to choose the lowest note that you want this synth to respond to; drag the second set of up/down arrows up or down to choose the highest note that you want this synth to respond to.
  3. In the velocity menu, drag the first set of up/down arrows up or down to choose the lowest velocity that you want this synth to respond to; drag the second set of up/down arrows up or down to choose the highest velocity that you want this synth to respond to.

To Transpose a Synth in Real Time

  1. Display the synth in SYN.OPS, and then find the Transpose menu that's just left of the velocity range menu.
  2. Drag the arrows up or down to set the number of half steps you want to transpose the synth's output by.

Transposition settings in SYN.OPS do not affect the playback of patterns in Tracker or P-SEQ.

To Unmute, Unsolo, or Disarm All Synths

  • Click the Master Mute button, the Master Solo button, or the Master Arm button so that the appropriate button is not lit.

The Master Mute button lights up whenever any synth's Mute button is lit. The Master Solo button lights up whenever any synth's Solo button is lit, and the Master Arm button lights up whenever any synth's Arm button is lit. Turning any of these Master buttons off turns off all buttons of the same kind that are on individual synth tracks.

Note: Some synths have multiple audio outputs, and therefore have multiple sets of track controls, only one set of which is displayed at any one time. The Master Mute, Solo, and Arm buttons control all sets of track controls.

The next part of our tutorial shows one of the most fun parts of Project5: adding effects to your synths.

See:

Adding Effects


Adding Effects

You add both MIDI and audio effects in Project5's SYN.OPS view. You patch MIDI effects in the MIDI FX bin that's at the bottom of SYN.OPS, and Audio effects in the Audio FX bin that's next to the MIDI FX bin.

For this tutorial, let's patch an audio effect.

To Patch an Audio Effect

  1. Click the track name of the synth you want to add an effect to.
SYN.OPS shows the property page of the synth you clicked.
  2. In the bottom pane of SYN.OPS, where it says Audio FX, right-click in the black area and, for this tutorial, select Effects-Project5-Tempo Delay. However, once you select Effects from the menu, you can select any of the available effects.
The name of the effect you chose appears in the Audio FX pane, with a green bypass button lit up.
  3. Double-click the rectangle that's just below the name of the effect in the Audio FX pane to open the effect's property page.
  4. In the effect's property page, in the Presets dropdown menu, select sync'd 303 delay (for this tutorial), or just use the default settings of the effect.
  5. Play your MIDI controller and listen to the effect.
  6. Adjust the effect's controls if you want. You can save any new settings by typing a name for them in the Presets window and then clicking the disk icon.

To delete the effect, right-click the name of the effect in the Audio FX pane, and choose Delete Effect from the popup menu. You can add as many effects to tracks, aux buses, and the main bus as your computer can handle (effects processing is very CPU-intensive). To insert an effect before another effect, right-click on the effect you want to insert the new effect before and select the new effect from the popup menu. To reorder the chain of effects, drag the name of an effect on top of another effect that's in the place in the chain where you want to move the effect.

In the next part of our tutorial, we explain how to create patterns.

See:

Creating Patterns


Creating Patterns

Once you've created or imported some patterns into Project5, you can copy, paste, delete, and arrange them in Tracker's Arrangement pane:

When you want to edit the notes or data inside each individual pattern, you do that in P-SEQ:

Note: The command to display P-SEQ is View-P-SEQ. When you move or resize this window, holding down the Ctrl key while you drag may give you more predictable results. This window is dockable, and when it reaches a default docking region, it may resize and reposition itself automatically, which may not be what you're intending. To undock the window, hold down the Ctrl key and drag the left edge of P-SEQ.

After P-SEQ is sized and positioned the way you want it, you can hide it and display it again when you want by holding down the Alt key and pressing 1.

P-SEQ has its own Preview and Record buttons, so you can preview and/or record individual patterns without affecting your overall project. If you like the pattern you created in P-SEQ, you can drag it to a location in the Tracker by dragging the Send to Track button.

Here are several ways to create patterns in Project5:

  • Dragging patterns from the Pattern Bin
  • Step recording
  • Recording MIDI parts in real time

Here's how to do these tasks:

To Drag a Pattern from the Pattern Bin

  1. In the Tracker, depress the Snap button (so that it's green) [image] , and set its dropdown menu to Meas (Measure). This makes sure that when you drag a pattern to a track, the start of the pattern will start exactly at a measure boundary.
  2. For this tutorial, open a new project (File-New command), and insert the PSYN synth as Track 1.
  3. Make sure the tempo is set to 140 by double-clicking the BPM field in the Main Control view, typing 140, and pressing Enter.
  4. Use the View-Pattern Bin command to display the Pattern Bin.
  5. Expand the Pattern Bin's Disk folder by clicking the + sign that's next to where it says Disk.
  6. Scroll down through the Disk folder, and drag pattern Bass 02 to the beginning of Track 1, and release the mouse.

Project5 places the Bass 02 pattern at the beginning of Track 1:

The Bass 02 pattern is four measures long, and you can see that it ends at the start of measure 5.

Note: If you want to drag a Groove clip (ACIDized clip) or .wav file from the Pattern Bin, you need to insert a GroovePlayer track to drag it to.

Let's pick a sound for the PSYN synth to play: in SYN.OPS, in the Select Bank/Patch menu, pick 0 Psyn Bank A-Cruncher Bass. Click the Play button in Project5's Main Control view, and listen to the pattern. You can rewind by pressing W, or by clicking the Rewind button

Now that we have a project open, let's copy this pattern to make it 8 measures long, and add some more synths and patterns:

See:

Editing Patterns


Editing Patterns

Project5 has extensive editing tools for your patterns. We'll explore the basic ones in this tutorial.

Now let's import and copy some patterns to develop a project.

To Import and Copy Patterns

  1. Now that we have four measures of the Bass 02 pattern, in Track 1, move the cursor over the end of the Bass 02 pattern until it looks like this:
  2. Drag the end of Bass 02 to the end of measure 8. This is called Slip-copying. Now the pattern is twice as long.
  3. Let's insert the Velocity synth, which creates a new track.
  4. Click Velocity's Bank Load button (not its Bank/Patch menu), and navigate to Program Files/Cakewalk/Shared DXi/Velocity/Velocity Banks, and choose the 808.p5d set from the Velocity Banks folder.
  5. Drag the Trance Kit 01_d pattern from the Disk folder to the beginning of the Velocity track.
  6. Slip-copy Trance Kit 01_d to the end of measure 8, so it matches the length of the PSYN track (make sure the Snap button is still depressed).

Click the Play button in Project5's Main Control view to hear the patterns.

Let's make our project loop over the 8 measures:

To Set Up Looping

  1. In Project5's Main Control view, click the Loop On/Off button so that it's on (green).
  2. Double-click the Out menu, type a 9, and press Enter.

Project5 is now set up to loop over the first 8 measures.

To Edit a Pattern

  1. Display the Trance Kit 01_d pattern from the Velocity track in P-SEQ by double-clicking the pattern in the Tracker.
Note: You can float the P-SEQ view by holding down the Ctrl key while you drag the upper left corner to the desired location. After P-SEQ is sized and positioned the way you want it, you can hide it and display it again when you want by holding down the Alt key and pressing 1.
  2. Let's set the Snap button in P-SEQ to a measure by choosing Meas from the Snap dropdown menu. The Snap button is already depressed [image] , so we'll leave it on (dark backgrounds mean a button is in the off position). This ensures that all the editing we do in P-SEQ will take place at precise, one-measure intervals.
  3. The pattern is one measure long, so let's lengthen it by dragging its end marker to the right to the start of measure 3 (see second picture below). You may need to use the horizontal zoom control that's at the bottom of P-SEQ to display measure 2. Drag it up or down to zoom horizontally. Drag it right or left to scroll.
  4. Use the Select tool to drag through all the notes to select them (they turn red when selected).
  5. Hold down the Ctrl key while you drag the first note of the pattern into the next measure and release the mouse: Project5 pastes a copy of the notes into measure 2 of the pattern.
  6. Let's copy a note and paste it to a new location: change the Snap menu to Sixteenth, and, using the Select tool, drag through the handclap note that's on the last beat of the pattern to select it (it turns red when selected), and, while holding down the Ctrl key, drag it to the next 16th note boundary, and release the mouse:

Project5 copies the selected note to the new location. You can deselect the selected note by pressing the Escape key. You can delete notes by selecting them and pressing the Delete key. You can undo edits by pressing Ctrl+Z as many times as you need to get to the edit you want to undo.

Now that we've copied and pasted a note, let's edit its velocity.

To Edit a Note's Velocity

  1. Make sure Trance Kit 01_d is displayed in P-SEQ (if it isn't, double-click Trance Kit 01_d in the Tracker).
  2. In the MIDI menu in P-SEQ (under Automation Edit Menus), choose Velocity from the dropdown menu. The menu turns green when it's enabled.
  3. Using the Automation tool, draw a line above the last handclap in the pattern. Notice how the green columns change height to show the change in velocity (if the note's still red from being selected, press the Escape key to deselect it).

Now your pattern has a new velocity value.

Let's finish arranging our project by importing another pattern, and then recording a couple of parts.

To Import Another Pattern

  1. Create another track by inserting another PSYN synth. In the Bank/Patch menu of SYN.OPS, choose 0-Psyn Bank A-Oldscool.
  2. In the Disk folder of the Pattern Bin (use the View-Pattern Bin command if you don't see the Pattern Bin), find the 303 01_a pattern and drag it to the beginning of the new PSYN track.
  3. Play the project.
  4. Now let's delete the 303 01_a pattern: click it so that it changes color, and then press the Delete key on your keyboard.
Project5 removes the pattern from the Tracker, and places it in the Scrap folder in the Pattern Bin. You can drag it back into the Tracker if you need it.
  5. Let's try another pattern: find the EpicRiff 01 pattern in the Disk folder, and drag it to the beginning of the new PSYN track.

Play the project (make sure Oldschool is still selected in SYN.OPS' Bank/Patch menu). Let's keep that pattern, and step record an additional percussion part.

To Step Record

  1. For this tutorial, create a new pattern by clicking the New Pattern button in P-SEQ.
  2. For this tutorial, select a Step Size value of Quarter Note (1/4). This value determines the length of the notes you create.
  3. Click the Step button to enable it (it's off in the above picture).
  4. Select the Number of Steps you want to record: 8 for this tutorial.
  5. If you want to enter the notes at a constant velocity (of about 100), enable the Vel button.
  6. If you want to overwrite notes on each recording pass, enable the Ovr button.
  7. In P-SEQ, click the Record Pattern button to start step recording
  8. We want to record a cymbal crash: press Db4 on your MIDI keyboard.
  9. Press the Tab key 3 times to enter some rests, then press Db4 again to enter another cymbal crash.
  10. Click the Record Pattern button again to stop recording.

Pressing Ctrl+Z erases the notes you recorded. You can also draw notes one at a time by clicking the Note tool, and clicking the time and pitch locations in P-SEQ where you want notes. You can erase notes by right-clicking them with the Note tool, and change the locations and durations by dragging the notes. The Snap button and Snap menu determine how precisely you can edit notes.

Let's drag the pattern you created to the Velocity track by clicking and dragging the Send to Track button.

To Drag a Pattern to the Tracker

  1. While your new pattern is displayed in P-SEQ, drag the Send to Track button in P-SEQ to the beginning of the Velocity track and release the mouse.
In this case you won't see the new pattern in the Velocity track because there's already a pattern there.
  2. To show the pattern that's underneath another pattern, right-click the pattern in the Velocity track and choose Bring to Front-(name of the new pattern) from the popup menu.
  3. Now that you can see the new pattern, slip-copy it to the end of measure 8 (drag its right border to the end of measure 8).

Now let's record some MIDI notes in real time.

To Record in Real Time

  1. For this tutorial, let's record directly in the Tracker so you can hear the project while you play: click the R button of the track you want to record on to arm it for recording.
  2. Enable the MIDI Routing Override button on the track you want to record on so you'll only hear yourself playing through that track.

  3. If you want to record your notes with a constant MIDI velocity, enable the Vel button in P-SEQ (it's to the right of the Step button).
  4. If you want to overwrite notes on each pass through the pattern, enable the Ovr button.
  5. Rewind the project, and then click the Record button in the Main Control view to start recording.
  6. Start playing your MIDI instrument.
  7. Click Play or press the Spacebar when you're finished recording.

Project5 creates a new pattern in the track you recorded on. The pattern blinks because it's the active instance of the pattern, meaning you can edit the pattern's transposition and MIDI channel in P-SEQ. You can press Ctrl+Z if you want to erase what you just recorded.

You can also record patterns in P-SEQ, by pressing the Record Pattern button (make sure the Step Record button is off).

There are many more ways to edit patterns, including merging and layering patterns, and splitting them. See Arranging and Editing Patterns.

Our next tutorial covers Remote Control.


Remote Control

Project5 allows you to use any MIDI device or controller to change synth and effect parameters as well as many of Project5's controls. Any MIDI control message can be used as a source. For example, you can set a Mod Wheel to control a synth's volume or reverb decay time.

Let's start our tutorial by assigning the Mod Wheel on your MIDI controller to control the volume of Track 3 in a project:

To Control Track 3 Volume with the Mod Wheel

  1. Open a project, or insert a synth into a new project, and right-click on the volume control of Track 3.
  2. Select MIDI Remote Control from the popup menu that appears.
The MIDI Remote Control dialog opens, with the widget you clicked (the volume control in this case) highlighted in the Mapped Parameters list.
  3. In the MIDI Input Source field, select the name of your MIDI interface.
  4. In the MIDI Channel field, select a channel--if you want the widget to respond to any channel, choose Omni.
  5. In the Control Source section, for this tutorial, select Mod Wheel.
  6. If you wanted to use a slider on your controller instead of the Mod Wheel, but you're not sure what controller message the slider sends out, you can click the Learn button, move the slider in question, and then click Stop Learning.
  7. Click OK.

Project5 assigns the Mod Wheel to control Track 3's volume control. Move the Mod Wheel on your controller and watch the volume control on Track 3 move.

Now let's add an effect to Track 1, and control one of the effect parameters with the Pitch Wheel.

To Control an Effect Parameter with the Pitch Wheel

  1. Display Track 1 in SYN.OPS by clicking the track name of Track 1.
  2. Add the Tempo Delay effect to Track 1 by right-clicking in the Audio FX pane that's at the bottom of SYN.OPS, and choosing Effect-Project5-Tempo Delay from the popup menu.
Some of the Tempo Delay effect's controls appear in the pane to the right of the Audio FX pane.
  3. Right-click on any effect parameter knob that's displayed in the parameter list that's in the lower right corner of SYN.OPS.
  4. Select the parameter you want to control from the popup menu.
The popup menu closes and the name of the knob you clicked changes to the name of the parameter you chose from the popup menu.
  5. Right-click on the same knob to redisplay the popup menu.
  6. Select MIDI Remote Control from the popup menu that appears.
The MIDI Remote Control dialog opens; the name of the parameter (knob) you clicked is highlighted in the Mapped Parameters field.
  7. Select the name of your MIDI interface from the MIDI Input Source menu.
  8. Select a channel--if you want the widget (knob) to respond to any channel, choose Omni.
  9. In the Control Source section, select the MIDI controller message that you want to use to control the widget, which for this tutorial is Pitch Wheel.
  10. Click OK.

Project5 assigns the Pitch Wheel to control the parameter that's highlighted in the Mapped Parameters list.

Now let's control a synth parameter by Remote Control:

To Control a Synth Parameter with Remote Control

  1. Display the synth you want to control in SYN.OPS by clicking the name of the synth's track.
  2. Right-click one of the Assignable Controller knobs that are at the left side of SYN.OPS. If you don't see the knobs, drag the left edge of the synth's property page to the right until you do.
  3. Select the parameter you want to control from the popup menu.
The popup menu closes.
  4. Right-click on the same Assignable Controller knob to redisplay the popup menu.
  5. Select MIDI Remote Control from the popup menu that appears.
The MIDI Remote Control dialog opens, with the parameter (knob) you clicked highlighted in the Mapped Parameters list.
  6. Select an input port from the MIDI Input Source menu.
  7. Select a channel--if you want the parameter to respond to any channel, choose Omni.
  8. In the Control Source section, select the MIDI controller message that you want to use to control the parameter.
  9. If you're not sure what controller message a slider sends out, click the Learn button, move the slider in question, and then click Stop Learning. You can choose a different MIDI channel, or Omni, after you click Stop Learning.
  10. Click OK.

Project5 assigns the control source you selected to the parameter that's highlighted in the Mapped Parameters list.

To Detach a Parameter from Remote Control

  1. Right-click the parameter and choose MIDI Remote Control from the popup menu.
  2. Make sure that the parameter is highlighted in the Mapped Parameters list.
  3. Click the Delete button that's below the Mapped Parameters list.
  4. Click OK.

Project5 detaches the parameter from its Remote Control assignment.Our next tutorial covers Automation.


Automation

Automation means to record the movement of a fader, knob, or other "widget" so that the next time you play your project, that widget moves automatically. You can use Remote Control to move the widget while you're recording. Project5 allows you to automate track controls, pattern parameters, aux buses, the main bus, effects parameters, and synth parameters. When you export your finished project, Project5 uses all your automation data to create your final mix.

You can record track control automation and effects parameter automation into either tracks or patterns. When track automation and pattern automation coincide, both sets of automation data take effect. This causes the automated widget to jump erratically, so make sure you're not sending conflicting streams of automation data to the same widget.

Note: Some older synths do not respond to automation.

Let's start our tutorial by recording the movement of the volume control on Track 1 into a track.

To Record the Volume Control's Movements into a Track

  1. Click the R button on Track 1 of a project to arm the track.
  2. Click the Record Automation on Tracks button so that the button turns red.
  3. Click the Record button in Project5's Main Control view to start recording.
  4. Move Track 1's volume control back and forth.
  5. Click the Record button or press the Spacebar to stop recording.
  6. Rewind the project, click the Play button, and watch the volume control move on its own.

To View and Edit the Automation

  1. In P-SEQ, click the Edit menu and choose Track/Bus Automation-(name of the synth you recorded with), to display the automation.
  2. Also in P-SEQ, from the Trk menu, choose In Pattern-(name of the parameter you recorded), which in this case is volume.
P-SEQ displays a graph of the volume automation. You may need to drag the scrollbar at the bottom of P-SEQ to get to the place in the project where you recorded the automation.
  3. If you want to edit the automation, click the Automation tool and redraw the graph.

Now let's automate a synth parameter, and record it into a pattern instead of into a track.

To Automate a Synth Parameter

  1. For this tutorial, create a new pattern to record the automation into by clicking the New Pattern button in P-SEQ (you could record into a pre-existing pattern).
  2. Make sure that the Record Automation On Tracks button is not depressed (not red).
  3. In SYN.OPS, right-click one of the Assignable Controller knobs, and choose the parameter that you want to automate from the popup menu.
  4. Click the Record button in P-SEQ to start recording in the pattern.
  5. Use the mouse to move the Assignable Controller knob the way you want it to move.
  6. Stop recording by Clicking the Record button in P-SEQ, or by pressing the Spacebar.

Play the pattern, and watch the Assignable Controller knob move. You can edit the automation as follows:

To Edit Synth Automation in a Pattern

  1. Make sure that the pattern you recorded is displayed in P-SEQ (if it's not, double-click the pattern in either the Scrap folder or the In Use folder that are in the Pattern Bin).
  2. In P-SEQ in the Automation Edit Menus, click the dropdown arrow on the DXi menu, click In Pattern, and then click the name of the parameter that you automated. Note: Some common DXi parameters such as volume and pan are considered to be track parameters, and you can find them in the TRK menu instead of the DXi menu.
  3. Click the Automation tool button, and use the mouse to edit the graph. You can also use the Select tool to select parts of the graph, and then use the Left/Right arrow keys and the +/- (plus and minus) keys to edit the selected data.
  4. To erase automation, hold down the right mouse button and drag the Automation tool through the graph.

Now that you've recorded some synth automation in a pattern, you can place that pattern anywhere you want in your project to control the parameter you automated.

The next part of our tutorial shows you how to export your finished project as a .wav or .mp3 file.

See:

Mixdown


Mixdown

After you're arranged all your patterns, added all your effects and automation, and adjusted your levels, you can export your project as a .wav or .mp3 file to burn to CD or send over the Internet.

Note: You must activate your MP3 encoder before it will become available as a Project5 export option. Information on how to activate Project5's MP3 encoder is located on the Project5 Owner's Page on the Cakewalk web site. In Project5's Help menu, select the Owner's Page option to visit the site (Help-Project5 Owner's Page).

To Export Your Finished Project

  1. Make sure your levels are set, effects are patched the way you want, and no tracks that you want in the mix are muted. If you only want a few tracks to go in the mix, you can solo those tracks.
  2. Use the File-Export command to open the Export Audio dialog.
  3. In the Save In field, navigate to the folder where you want your exported project file to be.
  4. In the File Name field, type the name of the file.
  5. In the Save as Type field, choose Wave files or MP3 files.
  6. If you chose Wave files, choose a Bits per Sample value (CD quality is 16 bits).
  7. Choose a Sample Rate (if you chose Wave files, CD quality is 44,100 Hz).
  8. If you want to leave room in the file for the sound of any effects that may still be sounding when the project stops playing, choose a value in the Effects Tails field of up to 99 seconds (usually a couple of seconds is enough--play the end of your project and listen for when all the sound stops after the last note).
  9. If you have a looped region in your project, and you only want that section in your exported file, enable the Export Looped Regions Only checkbox.
  10. If you chose MP3 files, drag the Quality/Speed slider to strike a balance between sound quality and bandwidth--higher quality increases file size and download times.
  11. If you chose MP3 files, choose a Bit Rate--128 is a good-quality MP3 bit rate, 320 approaches CD quality, 80 creates fast downloads, etc.
  12. If you chose MP3 files, choose a Stereo Mode from these options:
    • Mono--this option creates a standard mono file for minimum bandwidth.
    • Stereo--this option creates a standard stereo file.
    • Joint Stereo--not a full stereo file, but most files will sound just as good, and at smaller bandwidth. If stereo separation is important for this particular file, choose Stereo or Mid/Side instead.
    • Mid/Side Stereo--preserves most of the stereo effect of a file but at lower bandwidth. Not too useful at bit rates above 128 kbs.
  13. Enable High Pass/Low Pass Filters--these filters decrease your file size by eliminating frequencies that people don't usually hear anyway.
  14. ID3 Tag--clicking this button opens the ID3 Tag dialog, where you can enter identifying information that is stored in your MP3 file and can be read by most MP3 players and similar hardware.
  15. Click the Save button to finish exporting your file.

After you export your file, you can play it in Windows Media Player or a similar application. If you're creating MP3 files, you can create several versions using the different options for bandwidth size, mono/stereo, etc., to see what fits your requirements the best.

The last part of our tutorial shows you how to get started with SYNCHRON 32, Project5's exciting new MIDI plug-in.

See:

Using SYNCHRON 32


Using SYNCHRON 32

SYNCHRON 32 is a MIDI plug-in that you patch in the MIDI FX bin in the SYN.OPS window of Project5. In SYNCHRON 32, you can create and edit up to 32 different patterns, any one of which can be triggered from a note played live in Project5 or from a note in a pattern being played back by Project5.

To Patch SYNCHRON 32 Into a Track

  1. Display the track you want to add SYNCHRON 32 to by clicking the name of the track.
  2. In SYN.OPS, right-click in the MIDI FX bin section and select Mfx-Project5 SYNCHRON 32 from the menu that appears.

SYNCHRON 32 appears in the MIDI FX bin.

To Create a Pattern

  1. In the MIDI FX bin of SYN.OPS, double-click the rectangle under the Project5 SYNCHRON 32 name to open its property page.
  2. In the lower left corner of the SYNCHRON 32 property page (the Bank/Pattern section), click the A button and the 1 button--we're going to add some notes to this pattern: Pattern A1.
  3. If there is data in the Bank/Pattern you have selected you may see some notes in the Note grid, but if the notes are in a lower or higher octave than Synchron is currently displaying, you'll see one of the lights in the Octave Slider lit up to show what octave the notes are in.
  4. Let's assume that our current project is in 4/4 time: drag the Step Count slider to 16. If we then enter 16 16th notes, we'll have a one-measure pattern of 16th notes (you can change durations any time during a pattern, and leave rests by not clicking all the squares).
  5. Make sure the Note Duration knob is set to 1/16 so we can enter some 16th notes. The largest note you can enter is 2 measures, and the smallest is a 128th note. If you want to enter triplets or dotted notes, click the T or . (dot) buttons that are under the Note Duration knob.
  6. Start clicking the little squares in the Note grid to add notes to our pattern. You can erase a note by re-clicking it. The Notes/Voices pane shows what notes you're entering. You can drag the Octave slider to change to a different octave.
  7. When you've entered your notes, click the Run/Stop button to hear your pattern through the track that Synchron is patched into.
  8. When you're satisfied with your pattern, add it to a track by right-clicking the place in the Tracker where you want it, and choosing Project5 Synchron32-(name of the pattern: A1, A2, etc.) from the popup menu (in this instance, choose A1). You can copy, paste, and move the pattern within this track just like any other pattern.

There are other ways to trigger your patterns (from other patterns, for example). You can add more than one note per step (chords, harmony, etc.) when you enable the Poly button. You can add a flam to any note in a pattern by clicking the Flam button that's under that step. You can add a pitch bend to any note by turning the Bend knob that's below that note. You can add controller data to any note by clicking the bottom of the Notes/Voices pane and choosing a controller; then turn any of the knobs that are directly below the Note grid to add controller data to the note at that step. You can enter notes all across the Note grid by dragging the mouse. You can edit the velocity of a note by right-clicking it and choosing Soft-(value you want), Medium-(value you want), or Hard-(value you want) from the popup menu.

Much more information about SYNCHRON 32 is in the SYNCHRON 32 chapter.


Inserting and Playing Synths

With Project5 you can play and layer as many synths as your computer can handle. You can play them all at the same time, using different effects on each one if you like, trigger each one independently with recorded MIDI data, split your keyboards by range and velocity, transpose playback in real time, or mix and match them any way you want. Project5 uses synths that conform to the DXi plug-in standard, but includes a special wrapper that allows you to use VST synths and plug-in effects also.

In Project5, each synth gets its own track, with controls for volume, pan, width, mute, solo, arm, and output (for multi-output synths). You can choose what MIDI channel and port a synth responds to, opening up the possibility of using several controllers on different MIDI interfaces at the same time. Only your computer's processing power limits the number of synths you can use.

SYN.OPS is the window you use to pick sounds for your synth. When you click a track's number, SYN.OPS displays the property page of the synth that's patched into that track.

See:

Playing Synths in Real Time

Choosing Sounds and Configuring Synths

To Patch a Synth and Create a Track

Using VST Synths and Plug-ins


Playing Synths in Real Time

In Project5, each synth gets its own track: one synth = one track; one track = one synth. When you play your MIDI controller, by default all the synths that you've patched into Project5 will sound. If you only want to play one synth at a time, you can depress that synth's MIDI Routing Override button. You can also configure each synth to only respond to specific MIDI channels, specific input ports, ranges of notes, and velocities.

To get fast enough response to your playing, your sound card's latency needs to be set to 20 mS or less. The latency slider is in the Audio Options dialog (Options-Audio menu command). If the sound starts to distort at this setting, you may need a new audio driver for your sound card. Latency does not affect recorded playback--only real-time input from a controller.

To Patch a Synth and Create a Track

  • Click the Insert Track button, and choose a synth from the popup menu.

Project5 creates a new track that's located before the currently selected track, with the synth you chose patched into it. You can also insert tracks by right-clicking the position where you want the new track to go, and choosing Insert Synth-(name of desired synth) from the popup menu. The synth appears in SYN.OPS whenever you click the name of the track you created.

If the synth you patched has multiple outputs, Project5 shows what output the track controls apply to in the output menu that's located below the Mute and Solo buttons. Each track has as many sets of track knobs and controls as its synth has outputs. Use each synth's property page to route specific sounds through specific outputs. You can use separate effects on each output. Remember though, that effects use a lot of your computer's processing power. If two or more synths can use the same effect, consider patching the effect into an aux bus, and sending each synth's signal through that bus.

Play your MIDI controller and listen to the synth. Notice that the volume meter on the synth's track lights up when you play the synth. You can adjust the synth's track controls to change volume, pan, etc.

To Patch a Synth into an Existing Track

  • Right-click the controls of an existing track, and choose Replace Synth-(name of the synth you want).

To Rename a Track

  • Double-click the name of the track, type a new name, and press Enter.

To Play One Synth at a Time

  • Make sure no Solo buttons are enabled, and click the MIDI Routing Override button of the synth track you want to play. The button turns green when it's enabled.
Or
  • Make sure no MIDI Routing Override buttons or Solo buttons are enabled, and click the Solo button of the synth track you want to play. The button turns green when it's enabled.
Or
  • Configure each synth to only respond to a certain MIDI channel, and/or note range, and/or velocity, and or/input port. See To Choose a MIDI Port and/or Channel for a Synth to Respond to (Real-time Input Only).

Tip: When you're playing live, and you don't want to grab the mouse to choose which synth you want to play, use Remote Control to operate the Solo buttons. Alternate method: configure each synth to respond to a different MIDI channel, and switch channels at your controller.

To Play Several Synths at a Time

  • Make sure that no MIDI Routing Override button is lit, and then click the Solo buttons of the synth tracks you want to play, or click the Mute buttons of the synth tracks you don't want to play.

To Play All Synths

  • Make sure none of the MIDI Routing Override buttons, Mute buttons, or Solo buttons are lit. Also, make sure all synths are configured to respond to the MIDI channel and port that your MIDI controller is using (see following procedure).

To Choose a MIDI Port and/or Channel for a Synth to Respond to (Real-time Input Only)

  1. Right-click the track's number, or click the synth's port menu in SYN.OPS.
A popup menu appears.
  2. Choose from the following options:
    • No Ports--this option prevents the synth from responding to input from your MIDI controller.
    • All Ports-(choose MIDI Channel or Omni)--this option causes the synth to respond to a specific MIDI channel that comes in through any MIDI port (interface). If you choose Omni, the synth responds to any MIDI input on any MIDI port.
    • (name of port)-(choose MIDI Channel or Omni)--this option causes the synth to respond to a specific MIDI channel that comes in on a specific MIDI port. If you choose Omni, the synth responds to any MIDI input on the specified MIDI port.

Choosing a MIDI port, channel, note range, or velocity range for real-time input filtering does not affect recorded playback. You control MIDI routing for recorded playback in P-SEQ and in each synth's property page.

To Limit the Note Range and/or Velocity that a Synth Responds to (Real-time Input Only)

  1. In the SYN.OPS toolbar, find the note range and velocity menus.
  2. In the note range menu, drag the first set of up/down arrows up or down to choose the lowest note that this synth will respond to; drag the second set of up/down arrows up or down to choose the highest note that this synth will respond to (you can also double-click the menu, type a value, and press Enter).
  3. In the velocity menu, drag the first set of up/down arrows up or down to choose the lowest velocity that this synth will respond to; drag the second set of up/down arrows up or down to choose the highest velocity that this synth will respond to.

To Transpose a Synth in Real Time

  1. Display the synth in SYN.OPS, and then find the Transpose menu that's in the SYN.OPS toolbar just right of the Bank/Patch menu.
  2. Drag the arrows up or down to set the number of half steps you want to transpose the synth's output by.

Transposition settings in SYN.OPS do not affect the playback of patterns in Tracker or P-SEQ.

To Delete a Track

  • Right-click the track's name or number, and choose Delete from the popup menu.

To Unmute, Unsolo, or Disarm All Synths

  • Click the Master Mute button, the Master Solo button, or the Master Arm button so that the appropriate button is not lit.

The Master Mute button lights up whenever any synth's Mute button is lit. The Master Solo button lights up whenever any synth's Solo button is lit, and the Master Arm button lights up whenever any synth's Arm button is lit. Turning any of these Master buttons off turns off all buttons of the same kind that are on individual synth tracks.

To Change the Order of Tracks

  • Drag the track number or name of the track you want to move to the location where you want it.


Choosing Sounds and Configuring Synths

Choose sounds in SYN.OPS' Bank/Patch menu, or in the synth's property page in SYN.OPS. You can open SYN.OPS by double-clicking the track number of a synth track, or by using the View-SYN.OPS command.

Note: Standard MIDI Files frequently contain program or patch changes. If you want a particular synth to respond to the program changes that are in a Standard MIDI File, set the Bank/Patch menu in SYN.OPS to None. If you want the synth to ignore the program changes, just choose a sound manually from the Bank/Patch menu, and the synth will ignore the program change messages that are in the Standard MIDI File.

To Display a Synth's Property Page

  • Click the name or number of the track. The synth's property page appears in SYN.OPS.
Or
  • Choose the track name from the Track menu of SYN.OPS.

To Float a Synth's Property Page

  • If you want to move the synth's property page freely, click the Float button that's at the left end of the SYN.OPS toolbar.

To Choose Sounds for a Synth

  • Display the synth's property page, and choose the sounds you want from the synth's property page on the MIDI channels you want.
Or
  • In SYN.OPS' toolbar, choose the MIDI channel you want to choose a sound for by clicking the Channel dropdown menu. Then click SYN.OPS's Bank/Patch dropdown menu to choose a bank and patch.

Note: You can choose the next or previous Patch in the Bank/Patch menu by pressing B and Shift+B, respectively.

To Save a Preset Sound Group

  1. Set up a synth in SYN.OPS with all the sounds and outputs configured the way you want.
  2. In the Presets menu in the SYN.OPS toolbar, double-click the name that appears there, type a new one, and press Enter.
  3. Click the Disk icon to save your preset.

Saving a preset does not save note ranges, velocity ranges, or remote control assignments. These parameters are saved with the project file.

To Load a Preset Sound Group

  1. In the Presets menu in the SYN.OPS toolbar, click the dropdown arrow to display the Presets menu.
  2. Click the name of the preset you want; Project5 loads the selected preset.

Note: You can choose the next or previous Preset in the Preset menu by pressing P and Shift+P, respectively.

To Delete a Preset Group of Sounds

  1. Click the dropdown arrow in SYN.OPS' Presets menu.
  2. Click the name of the preset you want to delete to select it.
  3. Click the X icon in the Presets field, and click OK when the dialog pops up.

Project5 deletes the selected preset.

See also:

Using VST Synths and Plug-ins


Using VST Synths and Plug-ins

You can use VST synths and plug-in effects exactly the way you use DXi synths and plug-in effects in Project5. All you need to do is run the included VST wrapper program to do a configuration each time you install new VST synths and/or plug-in effects.

When you installed Project5, you had the option of registering your VST plug-ins at that time. Whenever you install new VST plug-ins, you need to register the new plug-ins by running the VST wrapper program again.

To Register VST Plug-ins to Use as DXi Plug-ins

  1. Use the Windows Start menu: Programs-Cakewalk-VST Adapter 4.0-VST Adapter 4.0. This opens the VST Configuration Wizard.
  2. Follow the instructions in the Wizard, and when the VST Plug-in Search Path dialog appears, click the Add button to browse for the folders where you installed your new VST plug-in(s).
  3. After your folders are displayed in the VST Plug-in Search Path dialog, choose from these options to decide how configuration will proceed:
    • Re-scan failed plug-ins--choose this option if there was an error when you originally scanned a plug-in.
    • Re-scan existing plug-ins--choose this option if you're having trouble with an existing plug-in, or if you want to change how plug-ins are displayed in your plug-ins menu.
    • Subdivide menu--choose this option if you want to add breaks between plug-ins in your plug-in menu, to make it easier to read.
    • Don't add VST prefix--choose this option if you don't want the plug-ins you're about to scan to be labeled VST (name of plug-in) in your plug-ins menu.
  4. Click Next to have the adapter scan the folders for VST plug-ins.
The adapter finds your plug-ins and lists them in the VST Plug-in Configuration dialog.
  5. Select a plug-in you want to configure, and click Properties. The VST Plug-In dialog appears, with the selected plug-in listed, and some Plug-in Options:
    • Presets folder--click the browse button at the end of this field to choose the folder where you want to store presets for this plug-in.
    • Enable as DXi plug-in--enable this option if you want to use the plug-in as an audio effect.
    • Configure as DXi synth--enable this option if you want to use the plug-in as a soft synth.
    • Do not intercept NRPNs--the adapter uses NRPNs to run automation of your VST plug-ins. However, some instruments have their own implementation of this process, so checking this box passes the NRPNs directly to the instrument, allowing it to manage its own automation.
    • Force stereo operation--some host applications assign a single, mono track to carry a VST plug-in's output. Checking this option forces the host to use two mono tracks or a single stereo track.
    • Editor size--the X field lets you choose the width of the plug-in's property page (in pixels), and the Y field lets you choose the height of the page.
  6. Choose the options you want for this plug-in, and click OK.
The adapter configures the plug-in and returns to the VST Plug-In Configuration dialog.
  7. If you want to finish, select no more plug-ins and click Next; otherwise, repeat steps 5 and 6 for additional plug-ins.


DS864 Sampler

Welcome to the online reference. Below, you'll find an introduction, which will get you started quickly, by selecting and playing a program.

The sections that follow describe all of the controls that shape the sound of a program, and allow you to modify the sounds creatively.

The final section is a Terminology Reference--if you encounter a word in the other sections that you don't understand, look here. If you're new to samplers or sampling in general, it might be a good idea to begin by reading this section, to learn the most common terms.


Introduction

The DS864 is a multitimbral, multi-output sampler, capable of receiving MIDI on up to 16 channels. Each MIDI channel can in turn be assigned to 1 of 8 stereo outputs.

The sampler imports popular sample formats, which you can subsequently edit. You can also create your own programs from a collection of WAV files. Programs are stored in banks; any number of programs, regardless of which bank they originate from, can be assigned to a specific MIDI input. You can save banks and programs in DS8 file format.

Samples can be key mapped and set to different velocity zones to create dynamic programs. Samples also respond to loop points and it is possible to edit volume offsets, tuning, and panning of the samples. Sample-level effects include waveform reversal, phase inversion and bit decimation.

In addition to two resonant filters, the sampler provides standard modulation controls such as envelopes and LFOs. The envelopes and LFOs can modulate the volume, panning, filter cutoff and resonance levels, pitch and so on. Envelopes and LFOs can also respond to various modulation sources, including MIDI CCs, aftertouch, etc.

Generally, the user interface displays the value of the control you're adjusting, in a popup hint--to adjust a value, simply click with the left mouse button on a knob, and hold the mouse button while you drag the mouse up or down, to increase or decrease the value. It is also useful to notice, that most of the controls can be fine-adjusted, by holding down the left shift button on the PC keyboard while dragging the mouse up or down.

To Load a Program

  1. To load a program from the factory bank that comes with the DS864, move your mouse to the large display in the left panel--the top row in the display contains the program and bank controls.
  2. To pick a program from the currently loaded bank (by default the factory bank), simply click the current program title (where it says "001: Default Program" at startup)
  3. Choose the program you want, from the popup menu that appears.
Or
  1. Alternatively, you can use the little green left/right arrows next to the program title, to cycle through the programs in the currently loaded bank.

To Load and Save

Loading and saving is done by clicking on the folder and disc icons in the large display on the left panel. The first two of the four rows are the ones used to load and save programs and layers.

The first row deals with DS864 programs. In DS864, a MIDI bank is a collection of up to 128 DS864 programs, and a program is a complete "sound" for the sampler, including the multisample and all settings. The label on the left displays the program currently selected from the loaded bank, and provides forward/backward buttons (left/right green arrows) for quick access to all the programs in a bank. You can also click on the green arrow to the left of the program name, to open popup menu from which you can directly select the program you want to open.

The left half of the second row displays the multisample/program filename chosen for the currently selected part--you can have up to 8 parts, each of which have their own program; all other controls in the plug-in display and modify the settings for the currently selected part. You can switch to a different part by clicking on the filename, which will display a popup with the 8 available parts and their associated filenames.

The folder and disk icons in the second row are used to open a multisample (AKP/KRZ/SF2) or program (DP8), and to save a program (DP8)--the DS864 is capable of loading several sampler formats:

  • *.WAV and *.AIF--These are the standard one-sample files used on Windows and Mac OS operating systems. 16-bit and 24-bit formats, in mono or stereo, are supported. You can build your own multi-sample programs from such one-sample files, and these can be saved in the DS864's native (*.DP8) format.
  • *.AKP--Multisamples from AKAI S5000 / S6000 hardware samplers can be imported.
  • *.KRZ--These are multisample programs for the Kurzweil K2000 hardware sampler.
  • *.SF2--This format is widely used in software samplers, as well as on many soundcards.
  • *.DP8--This is the native format of the DS864--you can save your own multisample programs in this format.

To name a program before saving it, doubleclick on the program name, and input the new name in the dialog that appears.

When importing third-party multisamples, such SoundFont 2, AKAI and Kurzweil files, it is important to understand that only the multisamples are loaded--such formats contain other information used to program the filters, envelopes, and other components of the native hardware/software platforms from which these formats originate. The DS864 ignores this additional programming, which may be contained in some formats, but provides it's own, usually much more flexible and diverse, set of filters, LFOs and envelopes that you can use the shape the sound of the imported multisamples.


Program Controls

The right half of the second row in the large display on the left panel, contains the MIDI input and audio output settings for the currently selected part

MIDI and Audio settings

The MIDI setting (the left of the two controls), determines which of the 16 MIDI channels the currently selected part "listens" to--this can be set to OMNI as well, which means that the part will respond to MIDI messages on any of the 16 channels. By choosing the same MIDI channel for two (or more) parts, you can effectively "stack" several programs; that is, play them at the same time--for example, by loading cello, violin and viola programs into three different parts, and setting them all to MIDI channel 1, you could conduct a small string ensemble at one time.

The audio output setting (the right of the two controls), decides which audio channel the part is sent to--on hosts that support multiple audio outputs from the same instrument, the DS864 has a total of 8 channels, and each part can be assigned to any one of these. You can use this feature to process several parts differently in your host application--for example, if your host has insert effects for channels (most hosts do), you could send your drum part to output 1, and your strings to output 2, which would enable you to insert different effects on them, as if they were two different instruments.

Part controls

The VOL, PAN, TUNE and BITS knobs in the upper-right corner of the left panel, are the master controls for the currently selected part. VOL controls the volume of the part, and PAN controls the stereo panning. With TUNE, you can adjust the tuning of each individual part, from -1 to +1 octave, specified in halfnotes, with one decimal. The BITS setting can be used to decimate/degrade the sound to a lower quality, simulating a lo-fi sound.


Performance Controls

These are the controls that determine how the DS864 reacts to keystrokes and pitchbender messages from a MIDI keyboard.

Portamento

Portamento, when enabled, causes new notes to initially trigger with the pitch of the previous note, and then to glide towards the pitch of the new note. When using portamento, it is most common to play only a single key at a time--there is no technical reason why you couldn't play chords if you wanted to, but most of the time this won't give very interesting results. The portamento section (in the red area on the right panel) contains two controls, which adjust the rate and type of portamento effect.

The RATE control controls the time it takes to slide from the previous note to the new one--when this is set to zero (default), portamento is disabled. The higher the setting of this value, the longer the duration of slides between notes.

LIN, EXP and LOG are the three possible choices for the portamento transition curve. When set to LIN, the glide between notes is linear--the pitch changes with a constant rate from the previous to the new note. If set to EXP, the transition is exponential, which means that the glide is quicker at first, and then slows down as it approaches the pitch of the new note. When set to LOG, the transition is logarithmic--the glide is slower at first, and then speeds up as it approaches the pitch of the new note.

Pitch Bend

These controls determine how the DS864 reacts to movement of the pitch bender on a MIDI keyboard. The pitch bend section contains three controls (in the red area of the right panel), for adjusting the pitch bend range and behavior.

The amount of possible upwards pitch bend (to a higher note pitch) is controlled with the knob labelled UPPER, while the amount of possible downwards pitch bend (to a lower note pitch) is controlled with the LOWER knob--possible settings, for both knobs, range from 0 (no pitch bending possible) to 12 halftones (a full octave of pitch bend possible).


Master Controls

The master volume, panning and tune controls affect all parts--these controls affect the output globally, on all channels.

These controls are located in the upper-right corner of the right panel, in the red area.

The VOLUME knob controls the overall output volume of the instrument, for all parts, on all output channels.

PAN controls the stereo panning offset of the instrument. You can pan the individual parts as well, using the small controls at the top of the left panel (the Program Controls), but these are relative to the global panning of the instrument. So for example, if you set the global panning all the way to the left, and the panning of a part all the way to the right, this results in zero panning (+100% -100% = 0%) for that part.

Global tuning of the entire instrument is done with the TUNE control--again, this tuning is an offset, and results in relative tuning of all parts. Possible values range from -1 to +1 octave, with a precision of 1/10th of a halfnote.

Filters (FLT1 and FLT2)

The sampler includes two multi-mode filters that can be independently enabled, each with its own unique character. Advanced filtering techniques can be realized by sending the output of the first filter to that of the second.

This section of the manual deals with the DS864's filter controls specifically--if you're new to the concept of filters in general, you should begin by reading the Terminology: Filter section, before studying the remainder of this page.

FLT 1

The first filter is a multimode filter with a 12 dB/octave falloff. The four different modes, of which one can be selected, are:

  • LP (Low Pass)--Passes low harmonic frequencies (including the fundamental frequency). High harmonic frequencies are filtered out.
  • HP (High Pass)--Passes only high harmonic frequencies, filtering out the lower frequencies, including the fundamental frequency.
  • BP (Band Pass)--A movable region of the frequency spectrum that passes frequencies within its specified range, while frequencies above and below the band are filtered out.
  • NT (Notch)--A movable region of the frequency spectrum that rejects frequencies within its specified range.

FLT 2

The second filter is a 4-pole low pass filter, with a 24 dB/octave falloff, similar to the 60's analogue Moog filter. Unlike the first filter, this is a low-pass filter only--it passes low harmonic frequencies (including the fundamental frequency). High harmonic frequencies are filtered out.

CUTOFF (Filter Cutoff Frequency)

Both filters have a cutoff frequency to control the point in the spectrum where frequencies are passed and rejected in a given mode.

RESO (Resonance)

Both filters have a resonance control, which adjusts the amount of amplification around the filter's current cutoff frequency. Turning this up, will produce the traditional howling or whistling filter effect.

BYP (Bypass)

Turning on the bypass switch, disables a filter--both filters have this option. If you only want one filter enabled, or if you want no filtering at all, you can bypass one or both of the filters.

Filter Modes

The filter mode switch is located on the right side of the FLT 2 panel. This switch can be used to toggle between SR (serial) or PL (parallel) combination of the two filters.

With both filters enabled, and when set to serial, filter 1 is applied first, and filter 2 is then applied to the filtered output from filter 1. In parallel mode, the two filters are processed in parallel--that is, the unfiltered signal is fed to both filters, and the two filtered signals are then mixed.

If either filter is disabled (bypassed), and when set to serial, only one of the active filter is applied to the dry signal--the other filter has no effect. In parallel mode, the output of the active filter will blend with the unfiltered signal.

LINK

If enabled, the cutoff parameters on both filters will be affected by the CUTOFF knob on filter 1's panel, while the difference between the cutoff values of the two filters, is preserved. This is especially useful when using the cutoff parameter on filter 1 during performance, so that when the filters are in parallel mode, you don't have to adjust both cutoff parameters to create a filter slide.

MOD AMOUNT

Both filters have three knobs to control the amount of modulation of the filter cutoff frequencies, by from envelopes (EG), by LFOs currently assigned to cutoff destinations (the LFO knob), and by keyboard (the KEY knob).

The latter (KEY) can be set to either positive or negative values--when set to a positive value, keys on the right end of the keyboard will have an increased cutoff frequency, while keys on the left end of the keyboard will have a decreased cutoff frequency. When set to a negative value, it's the other way around.


Envelopes

The DS864 uses 7-stage envelopes, which means that an envelope goes through 7 distinct stages during the duration of a note--this will be explained in further detail on this page. There are four different envelopes, which have similar controls, but different modulation targets:

  • F1 EG (Filter 1 Envelope Generator)--This envelope modulates the cutoff frequency of the first filter. The amount of modulation is determined by the EG knob in the FLT 1 control section. If filter 1 is set to bypass, or if the EG knob is turned all the way down, this envelope has no effect.
  • F2 EG (Filter 2 Envelope Generator)--Modulates the cutoff frequency of the second filter. Again, the amount of modulation is controlled by the EG knob in the FLT 2 control section. And again, if filter 2 is set to bypass, or if the EG knob is turned all the way down, this envelope will have no audible effect.
  • PITCH EG (Pitch Envelope Generator)--This envelope modulates the pitch of the note--depending on the setting of the AMT (Amount) knob, which is present only on the pitch envelope, the envelope can modulate the note pitch either positively (higher pitch) or negatively (lower pitch).
  • AMP EG (Amplitude Envelope Generator)--Controls the amplitude (loudness) of the note, and affects the duration of notes after a key is released.

The following illustration shows how the envelope is shaped over time:

An envelope begins when the key is pressed down, at the left end of the graph--and it ends after the release stage, at the right end of the graph. The envelope goes through 7 distinct stages, and is shaped by the six time faders (DADHDR) and the two red knobs (SUS and REL) as follows:

  1. Delay--When a key is pressed down, the delay stage begins. During this stage, the envelope remains at zero for a given period of time. The delay time is adjusted by the leftmost D fader, and can last from 0 to 10 seconds--if set to 0, the envelope will enter directly into the attack stage when the key is pressed down.
  2. Attack--During the attack stage, the envelope gradually rises from zero to it's full amplitude. The duration of the attack stage is adjusted by the A fader, and can last from 1 millisecond to 10 seconds.
  3. Decay I--After the attack stage, the envelope gradually falls from full amplitude to the level specified by the SUS knob. The duration of the Decay I stage, is determined by the second D fader (the third fader from the left) and can last from 1 millisecond to 10 seconds.
  4. Hold--During the sustain stage, the envelope remains at the level specified by the Sus knob, for a given period of time. The duration of this stage is determined by the Hfader, and can last from 0 to 10 seconds--if set to 0, the envelope will skip the sustain stage entirely, and enter directly from Decay I into Decay II.
  5. Decay II--In this stage, the envelope gradually falls from the sustain level, as determined by the SUS knob, to the level specified by the REL knob--this level is relative to the sustain level, so that for example, a setting of 0.5 would mean "half the sustain level", and not "half the envelope's maximum amplitude". The duration of this stage of the envelope is adjusted with the rightmost of the D faders (the fifth fader from the left), and can last from 1 millisecond to 10 seconds.
  6. Hold--By the time the envelope has completed the Decay II stage, if the key is still being held down, the envelope will enter the hold stage. It will remain at the release level (as specified by the REL knob) for as long as the key is still held.
  7. Release--The final stage of the envelope begins when the key is released. During the release stage, the envelope gradually falls from it's current amplitude to zero, over the period of time specified by the R fader.

Additionally, the envelope's behavior and response to key release, is governed by the envelope mode switch--that is, the right-most switch with the three settings:

  • NORMAL--In this mode, the envelope will proceed through the first stages into the sustain stage, only if the key is still being held--if the key is released before the envelope reaches the sustain stage, it will proceed directly into the release stage, falling from it's current amplitude to zero.
  • REPEAT--If set to REPEAT, the envelope repeats indefinitely, acting like an LFO with a programmed shape. So every time the envelope reaches the end of the Decay II stage, it will begin the Attack stage again, and will repeat the sequence for as long as the key is held. Upon key release, the envelope proceeds directly into the release stage, falling from it's current amplitude to zero.
  • FREE--In this mode, the envelope will always complete the Delay, Attack and Decay I stages, regardless of wether the key is still released. Apart from this, it behaves normally.

The TIME knob adjusts the relative time for the six time faders. By default, it's at 50%, in the middle, which means that the parameter range for the faders is up to 5 seconds--at 100%, the parameter range is up to 10 seconds, etc.

The velocity modulation amount is specified by the VEL knob, from minus 100% to plus 100%. This affects how a note's velocity (how hard you press the key on a pressure-sensitive MIDI keyboard) will affect the amplitude of the envelope. If set to a positive value, a harder keypress will have a larger amplitude than a softer keypress--or if set to a negative value, a harder keypress will have a smaller amplitude than a softer keypress.

Aftertouch response affects the envelope's amplitude after the initial attack. Provided that your MIDI keyboard supports aftertouch, it has a system to measure the physical pressure on the key--so when you've played a soft note, you can make the note louder by increasing the pressure, thus the name aftertouch. The AFT control determines the amount of amplitude increase, that can be caused by aftertouch, from a 0% (none) to a 100% increase (twice the amplitude).


LFOs

If you're already familiar with LFOs in general, this section will explain how to use the LFOs in the DS864--if you need some background knowledge about LFOs in general, please see the Terminology: LFO section before proceeding with the controls.

Three LFOs are available, which can be assigned to modulate different variables. For example, tremolo effects are created by using an LFO to modulate the amplitude, and vibrato effects are created by modulating the pitch. The filter cutoff is also a common destination for LFO modulation, to create evolving or pulsating effects.

Settings

To disable an LFO, switch on the BYP (bypass) switch--when disabled, an LFO has no effect, and uses no CPU time.

The RATE control determines the frequency of an LFO, while DEPTH controls the amount of modulation it performs on it's destination--possible values are between 0.001 Hz (extremely slow) to 20.000 Hz (extremely fast).

The DELAY time can be turned up, which results in a delay before the LFO reaches full depth--for example, if you set this to 1 second, it will take one second from you press down the key, until modulation reaches full depth. Possible values range from 0 (instant full modulation) to 10 seconds.

The SHAPE setting determines the shape of the LFO. Five different LFO shapes are available, they are (in order): sinus, square, triangle, sawtooth and noise.

Destinations

The available modulation destinations (under DEST) vary between the three LFOs--the following choices are available:

  • PITCH--Modulation destination is the note pitch, resulting in a vibrato effect.
  • AMP (amplitude)--The amplitude is modulated, resulting in a tremolo effect.
  • PAN (panning)--By modulating the panning, you can make the sound pan back and forth between the left and right speakers.
  • F1 CUT or F2 CUT (filter cutoff frequency)--Modulation destinations for the cutoff frequency on filter 1 and filter 2--with a fast LFO, this results in "wobbling" sounds, while a slow LFO results in a continuously changing character of sound (useful for pads and synth atmospheres).
  • F1 RESO or F2 RESO (filter resonance amount)--This modulates the resonance amounts of filter 1 or filter 2, changing the character and presence of the sound.

Trigger Modes

Each LFO has a trigger mode setting, which determines wether the LFO restarts on keypress or not. Four different modes are available:

  • MONO--In this mode, an LFO is monophonic, so that all voices of polyphony in the same part will be modulated synchronously. An LFO will not reset itself in this mode, but runs continuously despite the triggering of new notes. The PHASE control has no effect in this mode.
  • KEY MONO--Same as MONO triggering, an LFO is monophonic, but whenever a key is pressed, the LFO will reset--that is, it will restart itself from the location specified by the PHASE control.
  • POLY--In this mode, an LFO is polyphonic, which means that all voices of polyphony have their own individual LFOs--so voices are modulated asynchronously. These LFOs run continuously, despite any triggering of new notes. The PHASE control has no effect in this mode.
  • KEY POLY--Same as POLY triggering, an LFO is polyphonic, but whenever a key is pressed, the individual LFO of each voice will reset itself to the location specified by the PHASE control.

To summarize: MONO means that an LFO is monophonic, sharing a single LFO between all voices of polyphony, whereas POLY means that each voice has it's own LFO--and KEY means that LFOs reset according to the PHASE setting, when a note is triggered.

Performance Settings

The modulation wheel depth (MOD) knob, controls the amount of influence by the modulation wheel on the depth of the LFO--possible settings range from 0%, where the modulation wheel has no influence on the LFO, to 100%, where the modulation wheel has the most possible influence on the depth of the LFO.

The aftertouch level (AFT) knob, determines the amount of influence by the aftertouch information from a MIDI keyboard, on the LFO's depth. Some MIDI keyboards can measure a change in the amount of pressure you apply to the keys while you're holding them down. Possible settings range from 0%, where aftertouch has no effect on the LFO, to 100%, where increasing the pressure on the keys of your keyboard will have the most possible effect on the depth of the LFO.


Key Map Controls

This section of the guide will teach you how to use the key map editor and sample editor to modify the key map of a program--that is, how the samples in the program are mapped to the keyboard. You can use these techniques to build your own key maps from WAV or AIF files too.

All of the controls dealt with in this section are located on the left panel. The key map editor is the big display with the keyboard display at the bottom--this is where you control how and when each sample gets played. The sample editor is labelled SAMPLE EDIT, and is located beneath the key map editor--this is where you decide how the sample associated with the currently selected split is played, how loud, and so on.

To familiarize yourself with the key map editor while reading through these instructions, it is a good idea to begin by loading one of the factory programs, and trying out the editing techniques it's key map as you read along. Hint: before switching from the help window to the DS864 window, first double-click a of the words in this text to highlight it, so you can pick up reading when you switch back to the help window.

The Key Map Editor

The key map editor display consists of rectangles in a two-dimensional system. Each rectangle represents a split (and thus a sample) in the key map you're editing--the currently selected split is highlighted in red, while other splits are displayed in green. To select a split for editing, simply left-click on it.

The third and fourth rows of information at the top of the key map editor display, contain various information about the currently selected split. In the third row, the sample name, root note, and duration of the sample are displayed--the sample name is derived from the filename of the WAV or AIF file from which the sample was originally imported. In the fourth column, the low and high velocity, and the low and high notes of the currently selected split, are displayed--these will be discussed in further detail below.

The horizontal axis

The horizontal axis of the display corresponds to the notes on a MIDI keyboard, as indicated by the keyboard display below it. The view can be scrolled left and right, simply by holding the mouse over the left or right end of the keyboard display. The left and right sides of a rectangle in the key map editor determine the first and last note onto which the sample is mapped--for the currently selected split (i.e. the red rectangle), the range of keys that it covers is highlighted in red on the keyboard display.

The root note of the sample (the note where the sample is played at it's original note pitch), is highlighted on the keyboard display as a single green key--to change the root note of the currently selected split, simply left-click on the keyboard display. The root note is also displayed as text, in the middle of the third row of information at the top of the display.

To modify the range of notes covered by the currently selected split, move the mouse over the left side (first note), or the right side (last note) of the selected (red) rectangle on the key map display--the mouse changes shape to indicate that the side of the rectangle can be grabbed. Then click and hold the left mouse button, and drag the rectangle side to it's new position. The notes on the keyboard display will change accordingly, to help you see which notes will be covered by the split.

Additionally, the low and high notes are displayed as text, in the right side of the fourth row of information at the top of the display.

The vertical axis

The vertical axis of the display corresponds to different note velocities, as indicated by the numbers on it's left--from softer keypresses at the bottom of the scale, to harder keypresses at the top of the scale. By mapping two or more splits to different velocity ranges (by stacking rectangles on top of each other), you can cause a different sample to play depending on the velocity of a keypress.

To alter the velocity range of the currently selected split, move the mouse over the upper edge (high velocity), or the lower edge (low velocity) of the selected (red) rectangle on the key map display--the mouse changes shape to indicate that the value can be changed. Then click and hold the left mouse button, and drag the rectangle edge to it's new position.

The low and high velocity values are also displayed as text, in the left side of the fourth row of information at the top of the display. For precise editing, always keep an eye on the numeric displays while dragging the edges of the rectangle.

Adding/removing splits

In the lower-left corner of the key map display, there are two small buttons labelled ADD and DEL.

To add a new split to your key map, click the ADD button--a file open dialog will appear, from which you must select the sample you want to import for the new split--navigate to your samples folder, and select the WAV or AIF file you want to add, then click the Open button. A new split will be created for the sample you've just loaded, and this new split will be selected--while it is still selected, it is a good idea to edit the boundaries of the new rectangle, as described above.

To delete a split from your key map, first select the split by left-clicking it's rectangle in the editor--the click the DEL button. This of course deletes the sample from memory only, it does not affect the original sample file on your harddisk.

Sample Properties

For the currently selected split, the sample playback properties can be edited with the controls in the SAMPLE EDIT area.

The GAIN and PAN controls can be used to adjust the volume and stereo panning of the sample.

TUNE can be used to adjust the pitch of the sample--to finetune the pitch, hold down the SHIFT button on your computer keyboard while dragging with the mouse. The value is displayed (while the mouse button is held down) in cents--one cent is 1/100th of a semitone. Possible values range from -1200 (-1 octave) to +1200 cents (+1 octave).

KTRK adjusts the amount of keyboard tracking for note pitch--possible values range from 0 to 100 cents/key. At 0 cents/key, no keyboard tracking is done, so the note pitch is the same regardless of which key is pressed--this is useful for drum samples. At 100 cents/key, keyboard tracking is "normal"--that is, one whole semitone of pitch increase between every key.

The PHASE switch can be used to invert the phase of the sample, and the REVERSE switch can be used to play the sample backwards.

Loop points are imported when loading a WAV or AIF sample. The loop points are not editable within the DS864 and should be created in a sample editor when preparing the samples for a custom key map. The LOOP SAMPLE setting has three possible settings--OFF means the sample will only play once, FWD means the sample will repeat forwards between the loop points, and FWD/BKW means that the sample will loop forwards and backwards ("ping pong") between the loop points. If there were no loop points in the original sample, the loop points will be set at the beginning and end of the sample.


DS864 Reference

Terminology Reference

Terminology: Filter

Terminology: LFO


Terminology Reference

Sample

An individual wave file, represents the smallest primitive of a sampler's sound. Wave files include information such as their sample rate and bit depth. They can also specify original pitch information. The DS864 is capable of displaying this information, which is useful for assigning the samples to appropriate MIDI notes.

Split

Refers to a range of notes over which a given sample is pitched, that is transposed, to adjacent MIDI notes. A split may be assigned to a specific velocity range.

Program

Programs are structures that organize collections of samples, splits and zones, and all related settings (fine-tuning, attenuation, etc). A total of 128 programs can be stored in a bank.

Part

The DS864 is multitimbral, which means it can play up to 8 different parts at one time--each part can receive from a specified MIDI channel (or "omni", all MIDI channels) and output to a specified audio channel.

Bank

Banks store programs. The DS864 supports up to 128 Programs per Bank. The DS864 can respond to standard MIDI Bank/Program changes.

Key Map

A key map is made up of splits, mapping samples to different keys (notes) to be played from a MIDI controller or MIDI data sequence.

Root Pitch

When key mapping a single sample across a split, the root specifies the original pitch of the sample. Root pitches are usually assigned to the middle of a note range, as they can usually transpose up or down a few semitones before loosing their character.

Filter

A filter removes and/or amplifies certain frequencies in a sound. For background information about filters in general, see Terminology: Filter--for details about the filter controls of the DS864, see Filters (FLT1 and FLT2).

Envelope

An envelope is a signal that is used to modify, for example, the amplitude of sound--often an envelope is also used to modulate one or more variables in a synthesizer, for example the cutoff frequency varilable of a filter. An envelope can have practically any sort of shape, but typically, envelopes enter or leave certain stages keys are pressed or released.

LFO

An LFO is a Low Frequency Oscillator, usually used to modulate a variable, such as filter cutoff. For general information about LFOs, see Terminology: LFO--for information about the LFO controls of DS864 specifically, see LFOs.


Terminology: Filter

A filter changes the frequency content of sound by amplifying or damping certain frequencies. A number of terms are used when we talk about filters--below is a description of each of these terms, with illustrations to make it easier to understand.

The first important thing to understand about a filter, is that it does not create sound--it cannot make anything appear, that doesn't already exist in the sound it is processing. It can only remove certain frequency content from the sound, or amplify existing frequency content. However, amplifying or damping the frequencies of a sound, can radically modify it, often as much as to make the sound seem completely different--thus, filters are a crucial and powerful component in nearly all types of synthesizers.

Filter types

When we talk about filter types, we're describing the kind of filtering that the filter performs. Let's start by looking at what's probably the most commonly used type of filter, a lowpass filter:

A low-pass filter, as the name suggests, allows low frequencies to pass, while blocking out higher frequencies. When we talk about the cutoff frequency of a filter, we're talking about the frequency where the filter starts to work--as you can tell by looking at the above graph, a lowpass filter starts to gradually dampen frequencies above it's cutoff frequency, thus making the sound less bright.

Now let's look at the counterpart of the lowpass filter type, namely the highpass filter:

As you can see, this works the other way around--frequencies below the cutoff frequency are gradually dampened, resulting in a thinner, sometimes brighter sound. As explained, a filter cannot create frequencies that don't already exist in the sound that it's processing, thus this filter type is most valuable when used on sounds with a rich variety of frequency content.

Let's look at some other common types of filters, which you may encounter while using Orion--the bandpass filter looks like this:

The bandpass filter dampens frequencies both above and below the cutoff frequency, allowing only a band of frequencies around the cutoff frequency to pass through. It's counterpart is the notch filter:

The notch (or "band-notch") filter type, removes frequencies around the cutoff frequency, allowing only frequencies that are either higher or lower to pass through.

Filter Slope

The slope (or "steepness") of a filter, describes the curve of the cutoff graph. This is normally specified as the amount of damping per octave, and is best explained by looking at the following illustration:

As you can see, the filter with 24 dB slope starts to dampen frequencies twice as soon as a filter with 12 dB slope. The higher the slope value, the steeper the drop of the curve. Filters with a sharper slope are commonly more CPU intensive, and result in a sound that is less rich in frequency content, which is often desirable.

Resonance

Some filters have a resonance setting--in particular, it's common for the low-pass filter type to have this property. The filter resonance as the amount of amplification performed on frequencies around the cutoff frequency--for example, a resonant low-pass filter would look like this:

As you can see, the low-pass filter now does not only dampen frequencies above it's cutoff frequency, but also amplifies the frequencies just around this point. The higher the resonance amount, the taller the "bump" on the curve. Very high resonance amounts can cause ringing (or "self-oscillation"), which means that the filter starts to generate a tone with a frequency that is equal to the cutoff frequency--for example, with a cutoff of 800 Hz, an 800 Hz tone will start to appear on top of the filtered signal. This may seem contrary to what we said before: a filter does not create sound--this is, however, still true--if the filter is processing silence, it will not output an 800 Hz tone, it will only do this as long as the sound passing through contains frequencies around 800 Hz.

This covers the basics of filtering in general--if you wish to read about the filter controls of the DS864 specifically, proceed to Filters (FLT1 and FLT2).


Terminology: LFO

LFO is short for Low Frequency Oscillator. An oscillator is a repeating waveform with a fixed shape--for example, here is a sinus oscillator:

LFOs can be used to drive various parameters of an instrument, such the pitch, the amplitude, the cutoff frequency of a filter, or even a second LFO. Where there's an LFO, there is always, at least, a frequency setting for the LFO--in many cases, there is also a selection of waveforms to choose from, in addition to the sinus, for example:

The three LFOs in DS864 have many different possible targets and other options--for detailed information about the LFO controls, please see LFOs.


nPULSE Modular Drum Synth


Feature Summary

  • 12 monophonic subtractive synth modules
  • Key map voices to any note
  • MUTE / SOLO for each voice
  • 5 assignable outputs for each voice
  • characteristic oscillators and filters
  • Ring and Frequency modulation between some modules
  • Master gain and pan

The 12 modules include:

  • 2 Kicks
  • 1 Snare
  • Open Hat
  • Closed Hat
  • Cowbell / Rim shot
  • Clap
  • Rim Shot
  • 4 Toms


Using nPulse

Use the following procedures to begin using nPULSE. For additional explanation of nPULSE controls, see the nPULSE Help file. You can open the nPULSE Help file by pressing clicking anywhere in nPULSE and pressing the F1 key.

To Change the Module Preset

  1. In the module you want to change the sound for, click the Module Preset dropdown menu.
  2. Select a preset from the menu that appears.

To Mute or Solo a Module

  • Click the Mute or Solo button in the module you want to mute or solo.

To Change the MIDI Input Note

  1. In the module you want to change the MIDI trigger note for, double-click the MIDI Input Note field.
  2. Enter a new value. Valid values are the note name (C, E, F#, for example) and a number from 1 through 10 representing the octave of the note. C1, E5, and G#3 are all valid entries.

To Change the Volume of a Module

  • Click on the Volume knob in the module and move your mouse up to increase the volume of the module or down to decrease the volume.

To Change the Volume of nPULSE

  • Click the nPULSE Volume knob and move your mouse up to increase the volume of nPULSE or down to decrease the volume.

To Change the Pan of a Module

  • Click the Pan knob in a module and move the mouse down to pan left or up to pan right.

To Change the Pan of nPULSE

  • Click the nPULSE Pan knob and move your mouse up to pan left or down to pan right.


Master controls

The master controls VOL and PAN allow you to adjust the master volume and pan position, respectively, of the Drum Synth.

Feature Summary

Using nPulse

Common controls


Common controls

The nPULSE Drum Synth features several controls common to all its different synth generators:

  • Preset--allows you to select various ready-to-use settings for the current sound.
  • Mute/Solo--the mute button mutes the current module; if the module has its solo button activated, only it and any other soloed modules will be audible; all others will be muted.
  • Level--sets the overall volume of the pad.
  • Pan--sets the panoramic position of the pad.
  • MIDI input note--chooses which MIDI note from the sequencer or your keyboard will be used to trigger this module.

Audio output destination--chooses which of the Drum Synth's audio outputs this module will be routed to.

Feature Summary

Using nPulse

Master controls

Bass Drums

The Bass Drum modules have the following controls:

  • Osc Tune controls the basic pitch of the oscillator
  • Tune Init controls the degree to which the initial pitch of the oscillator is raised above the basic pitch
  • Tune Decay controls the rate at which the initial pitch decays towards the basic pitch
  • Drive controls the amount of overdrive in the circuit, which gives a brighter, more aggressive sound
  • Drive Mod controls the way in which this overdrive changes through the duration of the sound
  • Level Decay controls the rate at which the drum's volume falls off towards zero
  • SYNC modes control the interaction between the two bass drum generators in one of the following ways:- NONE - no interaction; FM - frequency modulation; RING - ring modulation.

Snare Drum

The Snare Drum module has the following controls:

  • Tone controls the basic pitch of the oscillator
  • Noise controls the amount of noise added to the oscillator signal
  • Snap controls the tone of the snare
  • Level Decay controls the rate at which the drum's volume falls off towards zero

Hi Hats

The Hi Hat modules (open and closed) have the following controls:

  • Tune controls the pitch of the oscillators
  • Density controls the number and density of oscillators
  • Frequency controls the filter frequency of the hi-hat circuits
  • Width controls the width of the filter
  • Level Decay controls the rate at which the drum's volume falls off towards zero

Cowbell

The Cowbell module has the following controls:

  • Osc 1 Tune controls the pitch of the primary oscillator
  • Osc 2 Tune controls the pitch of the secondary oscillator relative to the primary
  • Env 1 Decay controls the decay time of the primary volume envelope
  • Env 2 Decay controls the decay time of the secondary volume envelope
  • Color Adjusts the overall color and sharpness of the sound

Hand Clap

The Hand Clap module has the following controls:

  • Osc 1 Tune controls the pitch of the tone oscillator
  • Osc 2 Tune controls the pitch of the noise oscillator
  • Env 1 Decay controls the decay time of the tone osc
  • Env 2 Decay controls the decay time of the noise osc
  • Trig Reps adjusts the number of times the sound is repeatedly triggered
  • Trig Delay adjusts the delay between retriggers
  • Trig Fbk adjusts the relative volume of successive triggers
  • Level Decay controls the rate at which the drum's volume falls off towards zero

Rim Shot

The Rim Shot module has the following controls:

  • Osc 1 Tune controls the pitch of the noise oscillator
  • Osc 2 Tune controls the pitch of the tone oscillator
  • Env 1 Decay controls the decay time of the noise osc
  • Env 2 Decay controls the decay time of the tone osc
  • Osc 1 Q controls the width of the noise osc
  • Level Decay controls the rate at which the drum's volume falls off towards zero
  • Color Adjusts the overall color and sharpness of the sound

Toms

The Tom modules have the following controls:

  • Osc Tune controls the basic pitch of the oscillator
  • Tune Init controls the degree to which the initial pitch of the oscillator is raised above the basic pitch
  • Tune Decay controls the rate at which the initial pitch decays towards the basic pitch
  • Drive controls the amount of overdrive in the circuit, which gives a brighter, more aggressive sound
  • Drive Mod controls the way in which this overdrive changes through the duration of the sound
  • Level Decay controls the rate at which the drum's volume falls off towards zero
  • SYNC modes control the interaction between the paired Tom generators in one of the following ways:- NONE - no interaction; FM - frequency modulation; RING - ring modulation.


PSYN Virtual Analog Synthesizer

PSYN models a full-featured subtractive synthesizer, providing four oscillators that primarily model subtractive synthesis. Oscillator tone can be modified based on cross-modulating the OSCs to create Ring Modulation (AM) and Frequency Modulation (FM) models of synthesis, combined with full automation.

PSYN includes two filters that can be independently enabled, each with its own unique character. Advanced filtering techniques can be realized by sending the output of the first filter to that of the second.

The synth's internal modulation matrix allows for syncing to the host's tempo. Modulation destinations (PSYN parameters) may be assigned directly to common control sources such as mod wheel or pitch wheel.

A variety of modulation destinations (destination parameters) is available. For each OSC, you can modulate pitch, portamento time, pulse width, the level of the FM input from the other oscillator, the amount of envelope that is applied to pitch, or the amount of LFO that is applied to pitch.

The synthesizer includes five 6-stage EGs, four of which are completely assignable, one of which is hard-wired to control the dynamics of PSYN's amplifier. Each envelope also provides performance controls, which specify how the envelope functions during playback.

PSYN also includes 3 LFOs, which can be assigned to modulate many aspects of the synthesizer. Common modulations include amplifier (tremolo), pitch (vibrato) and filter (cutoff frequency).


Using PSYN

There are a several options available when saving patches in PSYN. All of the patches that appear in PSYN are part of the default set of patches which are loaded from disk in PSYN's \Presets subfolder. This file is called the "default". The default consists of many patches which are categorized by banks.

You can navigate through PSYN's patches by clicking on the bank buttons (labeled A through H) in the bottom left of PSYN's interface. Each bank contains up to 128 patches. You can increment and decrement through the patchs within a given bank by left and right-clicking on the patch name display, adjacent to the bank buttons. You may also use your mouse wheel to scroll through the patches. Another alternative is to select a ptach from a list menu, which is displayed when you right-click on any of PSYN's bank buttons.

Patches may be copied and pasted from location to location across any of PSYN's banks. Individual patches may be saved to disk and shared across machines. You may also permanantly overwrite the default set of patches with everything currently in PSYN's memory.

Important notes:

  • When you tweak a patch in a project, then move on to another patch, those changes will remain a part of the patch in that instance of PSYN, and will remain part of the project if you save it. This ensures that every change you make to the sound of a patch for purposes of a song project will remain in that file and sound the same everywhere.
  • Every time you insert a new instance of PSYN, the original presets are read from the default file, reagardless of what you've done to the patches in other instances in the current project.

To Change the Name of a Patch

  1. Hold down [SHIFT] and click once in PSYN's patch name field.
This will open up an editable text field.
  2. Type in the new name.
  3. Click again in the text field.

The new name is now set.

To Copy a Patch from One Location to Another

  1. Select the patch you wish to copy.
  2. Click on the SAVE button near PSYN's banks
  3. Select COPY from the menu (the patch data is now held temporarily in memory).
  4. Select a new bank/patch location in PSYN.
  5. Click on the SAVE button and select PASTE from the menu.

The patch is now copied to the new location.

To Save an individual patch to disk

  1. Select the patch you want to save.
  2. Click on the Save button.
  3. Select "Save Program"; a save dialog appears.
  4. Type in the name of the patch.
  5. Press the Enter key.

The patch is now saved to disk in PSYN's \Presets folder.

To Load an individual patch from disk

  1. Select the loaction into which you want to load the patch
  2. Click on the Save button.
  3. Select "Load Program" from the menu; an open file dialog appears.
  4. Select the preset file you wish to load.
  5. Press the Enter key.

The patch is now loaded from disk into PSYN's current patch location.

To save the current configuration into the default bank file

  1. Click the Save button.
  2. Select "Save Default Bank" from the menu.

Your changes will be written permanantly to the defualt bank file. PSYN will load with the new default set of patches every time you insert it into a project.


PSYN Graphical User Interface

PSYN has a Graphical User Interface (GUI), which shows the current status of all parameters using specific controls, and allows changing them in real-time while playing a sequence or playing live.

The GUI components are the following:

Pages

To allocate the over three hundred parameters of PSYN in a confortable screen space, some of the components are placed in Pages. A page is a 'virtual' container, which shows the currently edited component parameters while keeping the rest off-screen, minimizing this way the screen usage and making the programming environment more clear and specific.

PSYN uses pages for:
Oscillators | One page holds 2 oscillators, while the other two are hidden.
Envelope Generators (EGs) | There is one page per EG (1-5).
Low Frequency Oscillators (LFOs) | There is one page per LFO (1-3).

To select the desired page, click (and drag) on the corresponding Page Selector Button.

Knobs

PSYN uses knobs to adjust most of the continuous variable parameters. There are two kind of knobs:
Unipolar | the knob range goes from zero to maximum (0% to 100%).
Bipolar | the knob range goes from -100% to +100%, with zero at center.

Both knobs display a continuous value indicator, clearly displaying the parameter value. The knobs can be moved in a number of ways, as follows:
Click and drag vertically | Increase/decrease knob value.
Click and use mousewheel | Change the knob value with fine increments.
Click the knob and use the Up-Down arrows | Change knob value.
Double-Click | Reverts the parameter to its Default value ('natural' value of the knob, ie center for Bipolar knobs).

Sliders

Like with knobs, sliders are used in PSYN to adjust continuous variable parameters. The sliders can be moved in a number of ways, as follows:
Click and drag vertically | Increases/decreases slider value.
Click and use mousewheel | Changes the slider value with fine increments.
Click and use the Up-Down arrows | Increases/decreases slider value.
Double-Click | Sets the parameter to its Default value ('natural' value of the slider, ie center for EG Amount).

Buttons

Buttons are used in PSYN to toggle all ON-OFF values. To turn any button ON or OFF, just click repeatedly on it.

NOTE: Oscillator Waveforms Saw Up and Saw Down can't be selected at same time, due they would cancel each other.

Displays and Encoders

The Displays and Encoders are used to show and change all parameters in PSYN that require discrete values. (i.e. Transpose, Octave, etc). Every display parameter has a related encoder that can be used to change the parameter value. The display itself can also be used, as follows:

Using the Encoder:
Click and drag vertically | Changes parameter value (display is updated).
Click and mousewheel | Changes parameter value in one-step increments.
Click and use Up/Down arrows | Changes parameter value in one-step increments.
Double Click | Resets the parameter to its Default value.

Using the Display:
Left Click | Next discrete value.
Right Click | Previous discrete value.
CTRL + Left Click | Resets the parameter to its Default value.
Left and Right click together | Resets the parameter to its Default value.


PSYN Architecture

PSYN has a very classic architecture, with a Oscillators group followed by a Filters group, and several Envelope Generators and Low Frequency Oscillators to perform several modulations.

Oscillators

The oscillators are the real 'sound engine' on PSYN. There are four oscillators grouped in two pages of two oscillators each. Every oscillator can play up to five waveforms simultaneously including Sine, Triangle, Square, Saw Up or Down and Noise, with specified width. Additionally, all oscillators feature a individual Sub-Oscillator which plays the same waveform one octave lower, allowing for very thick and fat sounds.

The waveforms are stored in a external file, allowing for the future expansion of PSYN by replacing the waveforms set. Oscillator parameters are grouped as follows:

Oscillators Waveforms

PSYN features five waveforms per oscillator: SINE, TRIANGLE, SQUARE, SAW UP, SAW DOWN. All of them can be played simultaneously, excepting SAW UP and SAW DOWN, which are mutually exclusive (they would cancel each other).

All waveforms width is controlled by using the WIDTH control, in a continuous way. When the waveform WIDTH is selected as modulation destination in any of the EGs or LFOs, the WIDTH control regulates the modulation offset of the oscillator.

The initial phase of the waveform when a MIDI Note On event arrives is set with the PHASE knob, from 0 to 360 degrees. It is possible to create complex sound textures by combining waveforms in two oscillators with different starting phases.

Additionally, any oscillator has a full-bandwidth NOISE generator, which can be added to the waveform mix.

Oscillators Tune

The tuning of every individual oscillator in PSYN is adjusted with the TUNE section controls:
Keyb | When ON, the oscillator follows the MIDI notes played on the keyboard. When OFF, the pitch of the oscillator is always the same, as set with OCT, TRANSPOSE and FINE controls.
Oct | Sets the Octave for the oscillator pitch, ±5 octaves.
Transpose | Sets the Transpose amount (note) for the oscillator, ±12 semitones.
Fine | Sets the Fine tuning of the oscillator, ±100 cents.

By changing the tuning settings in different oscillators, different effects are achieved: chord or intervals, detune, octaved, etc. When L-FM or E-FM modes are set, changing the modulator pitch results in great tonal variations.

Sub Oscillator

All oscillators in PSYN feature a individual Sub Oscillator, which generates a waveform identical to selected mix, but at a one-octave lower pitch. This is mostly used for bass and pad sounds, but can be used to 'fatten' any patch.
ON-OFF | Turns the Sub Oscillator On/Off. No CPU is used when the Sub Oscillator is off.
Level | Regulates the sub pitched tone level.

Oscillators Modulation Sensitivity

The Modulation Sensitivity controls allow for different EG or LFO amounts of modulation to be applied to different oscillators. In this way, you could choose to modulate Oscillator 1 pitch only, with the other oscillators not being affected.
EG | Sensitivity to EG modulation to oscillator pitch.
LFO | Sensitivity to LFO modulation to oscillator pitch.

Oscillators Level and Mode

The four oscillators in PSYN are grouped in two pages of two oscillators each. Both oscillators in any page can be combined in several ways, allowing for very complex sound textures:
NORMAL | Both oscillators outputs are added, resulting in two individual oscillators stacked.
RING | Both oscillators are sent to a ring-modulator, creating the classic add-and-difference signals on the resulting sound. NOTE: The LEVEL on any oscillator can make the output of the ring modulator dissapear when set to zero.
SYNC | Oscillator 2 (4) becomes a SLAVE of oscillator 1 (3), restarting its phase everytime the MASTER oscillator phase crosses zero.
L-FM | Linear FM. Oscillator 1 (3) becomes a MODULATOR of oscillator 2 (4) which becomes a CARRIER, performing a linear-phase frequency modulation.
E-FM | Same as L-FM, but the frequency modulation is performed on a exponential basis.

The oscillators output is adjusted with the LEVEL knob. Using the four LEVEL knobs it is possible to adjust the oscillators mix. While it is possible to create very powerful sounds by using only one oscillator, most complex patches are obtained combining the power of the oscillator modes in the four oscillators.


Filters

PSYN features two filters: one multimode Low Pass, High Pass, Band Pass and Band Reject two-pole (12dB/Octave) filter, and a Low Pass-Only four-pole (24dB/oct) filter. The two filters can be combined in serial or parallel mode, allowing for a broad spectrum of filter combinations.

Filter 1

Filter 1 is a multimode 12dB/Oct filter, featuring Low Pass, High Pass, Band Pass and Band Rejection modes. The filter can be completely disabled by turning it off, so the signal passing it is unaffected. Filter 1 parameters are:
Cutoff | Sets the static cutoff frequency of the filter. The cutoff can be set anywhere in the audio spectrum.
Resonance | Sets the resonance amount, which produces a volume increase for frequencies in the neighborhood of the cutoff frequency.
Keyboard tracking | Determinates how much the cutoff 'tracks' the keyboard. Positive values mean 'higher notes, brighter sound', and negative values mean 'higher notes, duller sound'.
Velocity Sensitivity | Regulates how much the static cutoff is affected by the note velocity. Positive values mean 'faster velocities, brighter sound', while negative values mean 'faster velocities, duller sound'.

Filter 2

Filter 2 is a 24dB/Octave Low Pass. As the filters can be connected in serial or parallel configuration (see Filters Configuration), the use of the two filters allows for several sound routings. Filter 2 parameters are:
Cutoff | Sets the static cutoff frequency of the filter. The cutoff can be set anywhere in the audio spectrum.
Resonance | Sets the resonance amount, which produces a volume increase for frequencies in the neighborhood of the cutoff frequency.
Keyboard tracking | Determinates how much the cutoff 'tracks' the keyboard. Positive values mean 'higher notes, brighter sound', and negative values mean 'higher notes, duller sound'.
Velocity Sensitivity | Regulates how much the static cutoff is affected by the note velocity. Positive values mean 'faster velocities, brighter sound', while negative values mean 'faster velocities, duller sound'.

Filters Configuration

The filters in PSYN can be connected in SERIAL or PARALEL configuration, as follows:
Parallel | The output of all oscillators is routed to both filters, and the output of the filters is added and sent to PSYN outputs.
Serial | The output of all oscillators is routed to Filter 1, and Filter 1 output is sent to Filter 2. The output of PSYN is Filter 2 output.

When the LINK control is active, moving any of the parameters on one filter sets the same parameter on the other filter to same value. This is very useful when setting both filters to same value.

When in Serial mode, The FEEDBACK control sends part of filters output to the inputs again, resulting in a typical feedback effect, comb-filter like. The FEEDBACK control is not active in Parallel mode.


Envelope Generators (EGs)

PSYN features five individual 5-stage polyphonic Envelope Generators, each with its own page of parameters. Every EG can be routed up to two different destinations, with individual depth for each, allowing for a huge amount of routing possibilities and creating the framework for extremely complex modulations.

The fifth Envelope Generator is hardwired to the Amplifier Envelope, which controls the evolution of the voice Volume over time. However, it can also be routed to its two individual modulation targets.

There are five polyphonic Envelope Generators (EGs) in PSYN. The last EG is hardwired to Amplifier, so it sets the evolution of instrument volume over time for every note played.

EGs Settings

The settings for any EG are:
Mode | EG mode: NORM = Eg will perform one-shot per voice. REP = Eg will repeat the Attack-Decay-Sustain phase for every note.
Start Level | The envelope start level, particularly useful when modulating pitch sources.
Delay | The time elapsed since Note On message till the EG starts working, 0 to 10 seconds.
Attack | Time from Start Level to Max Level (typically 0% to 100% of EG output), 0 to 10 seconds.
Attack Shape | The shape for the Attack stage variation, LINEAR, FAST, SLOW.
Decay | Time to go from 100% to Sustain Level, 0 to 10 seconds.
Decay Shape | The shape for the Decay (and Slope) stage evolution, LINEAR, FAST, SLOW.
Sustain | The level where the note will stay after Attack-Decay phase, and until note expiration (in case SLOPE is set to maximum).
Slope | Once the Sustain stage is reached, the Slope setting adjusts the time for the note to go from Sustain Level to 0%, generating a 'second Decay' stage. If Slope is set to maximum, this stage is ignored, and the note stays at Sustain level until Note Off message is processed.
Release | The time to go from Sustain level (or from last EG output level, if not in Sustain stage) to 0% after a Note Off message is processed.
Release Shape | The shape for the Release stage evolution, LINEAR, FAST, SLOW.
Amount | The EG amount. This sets the maximum modulation level for all destinations, and also the polarity. -100% to +100%.
Velocity | Regulates how much the EG output is affected by Note Velocity. Higher settings mean more variation of EG output with higher velocities.

EGs Modulation

Each EG on PSYN can be routed up to two different modulation destinations, each with its own depth setting. The 15 available modulation destinations are:
OFF | No destination, no modulation is produced.
LEV-ALL | Output Level of all Oscillators.
LEV-O1 | Output Level of Oscillator 1.
LEV-O2 | Output Level of Oscillator 2.
LEV-O3 | Output Level of Oscillator 3.
LEV-O4 | Output Level of Oscillator 3.
PWM-ALL | Pulse Width Modulation of all Oscillators.
PWM-O1 | Pulse Width Modulation of Oscillator 1.
PWM-O2 | Pulse Width Modulation of Oscillator 2.
PWM-O3 | Pulse Width Modulation of Oscillator 3.
PWM-O4 | Pulse Width Modulation of Oscillator 4.
PITCH | Pitch of all Oscillators. Individual Oscillator sensitivity can be performed with the Oscillator Eg Sens control.
CUTOFF1 | Cutoff frequency of Filter 1.
CUTOFF2 | Cutoff frequency of Filter 2.
RESO1 | Resonance of Filter 1.
RESO2 | Resonance of Filter 2.

The DEPTH knob sets the modulation depth for the two individual destinations, from 0% to 100%.


Low Frequency Oscillators (LFOs)

PSYN has three individual polyphonic Low Frequency Oscillators (LFOs), all of them in their individual parameters page, and which can be applied up to three modulation destinations each.

LFOs Settings

The settings for any of the three LFOs are:
Mode | The working mode for the LFO, as follow
 | FMONO | Free running, Mono operation. The LFO does not restart on Note On, but all voices LFOs are in-sync (mono).
 | SMONO | Key-Sync, Mono operation. The LFO phase restarts on Note On, all voices LFOs are in-sync (mono).
 | FPOLY | Free running, Poly operation. The LFO phase doesn't restart on Note On, but every voice keeps its own phase.
 | SPOLY | Key-Sync, Poly operation. The LFO phase restarts on Note On, and every voice keeps its own phase.
Waveform | Sets the LFO Waveform (Sine, Triangle, Square, Saw Up, Saw Down, Random).
Offset | The waveform DC offset, from -100% to +100%.
Sync | Sets the LFO Sync-to-Host Tempo division, in beats (16, 8, 4, 2, 1, 1/2, 1/4, 1/8 plus all triplett and dotted values).
Keyb | Adjusts the LFO speed variation according to the key played (Speed Keyboard Tracking), from -100% to +100%.
Speed | The LFO Speed, from 0 to 20Hz.
Polarity | Sets the LFO polarity, Positive or Negative.
Phase | Initial phase for the LFO when in SMONO or SPOLY mode, 0 to 180 degrees.
Delay | Time before the LFO operation starts after Note On message, 0 to 10 seconds.
Depth | Amount of LFO output level applied to all destinations.

LFOs Modulation

Each LFO on PSYN can be routed up to three different modulation destinations, each with its own depth setting. The 15 available modulation destinations are:
OFF | No destination, no modulation is produced.
LEV-ALL | Output Level of all Oscillators.
LEV-O1 | Output Level of Oscillator 1.
LEV-O2 | Output Level of Oscillator 2.
LEV-O3 | Output Level of Oscillator 3.
LEV-O4 | Output Level of Oscillator 3.
PWM-ALL | Pulse Width Modulation of all Oscillators.
PWM-O1 | Pulse Width Modulation of Oscillator 1.
PWM-O2 | Pulse Width Modulation of Oscillator 2.
PWM-O3 | Pulse Width Modulation of Oscillator 3.
PWM-O4 | Pulse Width Modulation of Oscillator 4.
PITCH | Pitch of all Oscillators. Individual Oscillator sensitivity can be performed with the Oscillator Eg Sens control.
CUTOFF1 | Cutoff frequency of Filter 1.
CUTOFF2 | Cutoff frequency of Filter 2.
RESO1 | Resonance of Filter 1.
RESO2 | Resonance of Filter 2.

The DEPTH knob sets the modulation depth for the three individual destinations, from 0% to 100%.

LFOs Controls

The Controls section allows to set how much any LFO on PSYN will affect the selected destinations according to incoming MIDI controllers:
WHEEL | Sets the amount of LFO modulation applied when Modulation Wheel MIDI control messages (CC#1) are received.
AFTER | The amount of LFO modulation applied when Modulation AfterTouch MIDI messages are received.
BREATH | The Amount of LFO modulation applied when Breath MIDI control messages (CC#2) are received.

Combining the Controls settings with the LFO Depth setting it is possible to set any fixed and variable modulation amounts by the LFOs.


Master

Master section in PSYN groups several general-purpose parameters, as follows:

Programs and Banks

PSYN has a internal capacity of 1024 programs, arranged in eight banks of 128 programs each.
MIDI Program Change and Bank Change messages can be used to select any program inside PSYN, alternatively to the GUI Program and Bank Selectors.

Alternatively, PSYN will react to 'Static' presets when recalled from Project5.

PSYn can save the whole internal program contents to a User Default file, which will be loaded in all subsequent PSYN instances, and in all future sessions. To save this file, click on the Save button near Bank selector.

Polyphony

PSYN has a maximum polyphony of 64 simultaneous notes. However, there are some circumstances where you don't want to allow it to play at full polyphony.

As the CPU load of PSYN depends on how many voices at once are played, a very common technique to avoid overloading the CPU while running a song is to limit the maximum polyphony. This is achieved by using the Polyphony control.

When the voice amount being played exceeds the polyphony setting, some voices are 'stealed', which means, they are turned off softly and the new voice takes their place. In this way, it is possible to play very confortably even a very low polyphony settings.

When Polyphony is set to MONO, only one voice is active, and PSYN uses 'legato' playback mode, in which EGs and LFOs are not restarted on notes played legato (new key was pressed before last one was released).

Unison

The UNISON mode is used to recreate the vintage synthesizers Unison mode, where all the available voices could be played at once, resulting in a very fat and wide sound.

When UNISON mode is activated, PSYN will play three notes for every MIDI note received (until the maximum Polyphony setting is reached), with adjustable detuning by using the DETUNE knob. In this way, fat sounds can be achieved while keeping the ability to play polyphonically.

NOTE: Setting the Polyphony too low might result in early voice stealing, so it is important to keep the Polyphony setting high when using the UNISON mode.
Due UNISON mode plays true new voices, the CPU usage can be very high. Keep an eye on the CPU indicator.

Portamento

Portamento is a effect featured in many analog synthesizers, and which consist of the continuous pitch variation between played notes instead of instantaneous shift.
PSYN features four Portamento modes, with adjustable time for the effect:
OFF | No effect.
NFIX | Normal, Fixed Time. The Portamento effect will allways be active, and a fixed time will be assigned to every note. In this mode, long jumps take more time than small jumps.
FFIX | Fingered, Fixed Time. Same as above, but the effect will only be active when notes are played legato (one note starts before last ends).
NVAR | Normal, Variable Time. Portamento effect will always be active, and all jumps will take the specified time no matter how big the jump is.
FVAR | Fixed, Variable Time. Same as above, but the effect will only be active when notes are played legato.

Pitch Bend

Pitch Bend in PSYN is a powerful resource for live or sequenced expressive performance, as it features several modes and allows for different settings for down and up bend directions.

Bend Up and Bend Down controls set the amount that the pitch will be bent when activating the bend wheel Up or Down, in semitones. The bend effect will be performed according to the Bend Mode settings, as follows:
Normal | All sounding notes will be bent.
Up | Bend will only be applied to highest pitched note.
Down | Bend will only be applied to lowest pitched note.
Hold | Only keys that are still down will be bent. Notes in release status, or held by sustain switch won't be affected.

Master Pan and Volume

The Master Pan and Volume on PSYN sets the Panoramic position (L to R) and output Volume for the selected program.

As this settings are remembered inside the program, it is possible to precisely adjust volume differences between programs using this controls.


Performance Controls

These settings affect PSYN's performance during playback or real time performance.

Voices

PSYN has only one voice, meaning that it cannot receive or transmit through multiple channels. Mixing, layering and other multi-channel techniques is facilitated through Project 5's work environment, as different instances of PSYN can be set to different channels with port/channel, note range and velocity filtering.

Polyphony And Mono

Each instance of PSYN is capable of 64 note polyphony. A polyphony limiter control let's you specify how many notes can play back at a time. Oldest notes are cut first, should the limit be reached. (Vendor is free to implement intelligent polyphony scheme as befits the synth).

If the Polyphony control is set to one PSYN is in mono mode. When in mono, PSYN performs in full legato mode, which means that if a subsequent note is played before a previous note is released, that note's attack phase is skipped (it commences at the last point of the envelope of previous note.

Unison Mode

Unison mode is typically used in mono mode, in which one note triggers all oscillators. However unison may be enabled in polyphonic modes as well.

An associated detune control adjusts the unison detune level, where greater values increase the tuning offset between oscillators. This helps create a bigger sound, often used for melody lines or solos. Detune is an "amount" control (0...100%) that uses a detune algorithm which determines the detuning amount of each OSC.

Portamento

Portamento parameters govern how a pitch glides to subsequent notes from the pitch of a preceding note.

Pitch Bend

This determines the pitch range that the Pitch Wheel is capable of affecting. Additionally, you can set different bend modes, which specify how the notes are bent.

Oscillators

PSYN provides four (4) oscillators, modeled after traditional OSCs used in analog synthesis.

While PSYN primarily models subtractive synthesis, oscillator tone can be modified based on cross-modulating the OSCs in certain ways. While subtractive synthesis is the default mode, other modes may be enabled when running at least two OSCs. Specifically, a preceding OSC can modulate a downstream OSC according to several parameters to create Ring Modulation (AM) and Frequency Modulation (FM) models of synthesis.

By definition, AM and FM synthesis require the use of at least two oscillators, as one must modulate the other. OSC 1 and 2 work together in this way, as do OSC 3 and 4.

For increased richness, each OSC provides a sub-oscillation control, which produces a sine wave an octave below the current pitch. Additionally, PSYN include controls for PWM, which works on all waveforms.

Each OSC provides a set of controls for managing its raw tonal character.

OSC Output

The section specifies waveform selection and other parameters that affect the character of each OSC's raw audio output.

  • Waveforms--This control group lets you select up to one of each waveform for each OSC.
  • Sub-Oscillator Function--Each OSC also provides a sub-oscillating frequency. It is a sine wave whose frequency is 1/2 that of the OSC's current tuning (i.e. one octave below). This helps provide a fuller, richer sound.
  • Pulse Width--The tone of a square wave can be modified by changing the width of the pulse. The pulse width control warps other waveforms in a similar manner when something other than square is selected. Note that pulse width modulation is carried out through the EG's and LFO's.


FM and Ring Modulation

Using more than one oscillator makes it is possible to model two other analog synthesis techniques: Ring Modulation and FM.

Ring Modulation

In Ring Modulation mode, the first oscillator (modulator) controls the output of the second oscillator (the carrier). The aural result is a tone whose character is distorted or metallic. This is accomplished by creating a new waveform that is comprised of two frequencies. The new frequencies result from multiplying the original waveforms together, which gives us the sum and the difference of the original waveforms.

Example: Using sine waves, OSC 1 produces a 250 Hz wave, and OSC 2 produces a 900 Hz wave. The Ring Modulation results in the carrier waveform being comprised of two new frequencies: 1150 Hz and 650 Hz.

PSYN provides two sets of two OSCs, wherein OSC 1 modulates OSC 2, and OSC 3 modulates OSC 4. Note: The level of the modulating OSC controls the amount of Ring Modulation.

Frequency Modulation

In FM mode, the resulting effect creates a set of new harmonics that produces a sharp, metallic tones. Increasing the amplitude of the modulating oscillator increases the spectrum width and the "FM effect" of the carrier (signal) oscillator.

There are in fact two FM modes: Linear and Exponential. Linear FM allows the strength of modulation to be increased without the perceived center frequency rising. Exponential FM is a more unusual sounding form of FM than Linear (most often found in analog modular systems). In this case the carrier frequency modulates up and down an equal musical interval (instead of a fixed amount above and below the center freq as in linear). The result is that you have more Hz going up than down. The perceived center frequency drifts upwards as modulation depth is increased.


Filters

PSYN includes two filters that can be independently enabled, each with its own unique character. Advanced filtering techniques can be realized by sending the output of the first filter to that of the second.

The first filter is a multi-mode 2-pole filter with a 12 dB/octave rolloff. It has four fully adjustable modes: low pass, high pass, band pass and notch.

The second filter is a 4-pole low pass filter, with a faster slope of 24 dB/octave rolloff, which emulates the traditional Moog filter of the 1960s.

Filter Attributes

This section specifies the different filtering modes that determine how harmonics will pass through them.

  • Filter 1: 2-pole, 12 dB/octave
    • Low Pass--Passes low harmonic frequencies (including the fundamental frequency). High harmonic frequencies are filtered out.
    • High Pass--Passes only high harmonic frequencies, filtering out the lower frequencies, including the fundamental frequency.
    • Band Pass--A movable region of the frequency spectrum that passes frequencies within its specified range, while frequencies above and below the band are filtered out.
    • Notch--A movable region of the frequency spectrum that rejects frequencies within its specified range.
  • Filter 2: 4-pole, 24 dB/octave--Filter 2 is a lowpass filter only. Passes low harmonic frequencies (including the fundamental frequency). High harmonic frequencies are filtered out.
  • Cutoff Frequency--Both filters have a cutoff frequency to control the point in the spectrum where frequencies are passed and rejected in a given mode.
  • Resonance--Both filters have a resonance control which is used to amplify the actual harmonic nearest the specifies cutoff frequency. This produces the traditional whistling sound.

Filter Modes

Filters live downstream from the OSC. Filter 1 may be used by itself or in series with Filter 2, meaning that its output is routed to Filter 2. Additionally, Filter 2 may be used in parallel with Filter 1, meaning that it processes OSC input independently from Filter 1.

Filter 2 can work in parallel with Filter 1, so that it acts a separate filter on the same sound source, or it can work in series, such that Filter 1's output is directed into Filter 2.

  • Parallel Mode--The OSC levels are forced into two different channels, going to Filter 2 in parallel to Filter 1. This allows you to modify the same OSC outputs separately through each filter.
  • Series Mode--Filter 1's output is sent to Filter 2 for additional filtering of the remaining frequency content.


VELOCITY Drum Sampler

VELOCITY is a single channel, multi-timbral sampler which provides 18 polyphonic voices. Four stereo outputs and a master output are also provided, to which the voices may be arbitrarily assigned. Each voice is capable of storing multiple samples which can be assigned to different VELOCITY layers.

VELOCITY imports the following sample formats: LM4, WAV, AIF, as well as its own proprietary format, and can import ready-made drum kits in LM-4 format. Samples can be key mapped and set to different VELOCITY zones to create dynamic programs. It is also possible to edit the samples' start and end times, volume offsets, tuning and panning.

VELOCITY controls are fully automatable.

The sampler is laid out with 18 sample-loading cells in the upper section of the UI, and pad inspector controls below. Workflow centers around the cells; the pad inspector controls update to reflect the settings of the one pad that has focus at any given time.

The interface is split in to four main areas:

  • Master Controls, which control the overall behavior of the machine and let you load and save your settings.
  • Pads, which let you adjust the volume and panning of individual sounds, and select which sound you want to edit.
  • Pad Inspector, which lets you adjust the properties of an individual pad in detail
  • Sample Layers Inspector, which lets you fine-tune the individual layers (samples) that make up each pad.

Note: Holding down the Shift key while you move VELOCITY's controls allows you to make much finer adjustments.


Master Controls

The Master Controls for the VELOCITY drum sampler are as follows:

Volume--lets you adjust the overall loudness of the VELOCITY drum sampler.

Pan--lets you adjust the overall panoramic position of the VELOCITY drum sampler.

Load Bank--allows you to load a new set of samples in to the VELOCITY drum sampler. The sample set can be in either *.p5d format, or *.txt format if it's an LM-4 bank.

Save Bank--allows you to save the current state of the VELOCITY drum sampler as a *.p5d (Project5 Drum Bank) file.

Bank selector--allows you to quickly select other VELOCITY banks for use.


Pads

The eighteen Pads represent the eighteen independent sounds available at any one time in the drum sampler. Clicking on a Pad will select it, allowing you to further edit in the Pad Inspector. If the pad contains samples already, you will hear the pad, otherwise you will be prompted to load a sound file. In addition, you have the following controls:

Sample name--lists the first sample that is assigned to this pad.

Mute--when the yellow Mute button is switched on, this pad will be muted and inaudible.

Solo--when one or more Pads has the green Solo button switched on, only those Pads are audible.

Gain--adjusts the volume of that pad

Pan--adjusts the panoramic position of the pad

MIDI input note--sets which MIDI note causes this pad to be triggered.

Audio output--the number or letter after the fork icon. Chooses which of the drum sampler's audio outputs this pad is routed to so you can have a separate set of track controls for this pad. This allows you to add separate effects to this pad, in addition to having extra control over volume, pan, and width.

Choke group--select a choke group number for the pad. When any pad that's a member of this group is played, the other members of the group stop playing.


Pad Inspector

The Pad Inspector lets you adjust all the settings for the currently selected pad. The current selection is highlighted in blue. It features the following controls:

Sample Layers Inspector

The Sample Layers Inspector is where you manage the individual samples that make up a Pad. The Sample Layers Inspector, as with the Pad Inspector, shows details for the currently selected Pad.

The Sample Layers Inspector has the following controls:

  • Add--click this button to add a new sample (WAV or AIFF file) to the pad.
  • Repl--click this button to replace the currently-selected sample in the pad with a new WAV or AIFF file.
  • Del--click this button to delete the current sample from the pad.
  • Vel Lo--this control sets the minimum MIDI velocity (0..127) for which the selected sample will play.
  • Vel Hi--this control sets the maximum MIDI velocity (0..127) for which the selected sample will play.
  • Gain--allows you to set the gain for the individual sample, in dB. A value of 0 means no gain change, +6dB is twice as loud, -6dB is half as loud.

Sample Edit Controls

The Sample Edit Controls include the following:

  • Tune--controls the pitch of the sample(s).
  • Reverse waveform--when activated, causes the sample(s) to be played backwards.
  • Start offset--allows you to adjust the playback start position of the sample(s).
  • End offset--allows you to adjust the playback end position of the sample(s).
  • Looping (on/off; start/end; reps)--controls the way the sample is repeated (looped).
    • Note: Re-triggering a sample that uses long loop and/or decay times before the first note finishes sounding can cause high or excessive CPU readings.
  • Bit decimation--reduces the bit resolution of the sample giving a sound reminiscent of early-80s sampled drum machines.

Amp EG

  • Attack--controls the attack time for the volume envelope. A higher value means a longer attack time, which will make your sample start in a softer way.
  • Amplitude Decay--controls the rate at which your sample fades away towards silence. If you set the knob to the fully clockwise position, the decay portion of the envelope is deactivated.
    • Note: Re-triggering a sample that uses long loop and/or decay times before the first note finishes sounding can cause high or excessive CPU readings.

Pitch EG

  • VELOCITY to Pitch--controls the extent to which playing the note louder or softer will increase or decrease the pitch of the sample.
  • Pitch Decay--controls the rate at which the pitch of the sample decays (falls).

Filter

  • Filter Cutoff--adjusts the filter. A low value makes for a muted, muffled sound; a high value will have a brighter sound.
  • Filter Resonance--controls the resonance (peaking) of the filter. A high value will make the filter "ring" or "whistle".
  • Velocity to Filter Cutoff--allows you to control the way in which note-velocity affects the filter, so that loud notes can be brighter than quiet ones.


Creating Patterns

Importing a Pattern

Drawing Notes and MIDI Data

Recording a Pattern

Recording a MIDI Track in Real Time

Working With Groove Clips


Importing a Pattern

You can import any Standard MIDI File (extension .mid) into Project5.

Note: Standard MIDI Files frequently contain program or patch changes. If you want a particular synth to respond to the program changes, set the Bank/Patch menu in SYN.OPS to None. If you want the synth to ignore the program changes, manually choose a sound from the Bank/Patch menu, and the synth will ignore the program change messages that are in the Standard MIDI File.

To Import a MIDI File

  1. Select File-Import.
The Open dialog appears.
  2. Navigate to the location of your MIDI files.
  3. Select the MIDI file and click Open.
  4. If the MIDI file contains more than one channel, a message box appears asking if you want to split the MIDI data to one track per channel. Click Yes to create multiple tracks or No to create one track.
The file appears as a new track in Project5.


Drawing Notes and MIDI Data

P-SEQ is where you create new patterns in Project5. Drawing notes in P-SEQ gives you a lot of control over your patterns. For most of us, it is more exact than live recording.


Drawing Notes

Use the following procedure to draw notes in P-SEQ.

To Draw MIDI Notes

  1. If necessary, create a new pattern by clicking the New Pattern button [image] in P-SEQ. Note: If Track/Bus Automation is currently displayed in P-SEQ, just clicking the Note tool creates a new pattern.
  2. Click the Note tool.
  3. If you want, click the Snap button [image] to enable it (it's enabled in this picture). The Snap button forces a note to "snap" to a certain resolution when you draw a note in P-SEQ. If the Snap button is not enabled, notes you draw in P-SEQ begin at the spot you click.
  4. Select a note duration value. This value determines the length of the notes you create. You can choose to link the Snap button with the Note Duration button, making them the same. For example a Snap resolution of a quarter note would automatically set the Note Duration to a quarter note.
  5. Click in P-SEQ where you want notes to appear.

You can edit notes in new or existing patterns. For more information on how to do this, see Editing Patterns.


Recording a Pattern

If you play keyboard or any other kind of MIDI instrument, you may want to record a performance to create a pattern.

To Record a Pattern

  1. Click the New Pattern button [image] in P-SEQ.
An empty pattern of two measures appears in P-SEQ.
  2. If necessary, click and drag the pattern end marker to make the pattern the length you want.
  3. Click the Record Pattern button [image] in P-SEQ.
  4. Play your MIDI instrument for the length of the pattern.
  5. Stop recording by clicking the Record Pattern button [image] in P-SEQ or by pressing the Spacebar.


Recording a MIDI Track in Real Time

If you want to record a longer live MIDI performance, especially if the part is only going to be used once, you can record the performance directly onto a track. Track recordings are patterns, and can be edited in the P-SEQ.

To Record a MIDI Track in Real Time

  1. Arm the synth/track you want to record to (don't arm a GroovePlayer track--Project5 doesn't record audio).
  2. Set the Now Time to the time when you want to begin recording.
  3. If you want, set the metronome to count-in a number of beats or measures.
  4. Click the Record button [image] in Project5's Main Control view.
  5. Play your MIDI instrument.
  6. To stop recording, click the Record button again or press the Spacebar.


Step Recording

Step recording allows you to enter notes one at a time using a MIDI controller. The following table lists the step recording controls and what they do.

Control... | Description...
Step Record Mode button | Puts P-SEQ step recording mode.
Step value menu | Control the length of the current step-recorded note. You can select a new note duration at any time.
Step Number field | Set the total number of events you want to enter. For example. If you want to enter 4 measures of quarter notes, select 16.
Record button | Click to begin step recording. Click again when you are finished step recording.
Tab key (on keyboard) | Advances to the next step without adding a note.
Link button | Links the Step Value field with the Snap button menu--changing one automatically changes the other.

To Step Record a Pattern

  1. Select the track you want to play through by clicking on it.
  2. Enable step recording by clicking the Step Record Mode button [image] .
  3. In P-SEQ, click the note duration you want to use for the first note.
  4. Set the number of notes you want to enter in the Event Duration field. The default is 16.
  5. Click the Record button [image] in P-SEQ.
  6. Play a note on your MIDI controller.
  7. You can change the note duration for subsequent steps by clicking a new note duration button as you move along in the sequence. This only affects notes after the current step.
  8. Continue playing notes, or entering rests (using the Tab key), changing note durations as desired until you have finished step recording your pattern.
  9. Click the Record button or press the Spacebar to end step recording.


Working With Groove Clips

In Project5, you can import two kinds of audio files: Groove clips (ACIDized clips), and Wave files. Groove clips change their tempo to the project tempo when you import them; Wave files do not. You can transpose Groove clips in P-SEQ (see third procedure, following).

Audio files can only be played by GroovePlayer tracks. If you create one and select it, Project5 will import your audio file to the pre-existing GroovePlayer track. If you haven't created any GroovePlayer tracks, Project5 will automatically create one the first time you use the File-Import Audio command in this project. You can copy and move audio files, and edit clip length and some kinds of automation in P-SEQ (see note, below). You can drag audio patterns directly from the Pattern Bin, and also preview one or more at the same time (see The Pattern Bin).

Note: It is possible to draw both MIDI notes and automation on audio clips in P-SEQ. The notes and automation do not play back unless you paste the pattern onto a MIDI track. This is useful if you want to align MIDI data with events in a Groove clip or Wave file. (The audio data in an audio clip will not play back on a MIDI track).

To Insert a GroovePlayer Track

  • Click the Insert Track button [image] , and choose the GroovePlayer synth from the popup menu.
The GroovePlayer engine appears in SYN.OPS:

The track controls and Audio FX bin in SYN.OPS function the same way for the GroovePlayer as they do for synths, however none of the MIDI-related menus in SYN.OPS's toolbar are applicable.

To Import a Groove Clip or Wave File

  1. Move the Now time to the place where you want to insert the clip.
  2. If you want to import the audio to a specific GroovePlayer track, click inside the track's controls to highlight the track in which you want to import the audio. If you want Project5 to create a new GroovePlayer track, skip this step.
  3. Use the File-Import Audio command, which opens the Import Audio dialog.
  4. Navigate to a folder that contains the Audio you want to import.
  5. Select one or more files (to select more than one, hold down the Ctrl key while you click).
  6. If you want to create separate tracks for each of the selected files, enable the Create New Tracks For Each File checkbox.
  7. If you want to preview the files, click the Auto Preview button, and click it again to stop previewing. The files preview simultaneously: wave files play at their own tempo and Groove files play at the current project tempo.
  8. Click Open.

Project5 imports the audio files to the track and time you selected. If you imported more than one file, Project5 placed one right after another, unless you selected the new tracks for each file option.

To Transpose a Groove Clip

  1. In the Tracker, double-click the Groove clip to both display it in P-SEQ and make it the active instance of this pattern. The pattern blinks in the Tracker when the pattern is the active instance.
  2. In P-SEQ's Transpose menu, use the up and down arrows to choose the number of half-steps to transpose the Groove clip by.

This transposes just this one instance of the Groove clip. All copies of a pattern are identical except for their Transpose value, and their MIDI channel (N.A. for Groove clips, obviously). Now, wherever this one instance of the Groove clip appears in the Tracker, it will display a plus or minus number on it to show its Transpose level.

See also:

Arranging and Editing Patterns


Arranging and Editing Patterns

Project5's editing commands give you unlimited flexibility for assembling your project. P-SEQ is where you create and edit patterns. The Tracker is where you arrange those patterns into a project or composition. The Pattern Bin lets you store and preview patterns, so that you can view and use them in any project.

See:

Editing Patterns

Arranging Patterns

The Pattern Bin


Editing Patterns

P-SEQ is where you edit individual patterns. To display P-SEQ, use the View-P-SEQ command, or the View-Stacked or View-Normal commands.

Note: You can float the P-SEQ view by holding down the Ctrl key while you drag the upper left corner to the desired location. After P-SEQ is sized and positioned the way you want it, you can hide it and display it again when you want by holding down the Alt key and pressing 1.

Most of the same editing procedures work on both audio and MIDI patterns. Groove clips (ACIDized clips) can be transposed like MIDI patterns in the Transpose menu in P-SEQ. Wave files (non-ACIDized audio files), however, can not change pitch or tempo.

P-SEQ has its own Preview Pattern and Record buttons, so you can audition and/or record individual patterns without affecting your overall project. If you like the pattern you created in P-SEQ, you can drag it to a location in the Tracker by clicking and dragging the Send to Track button to the location in the Tracker where you want the pattern to go.

Here's a picture of P-SEQ, with the major tools and menus labeled:

Pressing T on your keyboard toggles your tool selection between the Select, Automation, and Note tools.

In P-SEQ, you can add and edit notes and automation data, and also change pattern length:

  • Notes can be added, deleted, moved, shortened, lengthened, transposed, quantized (with swing or without), copied, played backwards (retrograde), and modified with velocity and controller data. You can edit notes and automation separately or together.
  • Patterns can be lengthened, shortened, duplicated, sent to tracks, assigned to a MIDI channel, transposed, merged or layered with other patterns, split, and dragged to tracks.

Any editing you do to a pattern in P-SEQ affects all copies or repetitions of that pattern (except for each pattern's MIDI channel and Transpose setting). If you want to create an independent copy of a pattern, display the pattern in P-SEQ, and click the Duplicate Pattern button, which copies the pattern under a new name.

You can undo your edits, starting with the most recent, by pressing Ctrl+Z repeatedly, or by using the Edit-Undo command.(see Undoing Edits, and Undo History for more information). If you want to redo an edit after you just "undid" it, you can press Ctrl+Shift+Z (this is the Edit-Redo command). You can use this command repeatedly, also.

See:

Displaying Patterns in P-SEQ

Using the Snap Button in P-SEQ

Selecting and Deselecting Notes and Data in P-SEQ

Editing Notes in a Pattern

Changing the Length of Patterns

Sending Patterns from P-SEQ


Displaying Patterns in P-SEQ

To edit a pattern, you first need to display it in P-SEQ. P-SEQ must be visible in order to display the pattern. To display P-SEQ, use the View-P-SEQ command.

To Display a Pattern in P-SEQ

  • Double-click the pattern in the Tracker or the Pattern Bin (includes Disk, In Use, and Scrap folders).
Or
  • In P-SEQ, click the Edit menu, and under In Use or Scrap, click the name of the pattern you want to display.
Or
  • In P-SEQ, click the Open Pattern button, and choose a pattern from the Open Pattern dialog.


Pattern Appearance

Patterns in the Tracker change their appearance, depending on whether you have selected them, and/or displayed them in P-SEQ.

The following table summarizes pattern appearance in the Tracker:

Pattern appearance... | Meaning...
Blinking | This "instance" of this pattern is currently displayed in P-SEQ; this pattern is the "active instance." This instance is the one you're editing, in case there are more copies of this pattern in the Tracker.
Black border | An instance of this pattern is currently displayed in P-SEQ, but the one(s) with the black borders are not the one displayed in P-SEQ. Editing the one in P-SEQ also edits all the ones with the black borders, except for their MIDI channels and Transpose settings.
Shaded interior | This pattern is selected. Being selected is totally independent of being the active instance of a pattern.

See:

Naming Patterns

To Assign a MIDI Channel to an Instance of a Pattern

Using the Snap Button in P-SEQ

Selecting and Deselecting Notes and Data in P-SEQ

Editing Notes in a Pattern

Slip-editing and Slip-copying Patterns

Changing the Length of Patterns

Sending Patterns from P-SEQ


Naming Patterns

Project5 names each new pattern with a number (Pattern 1, Pattern 2, etc.). You can rename patterns in P-SEQ.

To Rename a Pattern

  1. Display the pattern in P-SEQ.
  2. Double-click the pattern name in the pattern name field (the Edit menu).
  3. Type a new name and press Enter.

You can also rename tracks: double-click the name (it will usually be the name of the synth you patched to that track), type a new name, and press Enter.

See:

To Assign a MIDI Channel to an Instance of a Pattern

Using the Snap Button in P-SEQ

Selecting and Deselecting Notes and Data in P-SEQ

Editing Notes in a Pattern

Slip-editing and Slip-copying Patterns

Changing the Length of Patterns

Sending Patterns from P-SEQ


Assigning a MIDI Channel to a Pattern

You can assign each instance of a pattern to a different MIDI channel if you want, enabling you to access different sounds in your synth in real time. For example, if you have two copies of Pattern 1 in a track, you can double-click one copy and set its MIDI channel and/or transposition setting, and then double-click the other copy and set a different MIDI channel and/or transposition setting.

To Assign a MIDI Channel to an Instance of a Pattern

  1. Display the pattern you want to assign in P-SEQ.
  2. The pattern must be the active pattern: make sure the pattern is in a track and is blinking. Double-click it in the track if it's not blinking.
  3. Click the MIDI Channel dropdown arrow that's in P-SEQ's toolbar, and choose a MIDI channel from the menu that appears.

Project5 assigns the pattern to the MIDI channel you chose.

See:

Using the Snap Button in P-SEQ

Selecting and Deselecting Notes and Data in P-SEQ

Editing Notes in a Pattern

Slip-editing and Slip-copying Patterns

Changing the Length of Patterns

Sending Patterns from P-SEQ


Setting the Transposition Level of a Pattern

Each instance of a pattern can have its own MIDI channel and/or transposition setting. Groove clips can have a transposition setting. For example, if you have two copies of Pattern 1 in a track, you can double-click one copy and set its MIDI channel and/or transposition setting, and then double-click the other copy and set a different MIDI channel and/or transposition setting.

To Set a Pattern's Transposition Level

  1. In P-SEQ, display the instance of the pattern you want to transpose.
  2. The pattern must be the active pattern: make sure the pattern is in a track and is blinking. Double-click it in the track if it's not blinking.
  3. In the upper left corner of P-SEQ, click the Up/Down arrows on the Transpose menu to set the number of half-steps you want to transpose the pattern by.

Now this instance of the pattern will play back at a new pitch level. When you use this pattern in the Tracker, notice that it has a plus or minus number on it to show its transposition level.

See:

Selecting and Deselecting Notes and Data in P-SEQ

Editing Notes in a Pattern

Slip-editing and Slip-copying Patterns

Changing the Length of Patterns

Sending Patterns from P-SEQ

Displaying Patterns in P-SEQ

To Assign a MIDI Channel to an Instance of a Pattern


Using the Snap Button in P-SEQ

P-SEQ has its own Snap button, which is independent of the Snap button that's in the Tracker.

When you drag or add notes in P-SEQ, the precision of their placement is governed by the Snap button setting. For example, if the Snap button is set to Measure, and the button is depressed, you can only drag notes to or insert notes at measure boundaries; if the Snap button is set to Quarter Note (displayed as 1/4), you can only drag notes to or insert notes at beat boundaries, etc. If you want to drag notes to or insert notes at irregular locations, leave the Snap button in the on position (in the above picture, the Snap button is off). You can override the Snap button while dragging notes if you hold down the Shift key while you drag.

The Snap button works by forcing any dragged notes or data to move to a certain size boundary within a measure. The Snap button does not work by forcing dragged objects to move by a certain size interval. For example, if a note is at an irregular location in a measure in a pattern, and you want it to move to the exact same location in the next measure in the same pattern, if you just drag the note to the approximate visual location in the next measure (the Snap button has to be off to do this), you will only get an approximate result. A way that you could do this would be to set the Snap value to Measure, add a note at the beginning of the measure, select the extra note and the note you want to move, drag them to the next measure as a group, and then delete the extra note from the next measure.

The following table describes how to use the Snap button in P-SEQ:

To Do This... | Do This...
Choose a snap value | Click the dropdown menu that's next to the Snap button and choose a value. This automatically enables the Snap button.
Turn off the Snap button | Click the Snap button so that it's in the up position.
Temporarily override the Snap button | Hold down the Shift key while you drag a note.

See:

Selecting and Deselecting Notes and Data in P-SEQ

Editing Notes in a Pattern

Slip-editing and Slip-copying Patterns

Changing the Length of Patterns

Sending Patterns from P-SEQ

Displaying Patterns in P-SEQ

To Assign a MIDI Channel to an Instance of a Pattern


Selecting and Deselecting Notes and Data in P-SEQ

Many editing procedures require that you select the notes and/or automation data you're editing, especially if you're editing more than one object. Selected data appears highlighted in red.

The Select tool is an all-purpose tool for selecting data, however you can use the Note tool when you just need to select an individual object without dragging it. Pressing T on your keyboard toggles which tool is active (including the Select tool).

The following table describes how to select and deselect objects in P-SEQ:

To Do This... | Do This...
Select a single note | Click the note.
Deselect all selected data | Press the Escape key, or click outside of the selected area.
Select multiple notes | Use the Select tool to drag through the notes, or Ctrl-click each note (hold down the Ctrl key while you click).
Add or remove notes from a selection | Ctrl-click each one (hold down the Ctrl key while you click), or use the Select tool to drag through the notes (called Lasso selection).
Select all data in P-SEQ (including automation) | With the focus on P-SEQ (not the Tracker), press Ctrl+A or use the Edit-Select All command. Pressing the Escape key deselects all data.
Select automation data | Display the data, and drag through the data horizontally (if you drag through any notes, they become selected also). You can move the selected data by dragging or using the Left Arrow or Right Arrow key. If you want to select all the automation data in the pattern, use the Edit-Select All command.

See:

Changing the Length of Patterns

Editing Notes in a Pattern

Slip-editing and Slip-copying Patterns

Sending Patterns from P-SEQ

Displaying Patterns in P-SEQ

Using the Snap Button in P-SEQ

To Assign a MIDI Channel to an Instance of a Pattern


Changing the Length of Patterns

You can change the length of a pattern in P-SEQ by dragging the End marker (if you want to change where the pattern starts, rather than ends, see Splitting MIDI Patterns). If the new length of the pattern leaves some notes or data outside of the end of the pattern, the notes or data do not sound, but are not deleted. You can make them sound again by lengthening the pattern to include them.

To Change the Length of a Pattern

  1. In P-SEQ, set the Snap button to an appropriate interval. For example, if you want to change the pattern length by exactly one measure, set the Snap button to Measure.
  2. Drag the end marker of the pattern to the time where you want the pattern to end.

Project5 changes the length or the pattern, and of all copies of the pattern also.

See:

Editing Notes in a Pattern

Displaying Patterns in P-SEQ

Using the Snap Button in P-SEQ

Selecting and Deselecting Notes and Data in P-SEQ

Slip-editing and Slip-copying Patterns

Changing the Length of Patterns

Sending Patterns from P-SEQ

To Assign a MIDI Channel to an Instance of a Pattern


Editing Notes in a Pattern

Project5 gives you extensive note-editing tools. An easy way to transpose or move notes is to select them with the Select tool, and then press the Arrow keys on your computer keyboard to move them in any direction.

Project5 also has an Edit Marker, that marks the place where pasting takes place if you use the Ctrl+C and Ctrl+V commands to copy and paste selected data. The Edit Marker is at the beginning of P-SEQ's Note pane by default, but you can drag it where you want it, or double-click P-SEQ's Time Ruler to set its location. The Snap button setting determines by what increments the Edit Marker moves when you move its location.

The following table summarizes the note editing and copy/paste procedures in P-SEQ. To edit automation, see Automation.

Note-editing Action...

How To Do It...
Add notes

Set the Snap value, click the Note tool, click a note duration value from the Step Size menu, and click the pitch and time location where you want the note to go. If you enable the Link button, any changes to the Snap menu also change the Step Size menu, and vice versa.
Delete notes

Using the Note tool, right-click the note, or, using the Select tool, select the notes you want to delete, and then press the Delete key.
Move notes

Set the Snap value, and, using the Note tool or Select tool, drag the center of the note to a new location and/or pitch. Or, select the notes, and press the Arrow keys to move the notes vertically or horizontally.
Lengthen or shorten notes (change their duration)

Set the Snap value, and, using the Note tool or Select tool, move the cursor over the beginning or end of a note until the cursor changes into the slip-editing tool, then drag the border of the note to lengthen or shorten it.
Copy and paste notes

Set the Snap value, select the notes you want to copy, and Ctrl-drag (hold down the Ctrl key while you drag) the notes to the time and pitch you want them to occupy. Or select the notes to paste, copy them (Ctrl+C command), use the Ctrl+V command to paste a copy of the selected notes at the Edit Marker. Press the Arrow keys to move the selected notes vertically or horizontally. The Snap value determines by what horizontal increment the notes move.
Note: Pasting notes on top of other notes does not overwrite the old notes--both new and old notes play back.
Transpose notes

Use the Select tool or Note tool to drag the center of the note up or down; you can move several notes at once if they're all selected. You also can press the Arrow keys to move selected notes.
Quantize notes

Select the notes you want to quantize, right-click in the editing pane of P-SEQ and choose Quantize from the popup menu. Choose options and click OK.
Retrograde notes (play them backwards)

Select the notes you want to play backwards, right-click in the editing pane of P-SEQ and choose Retrograde from the popup menu. Choose options and click OK.
Change note velocity

Select Velocity from the MIDI menu in P-SEQ, and use the Automation tool to edit each note's velocity. Or, move the Note tool just above the center of the note until the cursor changes shape, and drag upward or downward.

See:

Merging and Layering Patterns

Setting Swing and Shuffle

Arranging Patterns

Displaying Patterns in P-SEQ

Using the Snap Button in P-SEQ

Selecting and Deselecting Notes and Data in P-SEQ

Editing Notes in a Pattern

Slip-editing and Slip-copying Patterns

Changing the Length of Patterns

Sending Patterns from P-SEQ

To Assign a MIDI Channel to an Instance of a Pattern

To Set a Pattern's Transposition Level


Merging and Layering Patterns

Once you have a pattern displayed in P-SEQ, you can drag new patterns into P-SEQ either on top of the displayed pattern, at the end of it, or someplace in between. The dragged pattern does not overwrite the data in the displayed pattern, but adds its data to it. This works well for adding cymbal parts to bass drum patterns, and for percussion patterns in general.

To Merge or Layer Patterns

  1. Display a pattern in P-SEQ.
  2. Set the Snap button menu in P-SEQ to a value that will allow you to drag a pattern to the desired location.
  3. Drag a pattern from any folder in the Pattern Bin to the desired time location in P-SEQ. For example, if you want to layer a cymbal part on top of a bass drum part, drag the cymbal pattern to the beginning of P-SEQ. If you want to add a different bass drum part to vary one that's displayed in P-SEQ, drag the pattern to the end of the displayed pattern.
  4. Drag as many patterns as you want to the desired locations in P-SEQ where you want new patterns to go.

Project5 merges all the patterns. If you want to keep the pattern, you can rename and save the pattern.

See:

Splitting MIDI Patterns

Setting Swing and Shuffle

Arranging Patterns

Displaying Patterns in P-SEQ

Using the Snap Button in P-SEQ


Splitting MIDI Patterns

You can split a MIDI pattern (not an audio pattern) in P-SEQ, which creates a new pattern from the portion of the original pattern that's either before or after the Edit Marker. The original pattern remains the way it was, and Project5 names the new pattern "Split of (original pattern name)[number of beats in new pattern]."

To Split a MIDI Pattern

  1. Display a MIDI pattern in P-SEQ that you want to split a piece from.
  2. Set the Snap button menu to a value that allows you to split the pattern at the time location where you want to split.
  3. Drag the Edit Marker to the split location, or double-click in P-SEQ's Time Ruler where you want the split to be.
  4. Using the Select tool, right-click in P-SEQ's Note pane either before or after the Edit Marker, depending on what portion of the pattern should make up the new pattern.
  5. Choose Split Until Marker, or Split From Marker from the popup menu, depending on where you right-clicked.

Project5 creates a new pattern called Split of (name of original pattern).

See:

Setting Swing and Shuffle

Arranging Patterns

Displaying Patterns in P-SEQ

Using the Snap Button in P-SEQ


Setting Swing and Shuffle

You can make a pattern of 8th notes play back as swing 8th notes instead of straight 8th notes. The appearance of the notes in P-SEQ does not change, only the way they play back. You can vary the strength of swing playback by turning the Shuffle Amt. knob, which is in the upper right corner of Project5's Main Control view, next to the MIDI Sync button.

To Set Swing Strength

  1. Display the pattern you want to edit in P-SEQ.
  2. Click the Swing Eighths button, which is at the lower left panel of P-SEQ, so that it is lit up.
  3. Adjust the Shuffle Amt. Knob to vary the strength of the swing effect: 0% = no swing, 100% = maximum swing.


Arranging Patterns

The Tracker is where you make copies of patterns and arrange them to form your project. Once you create or import some patterns you want to use, you can slip-edit, move, copy, delete, and transpose your patterns. Most of the same editing procedures work on both audio and MIDI patterns. Wave files (non-ACIDized audio files), however, can not change pitch or tempo.

The Pattern bin stores your patterns in three different folders: Disk, In Use, and Scrap. You can move any pattern from the Pattern bin into the Tracker, P-SEQ, or the Preview Bin for auditioning. To display the Pattern Bin, use the View-Pattern Bin command.

Slip-editing means to drag the beginning or end of a pattern inward to hide some of the data in the pattern. The hidden portions do not sound, but are not deleted. You can hear them again by dragging the boundaries outward back to their original location. Once you go past the original boundary, Project5 starts creating another repetition of the pattern (slip-copying). An alternative way to copy patterns, drag-copying (holding down the Ctrl key while you drag), copies patterns into a separate clip--if you have slip-edited any portion of the pattern, using the drag-copying technique creates an exact copy of the pattern and any slip-edits you've done on the pattern (the slip-edited portions are still temporary). You edit MIDI and audio clips with the same methods. Patterns that sit on top of other patterns are still heard, along with the patterns they're on top of.

When you drag patterns or pattern boundaries, the precision of their movements is governed by the Snap button setting. For example, if the Snap button is set to Measure, and the button is depressed, you can only drag patterns to measure boundaries; if the Snap button is set to Quarter Note (displayed as 1/4), you can only drag patterns to beat boundaries, etc. If you want to drag objects by irregular distances, leave the Snap button in the up position, or hold down the Shift key while you drag. The Tracker has its own Snap button, which is independent of the Snap button in P-SEQ.

See:

Sending Patterns from P-SEQ

Slip-editing and Slip-copying Patterns

Drag-copying Patterns with the Ctrl Key

Moving, Selecting, and Deleting Patterns

Undoing Edits, and Undo History


Sending Patterns from P-SEQ

Once you display a pattern in P-SEQ, you can send it to a specific track and location (you must have at least one synth track in your project before you can send a pattern).

To Send a Pattern from P-SEQ

  1. Set the Snap button in the Tracker to the desired value.
  2. Click and drag the Send To Track button from P-SEQ to the location where you want the pattern.
Or
  1. Highlight the track you want to send the pattern to by clicking anywhere in the track's controls.
  2. Move the Now time to where you want the pattern to start.
  3. Make sure the correct pattern is displayed in P-SEQ, and then click the Send To Track button in P-SEQ.
Or
  1. Right-click in the Tracker at the place where you want the pattern: Project5 displays a popup menu.
  2. Choose a pattern from the IN USE or SCRAP options on the popup menu.

Project5 sends the pattern to the specified location.

See:

Slip-editing and Slip-copying Patterns

Drag-copying Patterns with the Ctrl Key

Moving, Selecting, and Deleting Patterns

Undoing Edits, and Undo History


Slip-editing and Slip-copying Patterns

Dragging the front and/or back borders of a pattern inward is called slip-editing--this hides portions of the pattern and mutes the sound from the hidden portions. You can drag the borders back out to expose the hidden portions and hear them again. If you drag the borders outward past the original boundaries of the pattern instead of inward, Project5 starts creating new repetitions of the pattern (slip-copying). You can "roll out" as many repetitions of the pattern as you want. All the repetitions stay in one container, or "clip," that you can move around as one unit, or do further slip-editing on. When you move the cursor over the front or back border of a pattern in the Tracker, the cursor changes to slip-editing or slip-copying mode (same thing), and looks like this:

To Slip-edit a Pattern

  1. If you want to move the pattern border to an exact location, set the Snap button to a value that will allow this. For example, if you want to move the pattern border to a location that's between beats, set the Snap button to an eighth note, or whatever small interval you require.
  2. Drag the front and/or back borders of the pattern to the location you want.

To Slip-copy a Pattern

  1. If you want to make only whole repetitions of the pattern, set the Snap button to a value that will allow this. For example, if your pattern is 3 beats long (in 4/4 time), set the Snap button to a quarter note so that all the repetitions, including the final one, can be three beats long (depending on where you release the mouse). If the Snap button is set to a measure instead, some repetitions of this particular pattern will end in the middle of the pattern.
  2. Drag the front and/or back borders of the pattern to make as many repetitions as you want.

See:

Drag-copying Patterns with the Ctrl Key

Moving, Selecting, and Deleting Patterns

Undoing Edits, and Undo History

Sending Patterns from P-SEQ


Drag-copying Patterns with the Ctrl Key

If you hold down the Ctrl key while you drag the center of a pattern, Project5 pastes a separate copy of the pattern at the location where you release the mouse.

To Drag-copy with the Ctrl Key

  1. Set the Snap button to the beat boundary where you would like the copied pattern to go.
  2. Hold down the Ctrl key while you drag the pattern from the center of the pattern to the location where you want the copy to go.

Project5 pastes a separate copy of the pattern to the location where you released the mouse. You can move and slip-edit this copy independently from the source copy.

See:

Moving, Selecting, and Deleting Patterns

Undoing Edits, and Undo History

Sending Patterns from P-SEQ

Slip-editing and Slip-copying Patterns


Moving, Selecting, and Deleting Patterns

You can drag patterns in the Tracker to any location in any existing track (except for Groove or audio clips--Groove and audio clips must be dragged to GroovePlayer tracks only). The precision of the patterns' movements is controlled by the Snap button setting.

If you're going to move several patterns at once, you first have to select them:

Note: patterns in the Tracker can overlap All the patterns will still sound. If one or more patterns is hidden underneath another pattern, the top pattern displays the boundaries of the lower patterns in a contrasting color. You can display a hidden pattern by right-clicking the top pattern, and choosing Bring to Front-(name of pattern) from the popup menu.

To Select a Single Pattern

Click the pattern to select it--the pattern changes shade when it's selected.

To Select Multiple Patterns

  • Drag a rectangle around the patterns you want to select. The patterns change shade when they're selected.
Or
  • Hold down the Ctrl key while you click each pattern that you want to select.

To Move Patterns

  1. Select the patterns you want to move--if you're only moving one pattern, you don't have to select it.
  2. Set the Snap button to an appropriate interval.
  3. Do one of the following:
    • Drag from the center of one of the selected patterns to the location you want them to be in, and release the mouse.
    • Press the Left Arrow or Right Arrow key on your keyboard to move the patterns in the direction of the arrow, by intervals of the Snap button setting.
    • Press the Up/Down arrows to move the selected patterns to adjacent tracks.

To Delete Patterns

  1. Select the patterns you want to delete.
  2. Press the Delete key, or use the Edit-Delete menu command.

To Reuse Deleted Patterns

  1. If the pattern you deleted is no longer in use, double-click it in the Scrap folder of the Pattern bin. This displays the pattern in P-SEQ.
  2. Set the Now time, select a track, and send the pattern to its new location.

See:

Sending Patterns from P-SEQ

Slip-editing and Slip-copying Patterns

Drag-copying Patterns with the Ctrl Key

Undoing Edits, and Undo History


Undoing Edits, and Undo History

Project5 keeps every edit you do during a session in the History file, up to a maximum number of 16 edits by default. You can change this number in the Undo History dialog if you want (Edit-Undo History command). Keeping all of these edits takes up a lot of memory, so you may find that 16 is a good number.

You can undo the edits you make in Project5 by pressing Ctrl+Z for each edit you want to undo, starting with the most recent edit. You can also open the Undo History dialog and look at the list of edits, and select the one that you'd like to jump back to.

To Undo Edits

  • To undo the most recent edits, press Ctrl+Z (or use the Edit-Undo command) once for each edit you want to undo, starting with the most recent.
  • To use the History list, use the Edit-Undo History command to display the list of edits, select the one you'd like to jump back to, and click OK. Project5 "undoes" all the edits that happened after the one you selected.

If you want to clear the History list, open the Undo History dialog (Edit-Undo History command) and click the Clear button. Project5 automatically clears the list when you close Project5 or open a new project.


The Pattern Bin

The Pattern Bin allows you to store patterns, preview them, and insert them into your project. To view or hide the Pattern Bin, use the View-Pattern Bin command. You can float the Pattern Bin to any location you want by holding down the Ctrl key while you drag the upper left corner. You can resize the Pattern Bin by dragging its borders.

The Pattern Bin has four components:

  • The Disk folder--Use this folder to save patterns to disk, and to view and possibly reuse the patterns in multiple projects. The Save button is in P-SEQ, next to the Duplicate Pattern button. Saved patterns appear in the Windows Explorer with a .PTN file extension. The file extension does not appear in the Pattern Bin in Project5. The contents of the Disk folder are visible and usable in every project.
  • The In Use folder-- This folder shows all the patterns that are currently being used in the Tracker.
  • The Scrap folder--Stores patterns that you have viewed in P-SEQ or have deleted from the Tracker, but are not currently being used in the Tracker.
  • The Preview Bin--The rectangular area at the bottom of the Pattern Bin is the Preview Bin. You can preview one or more patterns from any of the Pattern Bin's folders. If you preview more than one pattern at the same time, the patterns all play at the same time. Also, any pattern that is currently displayed in P-SEQ will play at the same time as any pattern that is in the Preview Bin. This is useful when auditioning drum and bass loops, for example.

See:

Previewing Patterns in the Pattern Bin

Loading, Saving, and Deleting Patterns in the Pattern Bin


Previewing Patterns in the Pattern Bin

You can preview patterns from any of the folders in the Pattern Bin. If you preview more than one pattern at the same time, the patterns all play at the same time, and at the project tempo.

To Preview Patterns

  1. If you don't want to hear the pattern that's currently displayed in P-SEQ, clear P-SEQ by choosing Track/Bus Automation from P-SEQ's Edit menu.
  2. In the Pattern Bin (except for the Disk folder, see next step), click the pattern you want to preview. P-SEQ displays the pattern name in the Preview Bin. If you want to preview more than one pattern Ctrl-click the extra ones.
  3. If the pattern you want to preview is in the Disk folder, double-click the pattern. This action displays the pattern in P-SEQ and in the Preview Bin.
  4. When you have all the patterns displayed in the Preview Bin and in P-SEQ that you want to hear, click the track that you want to hear the patterns played through: if you've selected audio patterns, you must select a GroovePlayer track; for MIDI patterns, select a MIDI track. If you're previewing both at the same time, one of the patterns must be in the Tracker, then you can select the right kind of track for the pattern that is not in the Tracker, and still hear both patterns.
  5. Click the Preview Pattern button in P-SEQ.

Project5 plays the patterns from the Preview Bin and P-SEQ all at the same time. Patterns in the Preview Bin play back through the currently selected track, and at the current project tempo. A pattern in P-SEQ plays back through the currently selected track unless the pattern is used in the Tracker. Then the pattern plays back through the track it's in. If it's in more than one track, the active instance (blinking pattern) plays back through the track that it's in.

To Remove Patterns from the Preview Bin

  • To remove all patterns from the Preview Bin, click an empty area on the right side of the Pattern Bin (not in the Preview Bin). Note: If any of the patterns is currently displayed in P-SEQ, choose Automation in P-SEQ's Edit menu to remove this pattern from the Preview bin.
  • To remove a specific pattern from the Preview Bin, Ctrl-click the name of the pattern in the Pattern Bin folder that stores the pattern. If the pattern is currently displayed in P-SEQ, choose Automation in P-SEQ's Edit menu to remove this pattern from the Preview bin.
  • To replace all patterns in the Preview Bin with a new pattern (except a pattern that's displayed in P-SEQ), click the name of a pattern in the In Use or Scrap folders.

See:

Loading, Saving, and Deleting Patterns in the Pattern Bin

The Pattern Bin


Loading, Saving, and Deleting Patterns in the Pattern Bin

You can drag patterns directly from any folder in the Pattern Bin to any location in the Tracker. The Snap button setting determines what unit of time the pattern snaps to when you drag it.

Patterns in the Disk folder are stored in two separate folders that you can view in the Windows Explorer--one folder for audio patterns and one for MIDI patterns. The patterns in both folders are displayed in the Disk folder of the Pattern Bin. To choose MIDI and audio folders, click the Set Shared Folder button, and select a MIDI folder, then click the button again and select an audio folder (or vice versa). When you save a MIDI pattern, Project5 stores it in your designated MIDI folder, and when you save an audio pattern Project5 stores it in your designated audio folder.

Audio and MIDI patterns in the Pattern bin have different icons next to their names.

The following table summarizes how to load, save, and delete patterns in the Pattern Bin:

To Do This... | Do This...
Choose the folders that the Disk folder uses to hold MIDI and audio patterns (these are the folders Project5 stores patterns in when you click the Save Pattern button in P-SEQ) | Click the Set Shared Folder button in the Pattern Bin; then select either a MIDI or audio folder that you want to store patterns in. Click the button again to select an audio folder if you've already selected a MIDI folder, and vice versa.
Add audio patterns to the audio folder. | Use the File-Import Audio command to import an audio file, display the file in P-SEQ, and click the Save Pattern button in P-SEQ.
Drag patterns from the Pattern Bin | Set the Snap button to the desired setting, and drag a pattern from any folder in the Pattern Bin to any location in the Tracker.
Display patterns that are in the Pattern Bin in P-SEQ | Double-click a pattern in any of the Pattern Bin folders.
Delete patterns from the In Use or Scrap folders (and from any place in the Tracker that a pattern might be) | Select the pattern and press the Delete key.
Delete patterns from the Disk folder | Use the Windows Explorer to navigate to the folder the pattern is in, select it, and press Delete. Patterns in the Windows Explorer have the .PTN file extension.
Merge two or more patterns | Display a pattern in P-SEQ, and then drag another pattern from the Pattern Bin to the time location in P-SEQ where you want to layer the new pattern.
Save a pattern to the Disk folder | Display the pattern in P-SEQ, double-click the Edit menu and type a new name for the pattern, and click the Save button in P-SEQ
See:

Previewing Patterns in the Pattern Bin

The Pattern Bin


Using Effects

You can use both MIDI and audio effects in Project5. MIDI effects are patched in the MIDI FX bin and Audio effects are patched in the Audio FX bin located at the bottom of Project5, in the Mix strip. Project5 supports DirectX audio effects, and VST effects that have been registered using the adapter wizard that's in the Windows Start menu: Start-Programs-Cakewalk-VST Adapter-VST Adapter.

Patching Effects

Adjusting Effect Parameters


Patching Effects

You can patch any DirectX or VST effect into the signal path of any of your synths.

To Patch an Effect

  1. Click the track number of a track to select it.
SYN.OPS shows the controls and effects for the current synth.
  2. Right-click in the MIDI FX bin or Audio FX bin and select an effect from the menu that appears.
  3. Select an effect from the menu that appears.

To insert an effect before another effect, right-click on the effect you want to insert the new effect before and select an effect from the menu that appears.


Patching an Effect into an Aux Bus

If you want to use the same effect for multiple synths, you can patch the effect into one of Project5's aux buses.

To Patch an Audio Effect into an Aux Bus

  1. Click the Mains button in the Main Control view to display the Aux controls in SYN.OPS.
  2. In SYN.OPS, click the aux bus you want to patch an effect into.
  3. Right-click in the Audio FX bin and select Effects and choose an effect from the menu that appears.

To Route a Track Through an Aux Bus

Use the following procedure to route a synth through an aux bus.

  1. Click the track number of a track you want to route through an aux bus.
  2. In SYN.OPS, click the Aux Bus Send Enable. When enabled the indicator appears red.
  3. Adjust the Aux Bus send level as desired.


Selecting and Deleting Effects

Selecting an effect in an FX bin displays its parameters in the Parameters Inspector side of SYN.OPS.

To Select an Effect

The following table lists the ways to select and delete an effect in SYN.OPS.

To do this... | Do this...
Select an effect | Click on it.
Delete an effect | Right-click on the effect and select Delete from the menu that appears.
Shift the selection to a different effect | Click the right arrow key to move the selection to the right or the left arrow key to move the selection to the left.


Reordering Effects

Use the following procedure to change the order of your effects in the signal path.

To Reorder Effects

  • In the FX bin drag the rectangle under the effects name to the place in the signal path where you want to insert it and release the mouse button.


Bypassing an Effect

Use the following procedure to bypass an effect in the signal path.

To Bypass an Effect

  • Click on the Bypass indicator to the left of the effect's name.
Or
  • Press Y on your keyboard to turn a selected effect on or off.
A green indicator means the effect is active. A black indicator means the effect is bypassed.


Adjusting Effect Parameters

From SYN.OPS you can open an effect's property page to change the parameters directly, or you can bind each of the widgets in SYN.OPS to one of the effect's parameters and change those parameters directly from SYN.OPS.

To Open an Effect Property Page

  • Double-click on the rectangle under the effect's name.

To Change an Effect Preset

  1. In SYN.OPS click the Preset dropdown menu.
  2. Select a preset from the menu that appears.

To Bind an Effect Parameter to a SYN.OPS Widget

  1. Right-click on a controller in the Parameters Inspector section of SYN.OPS (the lower right corner of the Mix strip).
  2. Select a parameter from the menu that appears.

To Adjust a SYN.OPS Widget

  1. Click on a controller.
  2. Drag your mouse up to move the controller clockwise or down to move the controller counter-clockwise.


Automation

Automation means to record the movement of a fader, knob, or other "widget" so that the next time you play your project, that widget moves automatically. You can use Remote Control to move the widget while you're recording. Project5 allows you to automate track controls, pattern parameters, aux buses, the main bus, effects parameters, and synth parameters. When you export your finished project, Project5 uses all your automation data to create your final mix.

See:

Quick Overview

Automating Synth Parameters

Automating Effects Parameters

Automating Aux Returns and Main Buses

To Create Latch Automation of Track Controls

To Create Latch Automation of Synth Parameters

To Create Latch Automation of an Aux Return or Main Bus

To Create Latch Automation of Effect Parameters

Editing Velocity, Pitch Wheel, and MIDI Controllers


Quick Overview

You can record track control automation and effects parameter automation into either tracks or patterns. When track automation and pattern automation coincide, both sets of automation data take effect. This can cause the automated widget to jump erratically, so make sure you're not sending conflicting streams of automation data to the same widget.

There are four ways to create automation in Project5:

  • You can record the movement of a "widget" (knob, fader, or other control). You can use the mouse or Remote Control to move the widget.
  • You can draw a graph of the automation in P-SEQ, using the Automation tool [image] .
  • You can create Latch Automation, which is like taking a snapshot of the position that a widget is in, and adding that snapshot to your project at the time where you want the widget to snap to the value it had when you took the snapshot.
  • You can reassign automation from one widget to another.

In all cases, the automation shows up on a graph in P-SEQ that you can view and edit.

Tip: When you edit automation in P-SEQ, holding the Shift key down while you use the mouse enables you to draw straight lines. Also, pressing T on your keyboard toggles your tool selection between the Select, Automation, and Note tools.

Note: The Quantize and Retrograde commands function on automation data that is selected in P-SEQ. To use these commands, right-click in P-SEQ after you have selected some data, and choose a command from the popup menu.

See:

Automating Track Controls

Automating Synth Parameters

Automating Effects Parameters

Automating Aux Returns and Main Buses

Editing Velocity, Pitch Wheel, and MIDI Controllers

Selecting and Deselecting Notes and Data in P-SEQ


Automating Track Controls

You can automate the volume, pan, width, mute, and aux send controls. You can record the automation in either a track or a pattern--the Record Automation On Tracks button determines where track automation is recorded.

To Automate Track Controls

  1. Select the track that you want to automate (click the track name or number).
  2. If you're recording into a pattern, display the pattern (in P-SEQ) that you want to record the automation into.
  3. If you're recording into a track, arm the track you want to record into by depressing the track's R button.
  4. If you're recording into a track, depress the Record Automation On Tracks button [image] . It turns red when depressed.
  5. Start recording in the track or pattern.
  6. Move the track control(s) you want to automate.
  7. Stop recording.

Project5 stores the recorded automation in the track or pattern you chose. You can also draw and edit automation graphically in P-SEQ (see following procedure).

Note: Project5 only overwrites old automation data when you're actually moving a Remote Control slider or holding down the mouse. Just holding a Remote Control slider in one position does not overwrite old data. If you use Remote Control to overwrite old automation data, it's usually a good idea to erase any old data first, or use the mouse to re-record the data, since this produces a much smoother curve. To erase old data in P-SEQ, select it and press the Delete key, or hold down the right mouse button and drag the Automation tool through the data. If you just recorded the data, you can use the Ctrl+Z command to undo it.

To Edit Track Control Automation that's in a Track

  1. Click the Edit menu in P-SEQ--under Track/Bus Automation, click the name of the synth track that contains the automation.
  2. In the Automation Edit Menus, click the dropdown arrow on the TRK menu, click In Pattern, and then click the name of the track control that you automated.
  3. Scroll P-SEQ to the measure where the automation begins.
  4. Click the Automation tool button [image] , and use the mouse to draw or edit the graph. You can also use the Select tool to select parts of the graph, and then use the Left/Right arrow keys and the +/- (plus and minus) keys to edit the selected data.
  5. To erase automation, hold down the right mouse button and drag the Automation tool through the graph.

To Edit Track Control Automation that's in a Pattern

  1. Display the pattern in P-SEQ.
  2. In P-SEQ, click the TRK menu, click In Pattern, and then click the name of the track control that you automated.
  3. Click the Automation tool button, and use the mouse to draw or edit the graph. You can also use the Select tool to select parts of the graph, and then use the Left/Right arrow keys and the +/- (plus and minus) keys to edit the selected data.
  4. To erase automation, hold down the right mouse button and drag the Automation tool through the graph (the cursor changes to an eraser when you hold down the right mouse button).

To Create Latch Automation of Track Controls

  1. Move a track control to a position that you want the control to snap to at a certain time in your project.
  2. If you want to add the automation data to a pattern, double-click the pattern in the Tracker to make it the active instance. Project5 will add the automation to the beginning of the pattern, which you can move to the place where you want the automation to be used.
  3. Right-click the track control and choose Latch Automation in (name of pattern or Automation-track [number]) from the popup menu.

Project5 adds the automation data to the beginning of the pattern or the track you chose. If you play the track back, the widget you right-clicked snaps to the position it was in when you right-clicked it, when the Now Time reaches the beginning of the track or pattern you put the automation into. You can edit the automation the same way you edit automation that's in patterns or tracks.

See:

Automating Synth Parameters

Automating Effects Parameters

Automating Aux Returns and Main Buses

Editing Velocity, Pitch Wheel, and MIDI Controllers


Automating Synth Parameters

Many synths have automatable parameters.

To Automate Synth Parameters

  1. Select the track (click the track name), or display the pattern you want to record the automation into.
  2. In SYN.OPS, right-click one of the Assignable Controllers knobs, choose a parameter from the popup menu, and assign one of your controller's sliders to control the knob.
Note: You can automate DXis that support DX automation directly from their own interface. PSYN, DS864, VELOCITy and nPULSE all support this.
  3. If you're recording into a track, depress the Record Automation On Tracks button [image] .
  4. Arm the track, if you're recording into a track, and start recording in the track or pattern.
  5. Move the Assignable Controllers knob the way you want it to move.
  6. Stop recording.

Play the track or pattern, and edit if desired (see following procedure).

To Edit Synth Automation that's in a Track

  1. Click the Edit menu in P-SEQ--under Track/Bus Automation, click the name of the synth track that contains the automation.
  2. In P-SEQ in the Automation Edit Menus, click the dropdown arrow on the DXi menu, click In Pattern, and then click the name of the parameter that you automated. Note: Some common synth (DXi) parameters such as volume and pan are considered to be track parameters, and you can find them in the TRK menu instead of the DXi menu.
  3. Scroll P-SEQ to the measure where the automation begins.
  4. Click the Automation tool button, and use the mouse to edit the graph. You can also use the Select tool to select parts of the graph, and then use the Left/Right arrow keys and the +/- (plus and minus) keys to edit the selected data.
  5. To erase automation, hold down the right mouse button and drag the Automation tool through the graph.

To Edit Synth Automation that's in a Pattern

  1. Make sure that the pattern has been sent to a track.
  2. Double-click the pattern.
P-SEQ displays the pattern.
  3. In P-SEQ in the Automation Edit Menus, click the dropdown arrow on the DXi menu, click In Pattern, and then click the name of the parameter that you automated. Note: Some common DXi parameters such as volume and pan are considered to be track parameters, and you can find them in the TRK menu instead of the DXi menu.
  4. Click the Automation tool button, and use the mouse to edit the graph. You can also use the Select tool to select parts of the graph, and then use the Left/Right arrow keys and the +/- (plus and minus) keys to edit the selected data.
  5. To erase automation, hold down the right mouse button and drag the Automation tool through the graph.

To Create Latch Automation of Synth Parameters

  1. In SYN.OPS, move an Assignable Controller knob to a position that you want the knob to snap to at a certain time in your project.
  2. If you want to add the automation data to a pattern, double-click the pattern in the Tracker to make it the active instance. Project5 will add the automation to the beginning of the pattern, which you can move to the place where you want the automation to be used.
  3. Right-click the Assignable Controller knob and choose Latch Automation in (name of synth parameter in name of pattern or Automation-track [number]) from the popup menu.

Project5 adds the automation data to beginning of the pattern or the track you chose. If you play the track back, the Assignable Controller knob you right-clicked snaps to the position it was in when you right-clicked it, when the Now Time reaches the beginning of the track or pattern you put the automation into. You can edit the automation the same way you edit automation that's in patterns or tracks.

See:

Automating Effects Parameters

Automating Aux Returns and Main Buses

Editing Velocity, Pitch Wheel, and MIDI Controllers

Automating Track Controls


Automating Effects Parameters

You can automate most effects parameters.

To Automate Effects Parameters

  1. Select the track or display the pattern you want to record the automation into.
  2. If recording to a track, arm the track you want to record into.
  3. If you're recording into a track, depress the Record Automation On Tracks button.
  4. If none of the control knobs for the effect you're automating control the correct parameter, right-click one of the knobs and choose the parameter you want from the popup menu.
  5. If you want to use Remote Control to move the effect parameter knob, make sure you've made your Remote Control assignment.
  6. Start recording in the track or pattern.
  7. Move the effect parameter knob(s) you want to automate.
  8. Stop recording.

Project5 stores the recorded automation in the track or pattern you chose. You can also draw automation graphically in P-SEQ (see following procedure).

To Edit Effect Automation that's in a Track

  1. Click the Edit menu in P-SEQ--under Track/Bus Automation, click the name of the synth track that contains the automation.
  2. In P-SEQ in the Automation Edit Menus, click the dropdown arrow on the Effects menu, click In Pattern, and then click the name of the parameter that you automated.
  3. Scroll P-SEQ to the measure where the automation begins.
  4. Click the Automation tool button, and use the mouse to edit the graph. You can also use the Select tool to select parts of the graph, and then use the Left/Right arrow keys and the +/- (plus and minus) keys to edit the selected data.
  5. To erase automation, hold down the right mouse button and drag the Automation tool through the graph.

To Edit Effect Automation that's in a Pattern

  1. Double-click the pattern.
P-SEQ displays the pattern.
  2. In P-SEQ in the Automation Edit Menus, click the dropdown arrow on the DXi menu, click In Pattern, and then click the name of the parameter that you automated.
  3. Click the Automation tool button, and use the mouse to edit the graph. You can also use the Select tool to select parts of the graph, and then use the Left/Right arrow keys and the +/- (plus and minus) keys to edit the selected data.
  4. To erase automation, hold down the right mouse button and drag the Automation tool through the graph.

To Create Latch Automation of Effect Parameters

  1. In the Effect Parameter section of SYN.OPS, move an effect parameter knob to a position that you want the knob to snap to at a certain time in your project.
  2. If you want to add the automation data to a pattern, double-click the pattern in the Tracker to make it the active instance. Project5 will add the automation to the beginning of the pattern, which you can move to the place where you want the automation to be used.
  3. Right-click the effect parameter knob and choose Latch Mode in (name of pattern or Automation-track [number]) from the popup menu.

Project5 adds the automation data to beginning of the pattern or the track you chose. If you play the track back, the effect parameter knob you right-clicked snaps to the position it was in when you right-clicked it, when the Now Time reaches the beginning of the track or pattern you put the automation into. You can edit the automation the same way you edit automation that's in patterns or tracks.

See:

Automating Aux Returns and Main Buses

Automating Track Controls

Automating Synth Parameters

Editing Velocity, Pitch Wheel, and MIDI Controllers


Automating Aux Returns and Main Buses

You can automate volume, balance, width, and mute in Project5's bus window. To display the main bus and aux return controls, click the Mains button that's in the upper right toolbar of the Main Control view.

To Automate Aux Returns and Main Buses

  1. Depress the Arm button of an aux return or the main bus (you may have to drag the top border of SYN.OPS upward to see the Arm buttons that are at the bottom of SYN.OPS).
  2. If you want to use Remote Control to move the desired control, make sure your remote control assignment is set up.
  3. Click the Record button in Project5's Main Control view to start recording.
  4. Move the control you want to automate. If you're using the mouse to turn one of the knobs (volume, balance, or width), drag from the center of the knob downward to decrease the value, or from the center upward to increase the value.
  5. Click the Record button to stop recording.

Play back your project, and re-record the automation if desired. You can edit the automation in P-SEQ (see following procedure).

To Edit Aux Return and Main Bus Automation

  1. Click the Edit menu in P-SEQ--under Track/Bus Automation, click the name of the bus you automated.
  2. Scroll P-SEQ to the measure where the automation begins.
  3. Click the Automation tool button, and use the mouse to edit the graph. You can also use the Select tool to select parts of the graph, and then use the Left/Right arrow keys and the +/- (plus and minus) keys to edit the selected data.
  4. To erase automation, hold down the right mouse button and drag the Automation tool through the graph.

To Create Latch Automation of an Aux Return or Main Bus

  1. Move a main bus or aux return control to a position that you want the control to snap to at the beginning of your project.
  2. Right-click the main bus control or aux return and choose Latch (name of parameter) in (name of bus) from the popup menu.

Project5 adds the automation data to beginning of the project. If you play the track back, the widget you right-clicked snaps to the position it was in when you right-clicked it, when project starts playing. You can edit the automation the same way you edit automation that's in patterns or tracks.


Reassigning Automation

If you have some automation data that you want to reassign, for example from track volume to track pan, you can do it in P-SEQ.

To Reassign Automation

  1. In P-SEQ, display the automation you want to reassign.
  2. Use the Select tool to drag through the automation data that you want to reassign. The data turns red when it is selected.
  3. Right-click in P-SEQ, and choose Reassign (name of original parameter) To (name of new parameter).

See:

Editing Velocity, Pitch Wheel, and MIDI Controllers

Automating Track Controls

Automating Synth Parameters

Automating Effects Parameters


Editing Velocity, Pitch Wheel, and MIDI Controllers

You can edit any of these parameters on a per-pattern basis in P-SEQ.

Note: The Quantize and Retrograde commands function on note and automation data that is selected in P-SEQ. To use these commands, right-click in P-SEQ while data is selected, and choose a command from the popup menu.

Tip: When you edit automation in P-SEQ, holding the Shift key down while you use the mouse enables you to draw straight lines.

To Edit Velocity

  1. Display the pattern you want to edit in P-SEQ.
  2. In the Automation Edit Menus, click Velocity in the MIDI menu.
  3. Click the Automation tool button (pressing T on your keyboard toggles your tool selection between the Select, Automation, and Note tools).
  4. Use the Automation tool to adjust the height of the velocity graph that's under or over each note in the pattern.
Or
  1. Display the pattern you want to edit in P-SEQ.
  2. In the Automation Edit Menus, click Velocity in the MIDI menu.
  3. Move the Note tool just over the center of the note you want to edit until the cursor changes shape.
  4. Drag the velocity graph up or down.

Note: You can also use the Select tool to select parts of the graph, and then use the Left/Right arrow keys and the +/- (plus and minus) keys to edit the selected data.

To Edit Pitch Wheel Data

  1. Display the pattern you want to edit in P-SEQ.
  2. In the Automation Edit Menus, choose Wheel from the MIDI menu.
  3. Click the Automation tool button (pressing T on your keyboard toggles your tool selection between the Select, Automation, and Note tools).
  4. Use the Automation tool to draw the graph of the Pitch Wheel.

To Edit MIDI Controller Data

  1. Display the pattern you want to edit in P-SEQ.
  2. Click the Automation tool button.
  3. In the Automation Edit Menus, choose a controller from the MIDI menu.
  4. Use the Automation tool to draw the graph of the controller.

See:

Automating Track Controls

Automating Synth Parameters

Automating Effects Parameters

Automating Aux Returns and Main Buses


Remote Control

Remote control means to control various knobs or widgets in Project5 by using sliders or knobs on your MIDI controller. Remote control creates enormous possibilities for controlling your tracks, synths, and effects. For example, if you have several synths layered on the same part, you can assign each track's volume control to a different slider on your MIDI controller. That way, you can crossfade and mix the level of each synth in real time. You can also control the parameters of most synths and effects with remote control, creating almost limitless ways to continuously change the mix and content of your project's sounds.

Project5 allows you to use any MIDI device or controller to change synth and effect parameters as well as many of Project5's controls. Many of Project5's controls and widgets can be assigned to a specific MIDI port, channel, and control source (slider or knob on your MIDI controller). Any MIDI control message can be used as a source. For example, you can set a mod wheel to control a synth's volume or reverb decay time.

See:

Using Remote Control


Using Remote Control

You can assign a widget to respond to a controller message on a specific MIDI channel, or you can assign a widget to respond to a controller message on any MIDI channel. If you run out of sliders on your MIDI controller, and your controller can send out more than one MIDI channel, you can use the same slider to control several different Project5 widgets by choosing a different MIDI channel for each widget to respond to. Or you can assign several widgets to respond to the same MIDI message if you want to.

To Bind a Project5 Widget to a MIDI Device

  1. Right-click on the widget you want to assign to a MIDI device. You can select from most of the controls for tracks, auxes, and the main output.
  2. Select MIDI Remote Control from the menu that appears.
The MIDI Remote Control dialog opens, with the widget you clicked highlighted in the Mapped Parameters list.
  3. Select an input port from the MIDI Input Source menu.
  4. Select a channel--if you want the widget to respond to any channel, choose Omni.
  5. In the Control Source section, select the MIDI controller message that you want to use to control the widget.
  6. If you're not sure what controller message a slider sends out, click the Learn button, move the slider in question, and then click Stop Learning. You can choose a different MIDI channel, or Omni, after you click Stop Learning.
  7. Click OK.

Project5 assigns the control source you selected to the parameter (widget) that's highlighted in the Mapped Parameters list.

To Bind an Effect Parameter to a MIDI Device

  1. Right-click on any effect parameter knob that's displayed in the parameter list that's in the lower right corner of SYN.OPS.
  2. Select the parameter you want to control from the popup menu.
The popup menu closes and the name of the knob you clicked changes to the name of the parameter you chose from the popup menu.
  3. Right-click on the same knob to redisplay the popup menu.
  4. Select MIDI Remote Control from the popup menu that appears.
The MIDI Remote Control dialog opens; the name of the parameter (knob) you clicked is highlighted in the Mapped Parameters field.
  5. Select an input port from the MIDI Input Source menu.
  6. Select a channel--if you want the widget to respond to any channel, choose Omni.
  7. In the Control Source section, select the MIDI controller message that you want to use to control the widget.
  8. If you're not sure what controller message a slider sends out, click the Learn button, move the slider in question, and then click Stop Learning. You can choose a different MIDI channel, or Omni, after you click Stop Learning.
  9. Click OK.

Project5 assigns the control source you selected to the parameter that's highlighted in the Mapped Parameters list.

To Bind a Synth Parameter to a MIDI Device

  1. Display the synth you want to control in SYN.OPS.
  2. Right-click one of the Assignable Controller knobs that are at the left end of SYN.OPS. If you don't see the knobs, drag the left edge of the synth's property page to the right until you do.
  3. Select the parameter you want to control from the popup menu.
The popup menu closes.
  4. Right-click on the same Assignable Controller knob to redisplay the popup menu.
  5. Select MIDI Remote Control from the popup menu that appears.
The MIDI Remote Control dialog opens, with the parameter (knob) you clicked highlighted in the Mapped Parameters list.
  6. Select an input port from the MIDI Input Source menu.
  7. Select a channel--if you want the parameter to respond to any channel, choose Omni.
  8. In the Control Source section, select the MIDI controller message that you want to use to control the parameter.
  9. If you're not sure what controller message a slider sends out, click the Learn button, move the slider in question, and then click Stop Learning. You can choose a different MIDI channel, or Omni, after you click Stop Learning.
  10. Click OK.

Project5 assigns the control source you selected to the parameter that's highlighted in the Mapped Parameters list.

See also:

The MIDI Remote Control Dialog


The MIDI Remote Control Dialog

Right-clicking a widget and choosing MIDI Remote Control from the popup menu opens the MIDI Remote Control dialog.

The MIDI Remote Control dialog has the following fields:

  • Mapped Parameters--this field lists all the parameters and widgets in this project that are currently assigned to a control source. When you highlight any parameter in the list, the other fields in this dialog update automatically to show you what control source is assigned to the highlighted parameter.
  • MIDI Input Source--use this menu to choose which MIDI input you want to send the controller messages in through.
  • MIDI Channel--use this menu to choose which MIDI channel that the Project5 widget responds to. If you want the widget to respond to any MIDI channel, choose Omni.
  • Control Source--choose the type of MIDI message that you want the Project5 widget to respond to.
  • Learn button--if you're not sure what MIDI message a certain slider or knob on your controller sends out, click this button, move the slider or knob, and then click Stop Learning. Project5 reads the message that the slider sends out, and assigns that message to the widget in question.
  • Delete button--if you want to detach a widget from a control source, highlight the name of the widget in the Mapped Parameters field, and then click the Delete button.

See also:

Remote Control

Using Remote Control


SYNCHRON 32

SYNCHRON 32 is a MIDI sequencer that emulates an analog-style synthesizer. You can use SYNCHRON 32 to create patterns which can be triggered by notes in the lower two octaves of Project5.


SYNCHRON 32 Overview

This section provides an overview of SYNCHRON 32's controls.


Step Count Slider

The Step Count slider controls the number of steps or notes that are in the pattern. You can set the slider to play from 1 to 32 steps.


Note Grid

The Note grid is where you sequence your patterns. Clicking on a note turns the note on. Clicking on it again turns it off.


Octave Slider

The Octave slider changes the octave range of notes displayed in the Note grid. The red indicator lights next to each of the ten octave ranges are lit when there are notes turned on in that octave.


Notes/Voices Panel

The Notes/Voices panel lists each of the 12 tones currently displayed in the Note grid.


Duration Knob

The Duration knob sets the length of each note in the current pattern. The longest duration is 2, meaning that each note spans two measures when triggered in Project5. The shortest note duration is 1/128th. The T makes a duration a triplet and the dot makes it dotted.


Bank/Pattern Buttons

SYNCHRON 32 gives you 32 default patterns. Patterns are stored in banks of 8, labeled A, B, C and D. Clicking on a bank letter and a pattern number displays that pattern and its settings in SYNCHRON 32. A set of patterns can be saved as a preset for use in the future.


Assignable Controller Knobs

You can assign the Controller knobs to a single controller. Each note has its own controller knob.


Flam Buttons

Each note has a corresponding Flam button. The Flam button causes the note to repeat. You can control the amount of time it takes for the note to repeat by using the Amount button (AMT). The AMT button applies to every note where the Flam button is on.


AMT Button (Amount Button)

Controls the amount of time it takes for every Flam-enabled note to repeat. Turn the AMT button to the far left for the shortest amount of time or the far right for the longest amount of time between notes.


Legato Buttons

Click to extend the previous note into the current note.


Pitch Bend Knobs

Bends the pitch of individual steps up or down. The amount of pitch bend you get with the Pitch Bend knobs is dependent on the Synth you are using.


Shuffle Button

Click the Shuffle button if you want SYNCHRON 32 to follow Project5's Shuffle setting.


Poly Button

The Poly button allows you to create multiple notes at the same step. Enable the Poly button if you want to play more than one note at the same time. When enabled, you can create multiple notes on the same step. If you disable the Poly button, multiple notes at a single step remain, but additional notes are monophonic only.


Run/Stop Button

Use the Run/Stop button to preview the pattern you have created in SYNCHRON 32.


Using SYNCHRON 32

SYNCHRON 32 is a MIDI plug-in that you patch in the MFX effects bin in the SYN.OPS section of Project5. You can create and edit up to 32 different patterns, any one of which can be triggered from a note played live in Project5 or a note in a pattern being played back by Project5.


Patching SYNCHRON 32 into a Track

Use the following procedure to patch SYNCHRON 32 into a track.

To Patch SYNCHRON 32 into a Track

  1. Select the track you want to patch SYNCHRON 32 into.
  2. In SYN.OPS, right-click in the MIDI FX bin section and select MFX-SYNCHRON 32 from the menu that appears.
SYNCHRON 32 appears in the MIDI FX bin.

To Open SYNCHRON 32

  • In the MIDI FX bin, double-click on the SYNCHRON 32 object.


Previewing a Pattern

You can preview a pattern at any time using the Run/Stop button [image] in SYNCHRON 32.

To Preview a Pattern

  • Click the Run/Stop [image] button.


Drawing Notes

You can draw a series of notes or an individual note using the draw tool.

To Draw a Note

  1. Move your cursor to the step at which you want the note to appear.
  2. Click on the note you want to turn on. Click on it again to turn it off.

To Draw a Series of Notes

  • Click and drag the mouse cursor.


Changing Note Velocity

You can change the velocity of a note in the Note pane.

To Change a Note's Velocity

  1. Right-click on the note.
  2. Select either Soft, Normal or Hard and select a velocity from the menu that appears.


Switching from Monophonic to Polyphonic

SYNCHRON 32 has both a monophonic and polyphonic mode. When in Polyphonic mode, you can add multiple notes at the same step.

To Use SYNCHRON 32 in Polyphonic Mode

  • Click the Poly button [image] .


Changing the Length of a Pattern

A pattern in SYNCHRON 32 can be from 1 to 32 steps long.

To Change the Length of a Pattern

  • Click and drag the Step Count Slider over the number of steps you want the pattern to be.


Changing Octaves

The Note Grid in SYNCHRON 32 displays twelve notes at a time. You can change the octave displayed. Any octave that has note data is indicated with a red LED.

To Change the Octave Range Displayed in the Note Grid

  • Click and drag the Octave slider to the octave range you want to display in the Note Grid.


Changing Note Durations

Use the following procedure to change note durations for any new notes you add to the pattern.

To Change the Note Duration

  • Click the Note Duration knob and drag it down to increase the note duration, or up to decrease the note duration. The maximum note duration is 2 measures. The minimum is 1/128th note. The T makes a duration a triplet and the dot makes it dotted.


Triggering a Pattern from Notes in Tracker

You can use any note in a pattern in Tracker to trigger a pattern in SYNCHRON 32.

To Trigger a Pattern from MIDI Notes

You can embed MIDI notes in a pattern in the Arrangement pane. These notes (0 to 31) can trigger any of the 32 patterns in SYNCHRON 32.

  1. Create a new pattern or open an existing pattern in P-SEQ.
  2. At the step at which you want a pattern to begin, create a note at one of the note values between 0 and 31. 0 triggers the pattern A1, 1 triggers the pattern A2, and so on to note 31, which triggers the pattern D8.
  3. Click and drag the note to set the duration. The pattern the note triggers plays as long as the note lasts.
  4. If the pattern is new, select a destination track in the Track pane and click the Send button in P-SEQ.
The pattern you created appears in the Arrangement pane.
  5. Click the Play button to hear the pattern. The pattern plays for the duration of the note.


Triggering a Pattern from a MIDI Pattern in Tracker

You can also trigger a SYNCHRON 32 pattern when any pattern begins in the Arrangement pane. The pattern you trigger plays as long as the pattern in the Arrangement pane is playing.

To Trigger a Pattern from a MIDI Pattern

  1. Select a track that has SYNCHRON 32 patched in.
  2. Right-click where you want the pattern to begin.
  3. Select A1 from the menu that appears. This corresponds to Bank A, pattern 1 from SYNCHRON 32.
A new pattern appears which contains no MIDI data. You can double-click the new pattern to open it in P-SEQ for editing.


Adjusting a Note's Pitch

Use the following procedure to adjust a note's pitch.

To Adjust a Note's Pitch

  • Click a Pitch Bend knob and drag it up to raise the pitch or down to lower the pitch. The pitch range depends on the synth you are playing through.

To Reset the Pitch Bend Knob

  • Double-click on the Pitch Bend knob to reset it to 0.


Assigning a Parameter to the Assignable Controller Knobs

Each note in Synchron32 has a knob that can be assigned to a parameter. All notes are set to the same parameter, and you can change the setting of each knob.

To Assign a Parameter to the Controller Knobs

  1. Click the Assign button to the left of the Controller knobs.
  2. Select a parameter from the menu that appears.


Troubleshooting

Here are some solutions to common problems:

There's No Sound

It Takes a Long Time to Hear my Keyboard When I Play it

No Sound When I Play My Keyboard

When I Play a Pattern in P-SEQ, I Hear Several Patterns at the Same Time

CPU is at 100% and I Get Distortion

The Alt Key Keyboard Shortcuts Don't Work


There's No Sound

First, make sure your speakers or head phones are turned up and working properly. Then, make sure the correct audio driver for the sound card you're using is enabled. To check this, use the Options-Audio command to open the Audio Options dialog, and in the Outputs field make sure that the name of your preferred sound card is selected.


No Sound When I Play My Keyboard

If you've checked your speakers and audio driver (see There's No Sound, if you haven't), then try these options:

  • See if the correct MIDI input device is selected. To do this, use the Options-MIDI Devices command to open the MIDI Devices dialog, and make sure that the MIDI input interface or device you're using is listed in the Active MIDI Input Ports field. Also make sure your keyboard is turned on and your MIDI cables are connected correctly.
  • Make sure that you have inserted a synth into your project (click the Insert Track button to insert a synth and a track).
  • Make sure that the MIDI Routing Override button on a synth other than the one you're trying to play is not depressed.
  • Make sure that the Mute button on the synth track you're trying to play is not depressed, and that no Solo button on any other track is depressed.
  • If you have a Rewire host open, make sure that the host is not monopolizing your MIDI input port (SONAR and Project5 can successfully use the same MIDI input port).
  • Make sure that the MIDI channel you're transmitting on is the same as the channel your synth is receiving on.


It Takes a Long Time to Hear my Keyboard When I Play it

Use the Options-Audio command to open the Audio Options dialog, and drag the Buffer Size slider so that it's at 20 mS or lower. This sets the Mixing Latency to an acceptable level. If the sound distorts at 20 mS or lower, you may need to download a newer driver for your sound card. WDM and ASIO drivers offer faster response than the older Dsound type.


When I Play a Pattern in P-SEQ, I Hear Several Patterns at the Same Time

If any patterns are currently in the Preview Bin of the Pattern Bin, those patterns will play back at the same time as any pattern that is displayed in P-SEQ. To remove patterns from the Preview Bin, click an empty area on the right side of the Pattern Bin (not in the Preview Bin). This removes all patterns from the Preview Bin except for the one displayed in P-SEQ. To remove a pattern from P-SEQ, select Track/Bus Automation from P-SEQ's Edit menu.


CPU is at 100% and I Get Distortion

Using synths that have multiple outputs can use up your computer's resources quickly, even if you're not using more than one output. Also, synths that use samples can be CPU-intensive if the samples have long looped sections and/or long decay times.


The Alt Key Keyboard Shortcuts Don't Work

When P-SEQ, SYN.OPS, or any synth property page are undocked, the Alt+ keyboard shortcuts to open menu commands do not function.


When I Preview a Pattern, the First Note Doesn't Sound

If you move the Now Time in P-SEQ by moving the Edit Marker, you may have moved the Now Time just past the start of the note you're previewing. The note will not sound if you start playback even a millisecond after the beginning of the note. Move the Now Time to the beginning of P-SEQ and you'll hear the beginning note.


Rewire and MIDI Sync

Project5's Rewire and Synchronization functions make it compatible with a variety of hardware and software devices.

See:

Rewire

MIDI Synchronization


Rewire

Project5's Rewire support allows you to use it simultaneously with your favorite sequencer application (if it supports Rewire). A popular way to use this functionality is to load all your synths and/or loops into Project5, and do your audio recording in your sequencer.

Project5 operates as a Rewire client, not as a host. Always open your Rewire host application before you open Project5. Then open Project5 from your host application (it should have a command to open Rewire clients). Also, it's a good idea to not open two projects at the same time in your host application. In Cakewalk's SONAR, Project5 appears as a DXi that you can patch from the Synth Rack view. Here's a list of Project5's Rewire functionality:

  • The transports on both applications (host and client) are synchronized--moving a transport control (play, rewind, stop, etc.) in either application also moves the same control in the other one's transport. However, the record function is independent in each application.
  • The tempo is controlled by the host application. Project5 ignores any tempo data in its own project when a host application is open.
  • The sound card latency for real-time input from your controller is controlled by the host application.
  • Setting up loop points in either Project5 or the host application sets loop points in the other. If you set loop points in the host application, you won't see the new loop points in Project5 until the host application starts playing.
  • When Project5 is in Rewire mode, a Rewire output number appears at the start of each track name.
  • In a Rewire host such as SONAR, you can choose any Project5 bus or synth as an input for an audio track, giving you another layer of control over volume, pan, and effects.

See also:

MIDI Synchronization


MIDI Synchronization

Project5 can function as a MIDI Sync master--it can send MIDI Sync and Song Position Pointer signals to other devices. Project5 can not function as a MIDI Sync slave--it can't receive MIDI Sync, SMPTE, or any other synchronization signal. If you need Project5 to slave to another device, open a Rewire host such as SONAR, and Project5 will slave to the Rewire host.

To Send MIDI Sync from Project5

  1. Use the Options-MIDI Devices command to open the MIDI Devices dialog.
  2. In the Output Device field, select the MIDI port or interface that you want to send the sync signal out through.
  3. If your slave device is a drum machine, you may want the drum machine to always start playing at the beginning of its loop or pattern, even if you're restarting Project5 from the middle of a project. If that's the case, enable the Send Start, Never Continue checkbox.
  4. If the slave device you want to control requires a Song Position Pointer signal (if it has a project length or pattern that always needs to play back at the same time location as your Project5 project), make sure that the Send SPP checkbox is enabled.
  5. Click OK.
  6. Make sure that the MIDI Sync On/Off button in Project5 is enabled.

Start Project5 playing and check the response of your slave device.

See also:

Rewire


Spectral Transformer

Getting Started

Effects

Spectral Transformer Presets: Emphasising Combinations of Effects

Musical Aspects of Working with Sound

Spectral Transformer: A Friendly Guide to Technical Terms


Getting Started

About Spectral Transformer

Spectral Transformer is a multi-functional plugin designed as a real-time sound modifying instrument. It has several 'tools' or functions which can be chained, so that the effect of processing is cumulative. The original functions have been developed by the internationally known composer/programmer, Trevor Wishart, and formed part of the Composers' Desktop Project (PV) sound transformation software package. They have been further developed with additional functionality and made into this plugin by Richard Dobson.

Spectral Transformer is based on the Phase Vocoder, which converts incoming audio to an overlapping series of analysis frames. Each analysis frame represents the spectrum of the sound at that moment in time. These frames are then passed through a series of transformations (effects in Spectral Transformer) before being converted back into audio. The advantage of this design, unique to Spectral Transformer, is that the expensive analysis and resynthesis is done only once: i.e., at the beginning and end of the effects chain.

Note: When you load and then unload some of the preset effects in the Spectral Transformer, it's possible for the effects to still function (to a lesser degree) even when no preset is currently loaded. Also, the Bypass buttons at the bottom of the Load Effect bins do not function completely for some presets. To completely unload these effects from the bin, you need to make any kind of change to the Analysis settings (the Power button must be off to change Analysis settings).

There are 7 effects available within the Spectral Transformer plugin. They may be selected in any order.

  • ACCUMULATOR - sustain data across analysis windows
  • BANDSHIFT - additive shift frequency bands
  • EXAGGERATOR - emphasise contours of spectral envelope
  • LoHi FILTER - filter out frequency regions
  • TRACE - retain loudest channels, discarding the rest
  • TRANSPOSE - pitch shifting
  • VOC-TRANSP - transpose with formants preserved

Accessing the plugin

Within the application, you access the plugin by clicking on the AUDIO FX downward pointing list button and selecting the Spectral Transformer plugin from the list of plug-ins. The plugin box now displays Spectral Transformer. Double-click on this to load the plugin. (Note that when Spectral Transformer is still enabled, you can close its window with the 'X' box in its right hand top corner, and it will still be active and responsive to the real-time parameter control buttons at the bottom right of the Project5 main window. - See Set Parameter Values.

Once the plugin is opened, you see this screen, which is mostly blank, waiting for you to select one or other of the 6 functions provided. There are several components to take note of, most of which are discussed at greater length in separate paragraphs.

  • Load Effect - select one of the plugin functions; the parameter sliders for that function appear when it is selected. Clicking on this box after a plugin function has been set clears it, ready for setting a new plugin function.
  • Bypass - when ticked, this turns off the plugin; it is, in effect, a mute function.
Note: When you load the Bandshift effect, the VOC-transp effect, or the Transpose effect, the Bypass buttons at the bottom of the Load Effect bins do not function completely. Also, unloading these effects from the bins does not completely bypass them. To completely unload these effects from the bin, you need to make any kind of change to the Analysis settings (Power button must be off to make changes).
  • LFO - this box is where you select which LFO (or none) a given parameter uses
  • LFO 1 - 3 - these are the LFOs themselves, and the bar on the left contains the waveform shapes which can be selected for the LFO.
  • U-LFO 1 - 2 - these are Ultra-LFOs, with a frequency range of only 0 to 1. They are useful for achieving very controlled effects. As with the LFOs, the bar on the left contains the available waveform shapes.
  • LFO frequency - the number of times per second the LFO waveform repeats its cycle.
  • LFO% - the amount the plugin function's parameter values are displaced, as a percentage of the full range available.
  • Analysis Settings - fine tune the FFT analysis to achieve best results with a particular sound, and minimum latency.
  • Rate (Hz) - display informing you about the analysis rate, i.e., how many frames per second the analysis is creating. This is an indication of what the CPU load will be, i.e., what proportion of its processing capacity will be used. If too high, you can adjust the analysis settings to reduce the load. The analysis rate is calculated as the sample rate divided by the FFT overlap (in number of samples).
  • latency - this displays the time in milliseconds between playback of the sound going into the plugin and the processed sound coming out of the plugin. Values > 20ms may produce an audible delay. The analysis settings can be adjusted to reduce latency. The key factors which affect latency are FFT size * Window size, higher values meaning more latency.
  • Mix - this slider is controlling the balance between the presence of the original sound input to the plugin and the sound after the plugin has done its work.
  • Volume - this slider adjusts the volume of the plugin that is sent to the soundcard. It is a gain control working on the analysis data, primarily to prevent clipping.
  • Power - turn on Spectral Transformer by clicking on this button.

Presets

The standard DXi Preset mechanism operates from within Project5 for all the plug-ins. When used for Spectral Transformer, a preset saves all the settings which have been made to create an effect, including all parameter values and chained effects. When loaded, all settings are restored and the effect is ready to run.

Save Spectral Transformer Preset--Enter a name for the preset and click on the Disk icon to save a preset. This saves which effects are selected, the user parameter settings, LFO assignments and slider settings, volume and mix settings. The analysis settings are NOT saved.

Load Spectral Transformer Preset--Select a previously saved Spectral Transformer Preset from the list shown by clicking on the down arrow to the right of the list box. When you click on the name, Spectral Transformer is immediately reconfigured with the saved settings.

Delete a Spectral Transformer Preset--Select the preset to be deleted and click on the Delete icon to delete a preset from the list of saved presets. The preset currently displayed in the list box is deleted.

Audio

As with any plugin, Spectral Transformer processes the audio stream supplied by the plugin host. Project5 is a real-time synthesis instrument, with effects processing. A passage of music will usually be created with one of the software synthesisers available, and the audio stream generated is then modified by one or other of the plugin effects.

Spectral Transformer operates on both mono and stereo input, but its output is always mono.

Power

When the Power button is pressed, it changes color and Spectral Transformer is active. When you click on it again, Spectral Transformer is disabled and processing stops. The Analysis Settings can be altered only when processing is disabled, when Power is inactive.

Volume slider

The volume slider on the bottom right hand of the plugin enables you to adjust the gain on the analysis data. It is important to realise what this means. The whole Spectral Transformer processing chain takes place in between analysing the incoming audio signal and resynthesising an audio signal. Thus the operation of the volume slider is taking place within the processing loop. Any overload which might occur during processing can therefore be removed effectively and safely by reducing the amplitude of the analysis data before the audio signal is resynthesised. NB - Some effects can remove a lot of the energy in the signal, so the volume slider can also be used to boost the signal by up to 12 dB.

Mix Slider

A very powerful feature of Spectral Transformer, the mix slider moves between 'Wet' on the right to 'Dry' on the left. This is controlling the balance between the presence of the original sound input to the plugin and the sound after the plugin has done its work. The 'dry' end favours the original sound, the 'wet' end the transformed sound. When using TRANSPOSER, for example, with the Mix Slider set somewhere in the mid-range, you will hear both the original sound at its original pitch and the transformed sound at its new pitch: i.e., both pitches at once. If there is some 'latency' (i.e., the transformed sound is a little late), a lower FFT size and Overlap can be set in Analysis Settings - turn off the plugin to access these settings (click on the Power button).

Analysis Settings

These settings can only be accessed when the Spectral Transformer plugin is turned off (Power is off). This plugin operates in the spectral domain, meaning that it manipulates what is known as analysis data. Normally, a sound is represented as a series of samples. Each sample has two data items: an amplitude and a time. This is the 'time domain' and changes made in this domain can, therefore, adjust the amplitude or the time data items.

The 'spectral domain' also has two data items: frequency and amplitude, and this is derived from the sample data by means of a nifty mathematical manouevre known as a Fast Fourier Transform (FFT). Thus it is directly concerned with which frequencies are present at any given moment in time (they are always changing) and how loud each of them is. Note that time is not represented here - time is represented by the regular stream of frames.

There are three ways in which we can fine-tune this FFT analysis process, and in considering what they are, we get a reasonably clear picture of what the analysis is doing.

  • FFT size - The FFT analysis works on incoming samples in groups. FFT size is the number of samples in each group used to make each analysis frame. The larger the group, the better the frequency resolution is. However, the larger number of samples also means a longer chunk of time, so time resolution is coarsened. Thus there is a frequency - time trade-off. Higher values for FFT size improves pitch tracking, and therefore transposition accuracy.
  • FFT Overlap - The analysis overlaps frames so that it produces smoother results. The overlap is given in number of samples from the start of the previous frame, so smaller values mean more overlap. The FFT size divided by the number of overlap samples gives the overlap factor, which is normally kept at 4. E.g., 1024 ÷ 256 = 4, 2048 ÷ 512 = 4. Making the overlap tighter than this will increase the CPU load. The main reason for doing so would be to improve quality in extreme transpositions.
  • Window size - This is a multiple of FFT size. Normally set to 2, it can be set to 1 in order to reduce latency. This will, however, reduce frequency resolution and increase time resolution - but this also means more frames per analysis, more data and higher CPU load.

3 Rules of Thumb provide guidelines for adjusting the above settings:

Audio quality - Audio quality is enhanced with larger FFT sizes and small overlaps.

Latency - FFT size * Window size is the main factor in determining latency, higher values causing more latency. E.g., 1024 * 2 = 2048 (samples in an analysis frame), 2048 * 4 = 8192 (samples in an analysis frame). Use low values for low latency.

CPU load - The analysis rate is the number of frames to process per second. It is calculated by dividing the number of overlap samples into the sample rate: e.g., 44100 ÷ 256 = 172 frames per second. The higher the rate, the higher the CPU load.

Recommended settings:

  • most situations: 1024 - 256 - 2 (current default for low CPU load, but not lowest latency)
  • high resolution pitch transposition: 2048 - 320 - 1, especially if transposing up more than 7 semitones.
  • drum sounds: 512 - 64 - 1 (Smearing on drum sounds with the phase vocoder is a classic problem. This very small window, low latency setting gives the best results.)
  • good quality pitch transposition while retaining a lower latency: 1024 - 160 - 1, a good high quality setting, e.g., for transposition up an octave without increasing latency too much.

Select an Effect: ~ LOAD EFFECT ~ (1 - 4)

Any one of the 7 component plugin functions can be selected in each of these four slots. When selected, its parameter sliders appear. When more than one is selected, the program processes the sound from left to right. The open architecture allows you to select any plugin function in any of the slots, thus changing the way one plugin function feeds into another. Plug-ins may be changed while the audio is running.

Bypass this effect

When this box is clicked On, the operation of the associated effect is bypassed. Clicking Bypass to Off reactivates the effect with the current parameter settings. You will find that this does not cause clicks or interrupt the audio. Spectral Transformer is designed to maintain a continuous glitch-free signal despite possibly extreme transformations. This can however sometimes lead to unexpected artifacts.

Side effects of frequency modifications.

In most cases, bypassing an effect fully removes its effect on the signal through the plugin. However, due to the nature of the phase vocoder, effects that modify the frequency information (i.e. TRANSPOSE, VOC-TRANSP and BANDSHIFT) can introduce phase smearing artefacts (most noticeable with highly transient sounds such as drums - see "Recommended Settings" above) which will persist even after the effect is removed or bypassed. Sometimes, of course, this is exactly what the user wants!

To clear such smearing effects, you need to turn Spectral Transformer off using the Power button, and change the analysis Settings (leaving them unchanged and clicking OK is not sufficient). This will cause the phase vocoder to be reset to its startup state. Spectral Transformer does not do this automatically each time a frequency-oriented effect is unloaded or bypassed, as to do so would inevitably result in a bad interruption to the audio.

Set Parameter Values

When a plugin function is selected, its parameter slider(s) appear. By moving the sliders the parameter value is set. Because this is a real-time plugin, you will hear it sound change as the parameter values are altered. These manual slider movements can also be recorded, i.e., 'automated' within the Project5 host.

NB: Any parameter can be accessed and altered with special controls at the bottom of the screen. This facility is supplied so that the parameters can be adjusted in real-time even when the plugin window is closed (the plugin will still be active). The four controls supplied are set by accessing the list of parameters with the right mouse button and selecting the parameter with the left button. The parameter selected (including Enabled, Volume and Mix) is now shown in the control and you can now click on the control with the left mouse button, continue holding it down and move the mouse vertically up and down. The parameter values now change in real time.

Parameter adjustment from the keyboard.

All Spectral Transformer parameters can changed under keyboard control, in the usual Windows way, using the Tab, space bar, Home/End, Page Up/Down, and the arrow keys. In the case of the slider controls, the arrow keys enable finer adjustment of parameters than can be done moving the sliders directly.

LFO: Low Frequency Oscillator

This is a relatively slow, repeating waveform, though higher values speed it up considerably. Connected to a given parameter, it cycles through parameter values according to the shape of the waveform. The frequency slider controls numbers of oscillations per second. An oscillation is a movement through the whole waveform.

A parameter can be connected with an LFO, providing a shaped alteration of parameter values. The % slider controls the range of values affected, i.e., the width of the LFO movement: a low %age uses only a few adjacent values (narrow band), whereas a high %age uses many (wide band).

How the LFO is affecting the parameter to which it is connected, and therefore the resulting sound, can best be observed by selecting a low frequency (slow speed) with a high % age (wide value band).

LFO waveform options - there are 7 waveform shapes which can be selected for use in the LFO operators. The waveform is the contour shape that the oscillator will follow. The box immediately below each operator has 'SINE' by default. When you move the little horizontal slider below this box, you move through a list of all the waveforms available:

It is useful to imagine a pitch moving along the trajectory contour of these shapes. This provides a mental/aural image of the way the values will change - with the understanding that these value changes often affect parameters which do not involve pitch. In general, what they do is alter the value of the parameter to which they are attached, increasing and decreasing these values according to the pattern of the waveform selected. These shapes have been chosen with their aural characteristics in mind, becoming sharper and more discrete (less continuous) as you move from SINE to RANDH. Let us therefore look at each of them more closely.

SINE - for continuous, smooth, sinuous motion

TRIANGLE - sharp peaks, more edgy

SAWTOOTH+ - smooth ascending motion

SAWTOOTH- - smooth descending motion

SQUARE - the two 'hold' areas at top and bottom have the potential to become separate pitches, and the sharpness of the changes gives it a strong, usually buzzing character

RANDI - random changes of pitch level, with interpolation in between, i.e., they are joined up by glissandi

RANDH - random changes of pitch level which are not joined up, i.e., they are 'discrete', heard as separate pitches. This is a 'sample-hold' effect.

Whatever the parameter, these shapes produce similar results: smoother and softer at the start of the list (1 & 2), becoming sharper (3, 4, 5) and then separate pitch levels, joined up (6) and discrete (7). Thus, the order of these LFO shapes provide an important indication about how to use them.

The two Ultra Low Frequency Operators work in the same way as the LFOs, but with a very restricted frequency range (0 - 1) to make it possible to introduce extremely slowly moving changes.

OFF - this box appears under each parameter. When you click on the box, you see a list of 3 LFOs and 2 U-LFOs, beginning with OFF. This means that you can connect this parameter under which the box appears to one of the LFO or U-LFO operators below. Again, the LFOs and U-LFOs can be freely assigned to any parameter, and multiple parameters can access the same LFO.

LFO frequency - this is the number of times per second at which the LFO oscillates. With some parameters, the perception of this movement is quite subtle, at other times it is quite dramatic.

LFO% of range - this is how the LFO relates to the parameter values which it is controlling. Each parameter has a valid range of values. When the LFO is able to make use of this full range of values, it is operating at 100%. When it is using only a few of the values, it is operating at only a few %. Thus the LFO displaces the parameter values up and down around its current parameter setting.

Chain plugin effects

The plugin functions can be chained in any order. Signal processing moves from left to right along the 4 effects slots. This is one of the most flexible and powerful features of Spectral Transformer, making possible endless combinations of effects.

Automation

Automation, the recording of parameter value changes, storing them and playing them back, is part of the overall host (Project5) functionality. All Spectral Transformer parameters, including which (changing) effect is in which slot and which (changing) LFO waveform is selected can be automated. The Analysis settings are NOT saved with the Presets and cannot be automated: Spectral Transformer must be disabled - processing stopped by unticking the Enable box - in order to change the Analysis Settings.


Effects

Spectral Transformer Sound Effect Toolbox, Quick Reference:
Plugin Effect & Parameters

Role
TRANSPOSER
  • semitones - 12th part of an octave in equal temperament. Range: 24 semitones: 1 octave higher to 1 octave lower than the central 0.00 setting (no transposition).
  • quantize - set size of microtonal step: 0,.25,.50 or.75 of a semitone
  • fine tune - adjust microtonal portion of transposition: any value between 0.00 to 1.00 (of a semitone)

Continuous pitch shift, moving through the 100 microtonal divisions ('cents')
  • the semitones slider now moves in quantize steps
  • further adjust the microtonal transposition step (adds this decimal value to the quantize value)
  • TRANSPOSE Terrain Map
VOC-TRANSP
  • The parameters are the same as for TRANSPOSE

This is a different transposition method that involves formants. It is better at retaining the tonal characteristics of voices and can have an interesting effect on instrumental sounds. Note that it also increases the CPU load because of the extra formants processing.
ACCUMULATOR
  • glissando - changes the speed of an internal pitch slide (glissando). Range: 2 to -2, with the central 0.00 position for no glissando.
  • decay - spectral reverb. Range: 0.00 (no reverb effect) to 1.00 (maximum reverb).
  • slope - speeds up the decay rate. Range: 0.00 (max reverb effect) to 1.00 (no reverb).

Overall: smooths out a sound. Tiny values such as -0.07 give a slow pitch bend, while higher values such as 1.8 give a wavering, fluttering, trembling effect. Best heard with short sounds.
  • Decay produces a reverberation effect which increases the smoothing effect while adding illusions of increasingly large spaces.
  • The decay parameter can be so effective that the reverb effect becomes hard to control. Slope introduces more control by enabling you to increase the rate of decay, thus reducing the amount of reverberation.
  • ACCUMULATOR Terrain Map
EXAGGERAT0R
emphasis - alters the frequency focus of loud partials. Range: -1 to 4, with 0.00 giving no change.

< 0 makes the peaks steeper, which brings out the high frequencies, acting rather like a resonant filter. > 0 makes the peaks broader, thus encompassing more of the surrounding region and bringing out noise elements. EXAGGERATOR Terrain Map
LoHi FILTER
  • LF Cut - remove frequencies below the frequency selected on the slider
  • HF Cut - remove frequencies above the frequency selected on the slider

  • as slider rises: low part removed, high part retained (thin & bright)
  • as slider descends: high part removed, low part retained (becomes soft and muffled)
  • the area between the sliders is a retained frequency band
  • LoHi FILTER Terrain Map
TRACE
components - number of loudest channels to retain. Range: 1 to 100

Higher values leave much of the sound, but it may sound cleaner'. Very low values (< 10) reduce the sound to a mere 'trace' of its former self. TRACE Terrain Map
BANDSHIFT EFFECT (BSHIFT)
  • Low Freq - set lower frequency limit for the band to be affected
  • Hi Freq - set upper frequency limit for the band to be affected
  • Amount - number of Hz to add to (or subtract from) each partial in the selected frequency band

  • As amount increases, higher and higher frequencies are added, thus moving the whole band higher (up to 1000 Hz).
  • As amount decreases, lower and lower frequencies are subtracted, thus moving the whole band lower (down to -1000 Hz).
  • How much this affects the sound partly depends where the strongest frequencies are located: you can select a frequency band which has few frequencies, or frequencies of low amplitude, so very little change will be heard. Fortunately, it is easy with a real-time instrument such as this to move the band up and down until the best frequency region is found.
  • BANDSHIFT Terrain Map

Introduction to the Spectral Transformer Functions

Spectral Transformer is designed as a real-time instrument for transforming sounds in a number of ways.

  • The TRANSPOSER effect is perhaps the primary effect, producing major tonal changes by raising or lowering the pitch of the input sound. Higher produces a slightly thinner, reedy sound, and lower produces a somewhat thicker, richer sound - but not at all as much as happens in the time domain. TRANSPOSE spectral domain continuous or stepped real-time pitch shift (transposition).
  • The VOC-TRANSP effect has the same functionality as TRANSPOSE, but carries out the transposition using a different method in order to preserve the tonal characteristics of voices. It does this by determining where the formants are located - the regions of resonant frequencies - and keeping them at the same frequency location while the rest of the sound transposes around them.
  • The ACCUMULATOR effect holds data over from previous windows. Along with glissando and delay controls, it introduces a pitch sliding motion (pitch bends) and reverberation effects.
  • The EXAGGERATOR effect cranks up (or down) the peaks and troughs of the spectral envelope. This is dealing with frequency content, so moving the emphasis parameter brings out the high frequencies (thin, bright, metallic ...), and moving it lower brings out the low frequencies (thick, deep, muffled ...).
  • The LoHi FILTER effect removes frequencies above or below specified frequency levels. It therefore constrains the operation of the other effects to specific parts (bands) of the sound.
  • The TRACE effect deals with channels, retaining a specified number of the channels containing the loudest partials. As the number of channels is reduced, the sound becomes thinner and thinner, until only a 'trace' of its former self remains.
  • The BANDSHIFT effect moves frequencies by adding or subtracting the same value to the various frequency components, i.e., a linear shift, as opposed to the logarithmic shifting of pitches used for pitch transposition.

These various effects need not be used only separately. Up to 4 can be combined at once by setting the 4 plugin slots to their own effect, and the same effect can be placed in more than one slot, for example to transpose a transposition effect in another way. The flexibility of chaining effects in this way leads to innumerable combinations, giving a great deal of scope for exciting voyages of discovery.

In a section devoted to combinations, a few generic possibilities are described.

Exploration Maps

Explorers usually start off with a map, using it to find what's known already, and then keep looking, eventually creating their own map. Sound explorers are no exception. The general idea in both cases is to 'map out the terrain': to find natural boundaries, the edges, the extremes. The rest will be somewhere in the middle.

In the examples which follow, this is the approach taken: to find settings which mark out clear differences and reveal the extreme edges of the possibilities on offer. The rest will be somewhere in the middle - and the rest can be fine-tuned to the nth degree. The possible combinations of parameters, LFO settings and chained plugin effects runs into the thousands, so exploration is the name of the game. The terrain maps are provided as a guide to possibilities, not a comprehensive list!

The other important aspect of terrain maps is that the nature of the input sound greatly influences the results. We can identify four basic types of sound:

  1. timbrally rich, where the partial content, the spectrum, is complex and constantly changing
  2. transient, where the sounds are short, such as drum loops
  3. sustained, where the sound remains pretty much in a steady state
  4. melodic, where there is a series of pitches of relatively short duration

For example, the ACCUMULATOR will have little effect on sustained sounds: it holds over the data in analysis windows, and as this doesn't change very much in a sustained sound, very little change is perceived.

TRANSPOSER EFFECT

TRANSPOSER & VOC-TRANSP: General Introduction

Transposition is one of the easiest ways to alter the tonal characteristics of a sound. The Spectral Transformer function transposes and alters the tone without changing the duration. This means that its durational, rhythmic and tonal features do not go askew when the transpositions are made. Transposition of voices is even more accurate with VOC-TRANSP because the formants are preserved. (Other than the difference in transposition method, the two transpose effects work in exactly the same way.)

Automation introduces glissandi (sliding pitches) into the sound. This usually makes the original sound somewhat unrecognisable, and the idea and shapes of the slides becomes important. Using the LFO can have a similar affect, with the LFO wave type influencing the nature of the changing pattern. However, the quantize parameter causes the settings of the semitone parameter to move in partial or full semitone steps, possibly further fine-tuned with fine-tune.

The Analysis Settings of 1024 FFT size and 256 Overlap should be OK for most sounds, but for drum sounds, the smallest settings should be used in order to avoid smearing the precise attacks, i.e., 512 FFT size, 64 (or 128) Overlap and 1 for window size.

VOC-TRANSP: Some amplitude overload may result when using VOC-TRANSP. Formants are being preserved, and formants are by definition regions of relatively high amplitude. When a frequency region of the sound being processed is already high and it ends up being moved into a formant region, the amplitudes are summed and overload may occur. This may be controlled by lowering the Volume slider, which is adjusting the gain of the analysis amplitude, not the audio signal: it is acting on the analysis data prior to resynthesis.

VOC-TRANSP formant preservation really only has an effect with upward pitch shift. Any audio changes with downward pitch shift are negligible.

TRANSPOSE Terrain Map

We can map out the terrain that TRANSPOSE occupies by looking at 8 different settings. In the first 7, both quantize and fine-tune are set to zero. In the 8th we observe the transposition in fixed steps that these additional parameters enable.

Ex 1. Semitones = 0 - no change to the original input sound

Ex 2. Semitones = 12 - highest position: higher and thinner

Ex 3. Semitones = -12 - lowest position: lower and deeper

Ex 4. Semitones = any value; LFO wave = SAW-, frequency = 40 (very high),% = 1 (very low) - rapid fluctuations focus around a very tight transposition movement. With SAW- we hear these rapid, focused, fluctuations gliding downwards, and then repeating.

Ex 5. Semitones = any value; LFO wave = SAW-, frequency = 0.43 (very low),% = 90 (very high) - a very slow fluctuation is applied to a very wide transposition movement, producing big pitch slides, with SAW- producing additional slow downward glides.

Ex 6. Semitones = any value; LFO wave = SQR, frequency = 30.04 (high),% = 90 (very high) - rapid fluctuations are applied to a very wide transposition movement, producing a rough fluttering, with SQR producing a double pitch (obscured by the rough fluttering).

Ex 7. Semitones = any value; LFO wave = RANDH, frequency = 0.43 (very low),% = 1 (very low) - slow fluctuations are applied to a very tight transposition movement, with RANDH producing randomly placed discrete transposed tones.

Ex 8. Semitones = any value; quantize = 1.00 (full semitone steps); fine-tune = 0.00. LFO wave = SAW+, frequency = 0.50 (very low),% = 100 (full range) - slow upward transposition that moves in clearly audible fixed semitone steps. quantize can be used simply to move the slider to the desired value more easily, but when used together with the LFO function, stepped glissandi result. Fine-tune can be used to add additional microtonal values (anything from .01 to 1.00) to the step set with quantize

One more observation about TRANSPOSER: the MIX function makes it possible to create double notes (dyad chords). When MIX is set at about 1/3rd to ½ from the bottom position, the original (non-transposed) sound is heard at the same time as the transposed sound, thus producing two pitch levels at the same time. As the semitones slider is moved, you can hear this interval expand and contract! Adding in the LFO SQUARE waveform and a controlled use of the ACCUMULATOR can enhance this effect.

ACCUMULATOR EFFECT

ACCUMULATOR: General Introduction

The ACCUMULATOR effect retains data across analysis windows. We can perhaps visualise this to be like a shadow falling across a picket fence, making the individual slats seem to merge. Thus it has a smoothing effect, which is done by means of pitch slide (glissando) and a reverberation effect (delay).

The slope parameter can be used to control the amount of reverberation that takes place. At the 0.00 setting, the delay parameter is given full scope. At the 1.00 setting, the rate of decay is increased so much that there is virtually no reverberation remaining. This enables you to put on precisely the amount of reverberation that seems right.

While the ACCUMULATOR effects are interesting in themselves, they really come into their own when used in combination with the other effects.

ACCUMULATOR Terrain Map

When we begin to map out the terrain for ACCUMULATOR, it is useful to start with the minimum settings and then move to the outer extremes. Slope is kept at 0.00 for these examples so that the full effect of decay is illustrated. As slope is moved upwards towards 1.00, the reverberation caused by decay is reduced.

Ex 1. glissando = -0.07, decay = 0.20 - tight, reverberant effect, like early reflections

Ex 2. glissando = -0.07 decay = 0.90 - a very slow pitch slide with a great deal of reverberation, causing multiple overlapping glides

Ex 3. glissando = 2.00 decay = 0.10 - the high glissando setting produces a wavering, trembling effect, which remains reasonably audible because the decay is minimal.

Ex 4. glissando = 1.50 decay = 0.88 - here the wavering effect is increased by a long reverberation effect, producing a fluid, watery feel.

Ex 5. glissando = 1.50 decay = 0.10, LFO connected to decay, with SAW- freq = 1,% = 92 - additional fluctuations are introduced as the LFO affects the decay time. The glissandi (pitch bends) are most clearly heard at the end of short sounds.

EXAGGERATOR EFFECT

EXAGGERATOR: General Introduction

EXAGGERATOR can be compared with two different types of mountain range.

  • In the first, the peaks are narrow and tall, with precipitous slopes and deep valleys in between.
  • In the second, the peaks are broader, even if equally tall, with more gradual slopes which don't go so deep.

In EXAGGERATOR we are dealing with partials, the frequency content of the sound, which is what causes tone color, such as 'tinny' or 'warm'. (The words don't exist to describe all the different tone colors - we just have to listen, feel and remember). The frequency content is a vertical layer-cake of slow to fast vibrations, and each of these vibrations has an amplitude, a loudness. If we turn this layer-cake on its side (through 90°), we have the vibrations going from slow on the left to fast on the right, and the loudness bar of each rising vertically to different heights, making a contour that looks like the top edge of a mountain range.

Thus in EXAGGERATOR we have two basic situations:

  • In the first, the frequency loudness peaks are narrow and tall, with precipitous and deep valleys in between. This means that the areas of frequency are loud, tightly focused, and have little in between. It is no surprise, then, that we hear these focused frequency areas as a group of pitches, and whatever else may be in the sound is significantly reduced: we hear the sound as a high and bright colored harmony. The result is similar to that of a resonant filter, but here the process acts on the existing frequency loudness pattern, whereas in the filter one selects the precise frequency areas to alter.
  • In the second, the peaks are broader, even if equally tall, with more gradual slopes which don't go so deep. This means that much more of the original sound is included, and at the lower parameter values, the broadening frequency ranges produces fuzziness.

EXAGGERATOR Terrain Map

The map of the EXAGGERATOR terrain can therefore begin with these two situations, and then ring some more changes to outline other extremes.

Ex 1. emphasis = 3.00 - the high emphasis value narrows the peaks: the sound is cleaner, focused in on tight, resonant pitches

Ex 2. emphasis = 0.50 - the low emphasis value broadens the peaks: now we hear a fuzzy, noisy quality

Ex 3. emphasis = 0.50, LFO with SAW+, Freq = 50.00 and% = 100 - the fuzziness is reduced, and there is a rapid fluctuation on the sound as the rising sawtooth pattern repeats, changing the emphasis value so rapidly that we hear it as a fluctuation. But if we move the LFO frequency down to e.g., 1.00, we clearly hear the sound swinging from fuzzy to resonant twice a second (both the positive peak and negative trough of the waveform take place each second). Slower still, e.g., freq = 0.54, and we really hear the transition from fuzzy to resonant.

The main sound transformation that EXAGGERATOR performs, then, is the movement from resonant pitches to fuzzy noise. The LFO at a slow frequency value and a high % (= wide emphasis range) really makes this clear, but at higher frequency values, the sound begins to warble. The warbling becomes clear and bird-like when the emphasis parameter is also at a high value.

LoHi FILTER EFFECT

LoHi FILTER: General Introduction

To filter is to remove part of, and LoHi FILTER removes all the frequencies below a specified frequency (LF Cut) and all the frequencies above a specified frequency (HF Cut), leaving a band of frequencies in between. It makes a sloping cut at the specified points so that it is not too abrupt and the remaining band has edges that sound natural. This slope can be adjusted to include less or more of the neighboring frequencies.

This is a fairly straightforward effect and easy to map out, though it does take a bit of pro-active visualising to imagine how the slider movements are affecting the sound, so that you understand what it is that you are hearing. This is especially true when LF Cut slider is higher than the HF Cut.

LoHi FILTER Terrain Map

So let's look at the LoHi FILTER terrain.

Ex 1. LF Cut = 449.60, HF Cut = 4154.59 - the outer frequency edges of the sound (below LF and above HF) are trimmed only a little bit - it still sounds very much like the original.

Ex 2. LF Cut = 86.13, HF Cut = 782.80 - now nothing at the bottom of the sound is cut, but everything above 782.80 Hz is removed. Thus the only the low frequencies of the sound are allowed through (= 'Low Pass'), and we hear a very soft and muffled version of the original.

Ex 3. LF Cut = 2466.91, HF Cut = 22050 - nothing at the top of the sound is but, but everything below 2466.91 Hz is removed. Thus only the high frequencies of the sound are allowed through (= 'High Pass'), and we hear a very thin and reedy version of the original.

Ex 4. LF Cut = 1378.13, HF Cut = 2550.37 - only the frequencies between 1378.13 and 2550.37 remain, and the original sound is as if squeezing through a tight space.

This spectral realisation of Low Pass, High Pass and Band Pass filtering is very effective. In itself, it is a common enough effect, but here it can be used in combination with the other Spectral Transformer effects to make their effects more precise.

TRACE EFFECT

TRACE: General Introduction

The word 'trace' is meant to indicate outlining something, or reducing to a faint shadow of its former self. The TRACE effect does this by examining the analysis data to find out which channels (bands of frequencies) have the loudest partials. It then retains only the user-specified components number of the loudest channels, eliminating all the others.

A surprising amount of data is contained in only a few channels. The highest value of components is 100 channels, which is only 1/10th of e.g., 1024 analysis channels. When this highest value is used, we still hear most of the sound, perhaps 'cleaner' because some of the fuzz has gone. It is only when the number of components becomes quite small, e.g., <10, that we begin to feel that the original sound is being 'outlined', reduced to gentle, clear bubbling effect. The soft edges of the bubbling come from smoothing over the gaps left by eliminated material.

TRACE Terrain Map

The terrain map for TRACE is therefore reasonably straightforward. It can be interesting to play with the region in which the original sound begins to lose its recognisability.

Ex 1. components = 100 - the result is pretty much like the original sound, even though only 100 of the loudest channels (out of 1024) are retained. There must be some loss, however, and in some cases it effectively cleans out some of the noise in a sound.

Ex 2. components = 1.00 - With only the one loudest channel retained, it is wonder that we hear anything at all. What we do hear is a thin, warbling, with some of the warbling effect being an artefact caused by interpolating across so much empty frequency space.

Ex 3. components = 20.00 - At this setting, some of the sound appears to remain fairly normal, while other parts are considerably reduced. These other parts will have had a richer and more varied frequency content and therefore will have lost more in the reduction to the 20 loudest channels.

Ex 4. components = 7.00 - Now the sound is much reduced and recognisablity is diminished, but there is still some balance between hearing the original and hearing the warbling trace of the original.

TRACE is a simple enough process, but extremely useful in isolating key components of the sound, whether at the extremes or striking a balance of sonic material in the mid-range of the component parameter. The range of possibilities is enormously extended when used in combination with other Spectral Transformer effects, especially the ACCUMULATOR.

BANDSHIFT EFFECT

BANDSHIFT (BSHIFT): General Introduction

With BANDSHIFT, you can define a band of frequencies with lower and upper frequency limits, as with LoHi FILTER. However, what happens to the band is completely different. Instead of removing frequencies below and above the limits, BANDSHIFT adds frequencies to or subtracts frequencies from those within the band.

BANDSHIFT Terrain Map

The terrain map for BANDSHIFT, using a bell-like sound as input.

Ex 1. Low Freq = 277.53, Hi Freq = 1440.64, Amount = -376 - This band contains the main part of this sound, and we hear that it is now deeper and richer. The snapshot of the frequencies show them moved from their original position to locations further left, i.e., lower.
Ex 2. Low Freq = 277.53, Hi Freq = 1440.64, Amount = 1000 - Using the same band, we hear that it is now much higher and brighter. The snapshot of the frequencies show them moved from their original position to locations further right and compressed, i.e., higher and closer together.
 | Ex 3. Low Freq = 86.13, Hi Freq = 22050, Amount = 894, LFO = SAW- (downward sweep), with frequency = 0.50 (very slow) and % = 58 - The band specified encompases just about the whole sound. The slow LFO swings through 58% of the possible amount, around the fairly high amount setting of 894 Hz. We hear a slow downward glissando effect that will in many cases overlap and phase against the input sound.

The BANDSHIFT effect most noticeably alters pitched sounds, i.e., with mostly harmonic partials. The BANDSHIFT effect, because it is adding or subtracting frequencies, will change these to inharmonic partials. Thus the clear, focused, sound becomes more diffuse, with several different, rather than one clear partial vying for attention.

Addition makes the frequencies faster and compresses the proportional relationship of the partials, making the sound brighter or even metallic. Subtraction makes the frequencies slower and expands the proportional relationship of the partials, making the sound richer and warmer.


Spectral Transformer Presets: Emphasising Combinations of Effects

The real power of Spectral Transformer lies in creating combinations. These can be used both to fine-tune and to generate quite mad textures.

The effects can be combined with LFO and/or U-LFO operators and effects can also be chained, the processing moving from left to right across the various plugin effects selected. The same effect can be repeated in more than one slot. Because of the architecture of the plug-in, even outrageous combinations can be set up with, in most cases, very little change to CPU load.

The following list of presets, created by plug-in author Richard Dobson, should help to get a feel for how to make combinations to achieve many different types of effects.

You are recommended to try out these presets with a variety of sounds: pitched, percussive and complex sounds with noise elements.

BassLift

Key Features:

  • A band within the main part of the sound is selected, i.e., not its overtones, and is raised a small Amount: 70 out of 1000
  • U-LFO 1 is connected to the Amount parameter and then increases ('lifts') the band higher (only 15%) over 0.4 sec.
  • Thus the U-LFO is used to create this slow, controlled sense of lift.

BirdSong

Key Features:

  • The original sound (use a complex source sound) is raised an octave with TRANSPOSER (Semitones = 12).
  • Then a modest flutter is put onto this by connecting Semitones to LFO 1, oscillating 4.62 times a second over 100% of the transposition range (i.e., an octave above and below the 12 semitones higher Semitones setting). The RANDI (interpolating random) waveform is used, to create sliding effects between different, randomly chosen, pitch levels. Quantize is set at 0.50 to provide a little more regularity in the pitch levels.
  • This somewhat wild texture is then put through TRACE, with only 1 bin retained.
  • It is the combination of RANDI and TRACE which mainly produces the ever-changing warbles and slides. The speed of the warbles is effectively altered with the LFO 1 frequency slider.

ColorHarmoniz

Key Features:

  • The very tiny Decay (0.06) introduces a little reverb, which is constrained by the mid-range Slope (0.54), Try pushing Decay up and/or Slope down to see how different this could be.
  • The fairly high LFO 1 frequency (36.12) should create some pitch vibrato because it is connected to the main pitch transpose parameter, Semitones. This is fairly tightly constrained by the 18% range. However, we don't hear vibrato in this Preset. Why? First of all, the Square waveform is selected, thus pushing the frequencies into discrete upper and lower pitches. You can hear the effect of the Square wave both by selecting RANDI or RANDH instead, and by bypassing the ACCUMULATOR (click on the Bypass button: it is red when the effect is bypassed).
  • Secondly, setting quantize to 1 gives clean semitone steps and eliminates the random selection of anything in between.
  • Thirdly, hearing the result with the ACCUMULATOR bypassed also reveals what the ACCUMULATOR is doing in ColorHarmoniz: i.e., smoothing out the two-pitch oscillation so that the two pitches sound in a smooth and continuous manner. This is how the 'harmonising' effect is achieved, a very important and useful facility within Spectral Transformer.
  • Because the Semitone parameter is set to 0, the effect starts with the sound at its original pitch.
  • Finally, notice that MIX is set to 1, i.e., fully 'wet': all output is coming through the effect. Try lowering this and hearing what happens when there is more of a balance between original and effect.

FractalWah

Key Features:

  • The slow 'Wah' is achieved with the U-LFOs.
  • We notice that BANDSHIFT covers the full frequency range of the sound (available for processing), whilst LoHi Filter defines a much more restricted band.
  • The BANDSHIFT (whole sound) band is shifted 140 out of possible 1000, i.e., about a 6th of the range.
  • U-LFO 1 slowly moves the HF Cut limit up and down, i.e., opening up the higher frequencies of the sound.
  • In the meantime, the full frequency range of the sound, i.e., the whole sound as selected in BANDSHIFT, is shifted up and down, because Amount is connected to U-LFO 2. This is happening about twice as fast as the HF Cut parameter is being moved, so that the two U-LFO oscillations are phased.
  • Thus there is quite a lot of interactive movement at work in shaping the changing 'wah' effect.

MadTrills

Key Features:

  • Two TRANSPOSER effects are chained, the first focusing on the original pitch (Semitones = 0) and the second focusing on a transposition 3 semitones higher (Semitones = 3).
  • The first TRANSPOSER is connected to LFO 1 which adjusts the transposition over 10% of its (possible) 2 octave range, moving the transposition to the upper and lower positions of the Square wave at a frequency of 10.48 times per second. Setting quantize to 1 constrains the transposition movement to semitones.
  • The effect is then fed into the second TRANSPOSER, where the transposition parameter is connected to LFO 2. This moves the transposition according to an interpolating random function, RANDI (i.e., creating glissandi between the transposition positions), at a frequency of 8.89 times per second. You might also try the RANDH waveform to clarify what the RANDI interpolating waveform is doing.
  • The two LFO oscillations are therefore phased, so that the relationship between the two transposition movements is constantly changing.
  • Finally, a slow overall rise and fall is achieved by connecting the second FineTune to U-LFO 1. Try exaggerating this by moving % to 100.

MentalVox

Key Features:

  • As with MadTrills, two TRANSPOSER functions are chained - but rather surprisingly, most of their parameters are set to 0. only the second FineTune has a value: 0.39 of a semitone.
  • Thus, most of this effect is being achieved via the LFOs. Let's try to see what is happening by isolating the functions.
  • If we turn off the two U-LFO 1 connections, we can hear LFO 1 on its own. Its Triangle waveform is oscillating at a frequency of 7.99 times a second, with 100% of the range affected. This is quite a strong wobble. However, it is constrained by being connected to FineTune, which is set at a modest 0.39. You can hear the wobble more clearly when it set at 1.00, but even this is quite constrained.
  • If we reconnect the U-LFOs to Semitones and FineTune in the first TRANSPOSER, we hear how the wobbling is sent on a slow trajectory up and down. The RANDI function is what is causing the glissando movement. This is a good opportunity to try out the other waveforms: you hear the full range of their shape traversed every second, so it is very clear what effect each is having.

MetalRain

Key Features:

  • 3 effects are chained, processing beginning with the first ACCUMULATOR, moving into TRACE and ending with the second ACCUMULATOR.
  • Both ACCUMULATORS have a very modest and Slope-constrained reverb. This puts some liveliness into the sound, a liveliness made more supple by the slow U-LFO changes to which they are connected. Meanwhile, a little pitch bend is introduced by connecting the first ACCUMULATOR's Glissando parameter to U-LFO 1.
  • The main transformation is coming from the TRACE function, allowing only the 3 loudest bins (analysis channels) to come through - all the rest are discarded. This reduces the input to a mere 'trace' of itself and also creates separate 'pings' because of all the discarded material.
  • The TRACE FBins parameter is connected to U-LFO 2, so the number of retained bins is actually changing. We therefore hear an oscillation gradually moving between more and less of the original sound.

Octave Up

Key Features:

  • This simply raises the original sound, making it 1 octave higher (i.e., 12 semitones).
  • Try moving the Semitones slider to the bottom, thus lowering the sound by 1 octave.
  • Note that this is Spectral Domain transposition and does not affect the duration of the sound and has very little effect on its tone color.
  • With vocal sounds, the VOC-Transp Effect maintains the original tone color even more because the formants are being retained.

ResetFX

Key Features:

  • All effects are cleared.
  • All LFO and U-LFOs are zeroed.
  • You are now ready to enter your own settings.

Schizo

Key Features:

  • These crazily changing transpositions use a triple TRANSPOSER effect, with each of the Semitones transposition parameters connected to LFOs.
  • LFO 1 is relatively slow and uses only 8% of the transposition range. LFO 2 is a little slower, but uses almost ½ of the transposition range. It therefore swings more widely and a little more slowly, phasing against the first TRANSPOSER. It is also more random because it is making use of the RANDI waveform. quantize = 1 locks the pitch shifts to semitones.
  • The third TRANSPOSER calls upon U-LFO 1 to produce a very slow pitch change over a wide (70%) transposition range. It also uses the Square waveform to move the pitch levels sharply up and down in discrete steps, aided by setting Quantize to 1.
  • The relatively slow frequency settings give some changing definition to the Preset: higher values will tend to mush things together.

SeaSaw

Key Features:

  • Two ACCUMULATORS plus TRACE help this Preset to live up to its name.
  • The two Glissando settings provide the main sea-sawing effect, the 2nd moving very much slower than the first: the phasing changes slowly. The 2nd is also further modified by U-LFO 2, so that there is yet another level of glissando effect. The Square waveform here produces discrete changes.
  • Reverb is constrained by the low Decay and Slope settings, but not static, as 3 of the 4 parameters are connected to U-LFOs.
  • Even so, the reverb would be much more prominent were the Preset not rounded off by running the signal through TRACE. The mid-range setting at 60 bins retained cleans up the sound sufficiently without reducing it to mere glimpses of its former self.

SweepTrace

Key Features:

  • Having selected a filter band which comprises a good part of the input's frequencies (472 to 4367 Hz), the 'sweep' idea is implemented by assigning both filter parameters to the same LFO.
  • LFO 1 moves the FL Cut and HF Cut boundaries in a parallel motion through a Triangle waveform shape across 75% of the frequency range, 3.97 times per second. Slower makes the movement very obvious, and faster produces a fluttering effect, so 3.97 is a happy medium.
  • The output of LoHi Filter is fed into TRACE, which is set at a fairly generous 40 bins. This setting would normally let most of the sound through. However, it is connected to U-LFO 1, which, also moving in a Triangle waveform shape, swings through 100% of the 100 bin range every 4 tenths of a second.
  • At the bottom of the FBins range, very little of the sound arriving from LoHi Filter is let through, and much more at the top of the range. Thus the overall sound changes in tone color at a rate slower than the filter band sweep defined in LoHi Filter.
  • Again, the speed of the FBins change is nicely judged to create a smooth, subtle effect: at 1.00 a pulsation becomes rather noticeable, and at e.g., 0.1 the change of tone color is quite slow and obvious.

TubeWarp

Key Features:

  • 4 different effects are chained to produce a sound which seems to be coming out through a long tube: i.e., filtered, with resonance.
  • If you Bypass all the other effects, you can hear how the EXAGGERATOR 'sharpens' the sound considerably. The high 2.99 setting pushes up the amplitude peaks of the frequencies, making the 'valleys' in between narrow and precipitous, thus literally sharpening the sound. This creates a somewhat thin and resonant sound...
  • ...which then travels through a generously sized LoHi Filter band which removes the frequencies below 522 and above 12318 Hz. How this affects the sound will depend on where the main frequency range of the input lies. It will probably do no more than tidy up the lower and upper edges.
  • The ACCUMULATOR then adds a small amount of Decay, which is given the minimum reverb possible by setting the Slope parameter to 1.00. Try moving this down to 0.3 and listen to how much more volatile the reverb is. The ACCUMULATOR is what achieves the extra resonance of the 'tube' simulation.
  • Finally, BANDSHIFT sets a band which includes the full frequency range of the sound, therefore shifting the whole sound up 132Hz, out of a possible 1000Hz. At 132, the result maintains an aural link with the original sound. At 1000, the whole thing is shifted up so high that it becomes something else again, wispy and ethereal.


Musical Aspects of Working with Sound

The Spectral Transformer plug-in is designed to transform sounds in weird and wonderful ways, and with extreme subtlety in the fine-tuning. This touches on today's forays into 'sonic art': composing with the qualities of sound itself as well as with notes and rhythms. The realm of orchestral scoring has always dealt with tonal qualities in its own way, but music has moved much deeper into this realm since the advent of the 'classic' sound studio based on the use of tape recorders, synthesisers and samplers, FFT analysis and manipulation of digital data by computer, using software algorithms.

Working with sound in this way in an effective manner requires a fundamental extension of musical aesthetic. We are now exploring the inner regions of sound in a way never before possible. This is exciting enough as a scientific and technical endeavour. It becomes even more exciting when the tremendous richness of sounds begins to be employed in the service of musical expression. To do this, we have to use the technical, but move beyond it, making connections with the basics of shaping time: musical art. The terms described in this musical glossary are familiar enough. Here, however, a special effort is being made to connect these familiar terms with relevant aspects of the electronic manipulation of sound, to show how the latter can be used in the service of musical art.

accelerando

an increase in tempo

Accelerando means getting faster. Music moves along at a given tempo, meaning the rate at which the main beats occur. During an accelerando, this tempo increases. Just as the heartbeat accelerates when running or in a fear-inducing situation, accelerando implies excitement, the nature of which is determined by the surrounding context. The opposite is a decelerando.

articulation

the changing amplitude and timbral character of a sound, usually the result of how a performer plays a musical instrument

The word 'articulated' is used to describe flexibility in movement, such as an 'articulated truck' in which the cab and storage section are independent units connected by a ball joint. The term is used in music to describe flexibility in a performer's movements, such that the manner of performance is always changing: extra energy at the beginning of a sound (attack transient), increasing and decreasing pressure on the bow or mouthpiece (crescendo / decrescendo), staccatto and saltando bouncing, dancing) effects, use of mutes to alter the tone, whisperingly quiet, etc. This performance flexibility brings a piece of music to life, distinguishes one performer from another, projects the inner intention of the music, and is altogether one of the most important aspects of music-making. When working with electronically generated sound, every effort needs to be made to achieve a similar flexibility: the music should not just play back through the speakers, the listener should feel that it is being performed.

crescendo

gradually becoming louder

During a crescendo, the music gradually becomes louder. The opposite is a decrescendo. As music is a time-based art, every change over time has a poetic meaning. A crescendo indicates a gradual increase in excitement or tension, a decrescendo, a relaxation of effort or an easing of tension. These changes of volume are one of the most basic ways to give the music a living, organic feel. Similarly, moving along at the same volume can be part of communicating a steady state, contented, or resigned frame of mind.

Crescendo and decrescendo can also be realised in an 'orchestral' way. Sometimes this is accompanied by a change of volume, but not necessarily. An 'orchestral crescendo' is achieved by adding in more instruments, so that the overall sound and tone becomes more complex, fuller, richer.

An 'orchestral crescendo' can also be achieved in the electronic domain. The sound itself can be enriched by changes which make it timnbrally denser and more complex: i.e., by compressing or adding in more frequency components. We can also layer in more instruments or effects by chaining processes and mixing operations.

form

the temporal design resulting from the basic idea for a piece

A musical form is really the idea behind a piece worked out in both the inner pattern detail and the overall temporal design. The verse and chorus sections of a song, for example, alternate narrative detail and general statements which capture the essence of attitude or mood. The musical setting of these words usually supports their meaning with gestural shapes, harmony, rhythm, articulations and tonal qualities, unless deliberate irony is sought.

Suppose the idea for a song or piece of music were to be urban complexity. This might suggest interleaving widely divergent sonic material, fast cutting from one scene to another, tonal complexes, angular rhythms, and incisive articulations. Putting all these features in place constitutes the practical, step-by-step process of form-building.

Another idea for a song or piece of music might be isolation and loneliness, perhaps poignantly summed up in the song's chorus section. The task of realising this idea in the music might focus on this chorus section, approaching it and leaving it through moments of quietly sustained material. Gestures and contour shapes might maintain low, slowly changing profiles.

The basic idea as expressed in words, or just a simple abstract idea such as 'rising' becomes the guide to building a form, shape by shape, step by step, until the whole emerges from the detail. The overall idea guides the shaping of the detail, but it is also a fact that what happens when working on the detail can affect and reshape the original idea. The various musical terms described here show how the realm of sound, electronically manipulated, can be used to create this detail. But the purpose, the basic idea, needs to remain in focus as the guiding light in order to achieve organic unity and emotional power.

gesture

dramatic meaning of a contour and articulation pattern over time

We are most familiar with the concept of gesture from the realm of theatre and dance. We perceive it as a distinctive and commanding shape which conveys psychological intent (or just pure form). It is also a key ingredient in music, giving it intent, purpose, 'feel'. Perhaps we could describe gesture as contour with meaning. Similarly, the underlying contour shapes in a painting play an important role in its interpretation.

Changing parameter values inevitably create a contour as they move higher and lower. Whether this contour is gradual with soft edges, abrupt, slowly changing or jagged already has feeling / psychological implications. The amount of displacement and rate of change are major factors in gesture because they create varying levels of intensity: the shape itself implies different levels of energy needed to create it. The sonic artist continues to develop the meaning of this contour in many other ways, matching attack transients, tonal color and other articulations to give it the right energy profile.

Sometimes an artform is full of 'dramatic' gestures. At other times, the gestures are soft, supple, relaxed or elegant. Getting the gestures to match the overall form, character and intent of the artistic creation is a key task. The organic unity of a piece is to some degree tied into the repetition of gestural shapes, often in different parameter fields and time levels. These are, then, important considerations to bear in mind when designing envelope contours and automating parameters.

glissando

gradual change of pitch perceived as a sliding movement

Except for the odd humorous trombone slide or expressive slide across the strings of a violin or the keys of a piano, glissando has been a rarity in the music of the past. In our own time, this has changed enormously. A glissando is a pitch slide, and pitch slide (or pitch 'bend') has been used extensively in all forms of jazz and popular music, both in voice and instruments. Particularly with the voice, pitch slides with timbral changes (e.g., rough to smooth) are an incredibly important and skillful aspect of performance. Similarly, composers such as Iannis Xenakis have astonished audiences by making whole pieces dominated by glissandi.

Even so, Nature has been way ahead of us. What do we hear when a flock of 100+ starlings gather but a whole texture of glissandi? What about the roar of volcanoes and the whooshes of avalanches, the fluid movements of landslides and mountain streams and waterfalls? Now that we are working directly with sonic material, these shapes become relevant, become possible! Paradoxically, while working with the most advanced computerised systems, we find ourselves coming closer to Nature.

The ability to create glissandi is, therefore, a key feature of the Spectral Transformer plug-in. Using either the TRANSPOSER or the ACCUMULATOR, finely crafted pitch bends, gigantic slides or flowing, throbbing complexes can be created. Emotional nuances, sensations of flying or falling, flowing, fluid turbulence found in Nature - all have a sliding, flowing form and can be evoked by musical glissandi.

granulate

to separate into very tiny segments of sound

We are familiar with grains of sand, salt and sugar, but not necessarily grains of sound. Yet this is entirely possible with the computer, which can divide up and play with the stream of numbers representing the sound in any way one likes. A granulated sound usually comes out as a series of tiny pulsations, a sonic surface like sandpaper, with the degree of coarse or fine depending on the size of the grains and overlap factors.

By extension, any sound with a noticeably rough surface of regular pulsations can be said to be 'granulated'. In Spectral Transformer this often happens when the LFO is set at a high speed, especially with the ramp waves SAW- and SAW+. This internal energy can then be smoothed to varying degrees with the ACCUMULATOR.

harmony

vertical relationship that forms the basis for sonority

Harmony takes on a new, much broader meaning when creating music with sounds. One of the reasons for this is that many sounds from the natural world are very complex. Some birds, such as the wood thrush, can sing three pitches at once, warbling on two of them and sustaining the third. The sound of a train is a veritable compendium of sounds.

We are mostly used to 'pitches' in music: clear tones in which one main pitch (called the 'fundamental') is loud and clear, while the other partials in the sound are harmonious with it: locked into it by being frequency multiples: 'harmonics'). Large bells have such a big surface area that they can create more than one pitch at the same time, easily perceived as separate. I recall hearing a beautiful bell ringing out across a valley in Switzerland: two pitches a fifth apart were audible and slowly phased against each other.

As we move into the realms of nature and machines, sounds become altogether more complex, so if we are going to use these sounds at all in music, much less use them effectively, we need to broaden our understanding of harmony.

  • Harmony can mean more than a chord made up of pitches. It can be any sonority and indeed any prolongation which becomes an aural reference to which other pitch levels relate.
  • An extended concept of harmony needs to include noise (random frequency complexes), and recognise that there are many different flavours of noise. Filters are often used to modify noise so that it acquires the right tonal qualities for the situation: soft and low, high and thin, broad and fuzzy.
  • Different types of noise can be overlapped and layered, producing changing densities and transitions.
  • The harmonics (partials which are integer multiples) of a sound can be thrown askew by adding fixed frequency intervals to them, thus altering the timbral qualities of the sound. This process is called linear shift, used in the Spectral Transformer effect BANDSHIFT (see: BANDSHIFT (BSHIFT): General Introduction).
  • Sound complexes are handled in terms of their density and tonal qualities (e.g., high, bright, thin, warm, deep and fuzzy, rumbling etc.), rather than simply as pitches belonging to scales and chords. The concept of a scale becomes broadened to include gradients of tonal qualities, and chords become sonic layer cakes.

loop effects

repeating patterns

In general, this refers to repeating patterns. In Project5, the input musical sound from the software synthesiser repeatedly loops back to the beginning to give a continuous sound output. Using the LFOs in Spectral Transformer, various parameters can be set to loop round a waveform pattern, whether quickly or slowly - more noticeably when the LFO is set to a slow speed. This repeating pattern of parameter change is then phased across the repeating input sound. The result can be a wild, churning sound, or one with slow, controlled timbral evolution. There is, then, also looping which affects small internal segments of the sound.

rhythm

patterns of event-timing, sometimes randomised

Working with sound also requires, at times, a more flexible approach to rhythm. For much of the time, altering the tonal qualities is designed to give just the right feel to the beat, whether with the type of attack transient, the brightness or warmth of the sound, or the pitch bend which shapes its pitch. A slight randomisation of where the beats fall has been shown to 'humanise' the rhythm, to sound less mechanical and more as if produced by live performers.

At other times, the sounds and textures are more complex, and we come closer to the world of Nature, in which regular rhythms are the exception rather than the rule. If we recall the texture of birdsong emitted by a seagulls or listen to the wind moving through the leaves of an aspen, we realise that there is a significant random dimension in the sounds of Nature. When using natural sounds, or abstract sound complexes for which there are no known equivalents, it is often useful to make use of some degree of randomisation in the rhythmic feel.

In the Spectral Transformer effects, the LFO waveshapes RANDI and RANDH are randomising functions, the first interpolating between random values (usually creating glissandi), and the latter keeping each random value as separate and discrete steps. The other LFO waveshapes create changes which repeat, but possibly at speeds which blur the internal structure of the sound, all the time phasing against the rhythm of the unfolding sonic input.

Effective use of these possibilities requires daring and imagination, but also a regard for the overall idea for the music.

semitones

the 12th part of an octave

Western music divides up the octave into 12 more or less equal divisions, called semitones. Because of variants in temperament (tuning method), the actual size of semitone divisions can vary. Semitones are themselves divided into 100 cents. The Spectral Transformer plug-in allows the specification of semitones to 2 decimal places, i.e., from .01 to .99, which in effect are cents. A whole tone comprises two semitones. Thus 1.50 means 1 semitone + ½ semitone, i.e., ¾ of a whole tone. Microtones of great precision are therefore catered for in the Spectral Transformer plug-in.

smooth

to level out variations in pitch or other data

'Smooth; is a simple word, but enormously relevant in this context. It can refer to soft tones, harmonious spectrum, gentle onsets and decays, and relaxed, lilting rhythms. It can also refer to effects such as ACCUMULATOR, LO-HI FILTER and TRACER which average or otherwise iron out discrepancies of amplitude, LFO-based pulsations or tone changes. The computer sound manipulation tools therefore make it possible to affect the smoothness of a sound in many different ways.

tempo

rate of beat flow per second

The number of beats per second, usually as expressed as a note (to signify which type of note) over 60. For example, a quarter note over 60 means one quarter note beat per second: each beat lasts 1 second. A quarter note over 120 means 2 quarter note beats per second ('march time'): each beat lasts ½ second. To determine how long a beat is at any given tempo, replace the note type symbol by 60 and divide. Examples: 60÷60 = 1 sec. (1 every second), 60÷120 = 0.5 sec. (1 every ½ second), 60÷84 = 0.714 sec. (1 every .714 second).

Tempo is directly related to human biological activity: the heart-rate increases when there is more activity in order to increase the blood flow to the muscles. Thus tempo is a component in expressing action or relaxation, excitement or peacefulness, and fear or feeling comfortable. Which tempo to use, as well as changes in tempo, immediate or gradual, are therefore musically important features.

In Spectral Transformer, the concept of tempo is further extended by including the rate of movement of features internal to the sound. The glissando parameter in ACCUMULATOR controls the rate of internal pitch bend, and the LFOs control the rate at which the parameter connected to it moves through its %age-controlled range.

vary over time

like a graph, the shape created when a line is drawn through a sequence of values active at changing times

The automation tools of Project5 make it possible to record and have automatic playback of time-varying parameter changes.

As a time-based art, music is intensely concerned with how all its component ingredients change over time. These patterns of change, these time contours, create a sonorous symbol which is perceived both by the mind and the body as the experience of music. Without time-varying sonic events, nothing is happening, from a musical point of view.

However, it should also be remembered that temporal changes, as with gestures, need to be in step with the overall musical form and intention. It is easy to create helter skelter wild textures with computer tools in general and Spectral Transformer in particular. While this is sometimes fun and appropriate, the other end of the spectrum should be explored: where the changes over time are slow, easily perceived, and tied in with the overall form and gestural nature of the music.

In the electronic domain, therefore, it is essential that the component parameters for a sound vary over time one way or another and that these changes are consonant with the overall form and intent of the music - unless a contrast of outer form and inner pattern is deliberately intended.


Spectral Transformer: A Friendly Guide to Technical Terms

amplitude

the loudness level of a sound (of a sample or a frequency)

Referring to the loudness, the intensity of a sound, the power driving a loudspeaker, the volume of playback, amplitude refers to the overall energy level of the waveform. It is often represented graphically by locating the amplitude value for each digital sample on a vertical scale, such as from -32766 to +32767.

This is the amplitude time representation of a waveform in the time domain. It is the shape made by a bouncing ball.

Spectral Transformer operates in the spectral domain, in which amplitude (vertical axis) is plotted for each frequency (horizontal axis) component. Here one frame of the same bouncing ball sound is captured in the FFT analysis data stream, showing an amplitude + frequency graph. It can also be represented in several other forms: a bar graph, a sonogram, a spectrogram, or a 3-D 'mountain' graph.

What is relevant here is to realise that altering the amplitude of frequency components affects the timbre, the tonal qualities of the sound: depending on which frequencies are louder. This effect is special to the spectral domain. In the time domain, where the amplitude of each sample is involved, altering amplitude simply makes the whole sound louder or softer, without changing tonal characteristics.

The Spectral Transformer EXAGGERATOR effect plays with the amplitude of frequency components and therefore has a direct effect on the timbral quality of the sound.

attack transients

the angle of amplitude increase at the beginning, the 'onset' of a sound

The way a sound begins is one of its most important features. When we imagine beating a drum, or starting a violin string vibrating by moving the bow across it, or blowing into a trumpet with that extra umph to get the note sounding, we realise that the act of producing the sound differs according to the physical nature of the instrument. In fact, it is in hearing this start to the sound that we can recognise what instrument is being played. If we take away the beginning or reverse the sound, the nature of the instrument - whatever it was that made that sound - becomes surprisingly ambiguous.

This beginning is known as the attack of a sound, and it has both amplitude (loudness curve) and frequency (timbral) components. Striking or blowing an instrument with great force increases the amplitude of many frequency components, especially the higher frequencies. This makes the sound brighter, like the piercing, clarion call of a trumpet. This would be a 'sharp' attack with a fast attack 'transient', meaning that the slope of the amplitude rises steeply, such as from zero to its full volume in 0.1 sec. A slow attack has an amplitude that rises more slowly, such as from zero to its full volume in 2 sec.

Trumpets are known for their sharp attacks, strings for their gentle attacks, while instruments such as the clarinet or saxophone are really good at doing either. Computer sound editors alter the attack transient by drawing an amplitude slope and adjusting the amplitude values to stay within this slope.

The overall amplitude shape of a sound is called its envelope.

band

width of a group of frequencies

If we think of the whole range of frequencies that make up a sound, a band of frequencies will be a section, a 'ribbon' as it were of adjacent frequencies lying between a low frequency limit and a high frequency limit.

Using computer tools, we can isolate bands of frequency, either retaining them while removing what is above and/or below, or removing them, a process known as filtering. Altering significant chunks of frequency components has a major effect on the sound.

Another type of frequency band is known as a formant, fixed frequency bands of relatively high amplitude which more than anything else define the timbral character of a sound.

blur / smear

result of averaging data, smoothing over features of the original

When water gets on writing done with water soluble ink, such as used by an ink-jet printer, the ink begins to dissolve and the edges of the letters begin to blur. At first it is hard to read, but you can still make out the letters. But when the dissolving ink from one letter begins to overlap and mix with the ink from another letter, it becomes more difficult to read the text. It's a bit like what comes out when you try to speak without moving your lips. Clear precise diction becomes a kind of verbal porridge as the sharp contrasts between consonants, vowels, pitch levels and amplitudes become smeared together.

It is very exciting that this kind of effect can also be achieved with sounds. In the spectral domain, the two components of the analysis, the amplitude and the frequency, are calculated for e.g., 1024 vertical bands in the layer cake of the sound for every e.g., 100th part of a second (which is called a 'frame' - usually several frames overlap to form a 'window' in order to ensure a smooth result). We can therefore picture 100 windows of amplitude & frequency information for every second of sound. Blurring effects can be achieved in Spectral Transformer by accumulating the data of several windows, or by removing some of the frequency components (such as those with lesser amplitude). The ACCUMULATOR and TRACE employ these two methods, respectively.

The overall effect is to smooth out differences by reducing the differences from one window to the next: amplitudes (of the frequencies) are more consistent, meaning that the tonal characteristics are spread over a greater period of time, and the frequency content, even when it becomes more complex, changes more gradually. The result is softer-edged, gentler, more slowly changing sounds, but full of (changing) timbral interest. The ACCUMULATOR adds a glissando effect as well, further blurring with pitch bends.

The blurring effect reduces the recognisability of the original sound, making it more abstract. Thus it is a route towards original sounds with a flowing, sonorous character. These may be used for 'ambient', 'cool-off' music and to create flowing, abstract sonic imagery.

channels

the frequency bands or 'bins' into which the sound is analysed, i.e., frequency resolution

'Channels' in this context has a specific technical meaning. Normally, we think of 2 or 4+ channels on a tape or in a digital sound file, each of which is eventually routed to a different loudspeaker. In the spectral domain, 'channels' means the number (and size) of the frequency bands into which the sound is analyzed. Normally around 85 Hz apart, more and smaller bands means higher frequency resolution, fewer and larger bands means lower frequency resolution. The FFT analysis examines each of these bands, these channels, these 'bins' to see what is in it: i.e., which frequency/frequencies and its/their amplitude(s). Some of the channels may be empty.

Which frequencies are present in the various frequency bands of an analysis frame determines the tonal quality of the sound at that moment. Each frame covers only a tiny fraction of the length of the sound, and the contents of the successive frame of analysis data are constantly changing.

This contour profile of the data in a frame is called the spectral envelope, and the overall, constantly changing set of profiles for the whole sound, can be referred to as its 'timbral envelope'.

decay

data values reducing over time

Decay refers to a gradual lowering of a set of values, usually amplitude. If a sound ends with the amplitude values descending from full to zero over 2 or 3 seconds, it is said to decay slowly. When applied to other parameters, the effect differs according to the function of the parameter. With the Spectral Transformer ACCUMULATOR, decay is controlling reverberation. When the value is higher, the reverberation time increases, when at zero, there is no reverberation at all.

digital noise

artefacts related to the sample rate

Digital noise is an artefact created by the digital sound sampling process. If there are (only) 22050 samples per second, each with its own amplitude value, then it is possible to have fairly large changes in amplitude level from sample to sample, and if the actual sound is changing during the time of this sample, that change is not captured by the sampling process. When these relatively sudden changes are eventually translated into the power driving the loudspeaker cones, the lack of smoothness in the motion of the cones introduces a noise factor (random frequencies).

This is why higher sampling rates have been sought: 44100, 96000, and even 192000 samples per second: it captures the moment to moment changes in the sound more smoothly, resulting in less information loss, cleaner loudspeaker movement and higher fidelity in the output sound.

The potential presence of digital noise means that applying digital gain needs to be done with care. The reason is simple: if the amplitude level is jacked up indiscriminately, the changes from sample to sample may also be increased to the point where digital noise is created by the irregularities produced.

envelope

amplitude contour

When we put a letter in an envelope, the envelope contains and covers the letter: we see the shape of the envelope. Similarly, the word 'envelope' is used in music to describe the amplitude profile of the whole sound, or of a group of frequencies.

In the time domain, time runs horizontally, and amplitude vertically. Thus each vertical bar will be potentially at a different height. When we connect up the tops of all these vertical bars, we get the envelope shape, as displayed by sound editors which act on the stream of time amplitude samples.

In the spectral domain, frequency runs horizontally, and amplitude vertically. Similarly, then, each vertical bar will be potentially at a different height, which, when connected up, yield an overall contour shape. However, this time it relates directly to the frequencies in the sound, collectively known as its 'spectrum'. The spectral domain amplitude envelope is therefore known as the 'spectral envelope'. It actually refers only to a single analysis frame.

FFT

Fast Fourier Transform

The FFT analysis is the wonderful mathematical process used by the Phase Vocoder and translates amplitude time sample data into amplitude frequency data. It does this for a whole series of frequency bands called channels for as many tiny time segments as it takes to work through the sound from start to finish. These time segments are called windows. Implied in the fact that the time segments move through the sound is the notion of 'phase', which locates you in the sound: taking into account previous states, you are here now, you were there then.

The result of the FFT analysis is an 'analysis file', which is a huge amount of frequency amplitude data about the sound, covering as it does every channel in every window (plus a frame overlap factor to ensure smoothness when the sound is reconstructed by a 'reverse FFT').

The FFT analysis is what creates the spectral domain and makes possible amazing sonic transformations, of which the Spectral Transformer effects represent good examples of how powerful these processes can be.

filter

to remove part of

In general terms, filtering is removing part of the contents of something, like straining fruit through a cheesecloth to make a jelly.

The musical use of the term relates to the removal of part of the frequency content of a sound. Removal:

  • above a given frequency = lo-pass (those above are removed, those below pass through)
  • below a given frequency = hi-pass (those below are removed, those above pass through)
  • within a pair of frequencies retained = band-pass (those above the upper limit and below the lower limit are removed, while those within the limits pass through). There can be numerous bands-to-keep specified, sometimes enabling the user to tune the sound to a chord.
  • within a pair of frequencies rejected = band-reject (those within are removed, and those above the upper limit and below the lower limit pass through. This leaves a hole in the middle of the sound, so it is also called a notch-filter. There can be numerous bands-to-reject, creating a comb-like effect.

Another aspect of filters is a boost factor, creating resonant frequencies. The degree to which this resonance is focused on specific frequencies depends on how sharply the adjacent frequencies fall away in amplitude. The slope of this amplitude reduction is known as 'Q'. If amplitude falls away quickly, one tends to hear a focused pitch in the retained portion of the sound, if more slowly, the filter is fuzzier and one hears more of the original sound - the 'skirt' of the filter is wider and encompasses more of the neighboring frequencies.

formant

a fixed-position resonant frequency region

Formants are amazing. They are what makes each person's voice identifiable, no matter what words are spoken or sung, or what pitch inflections are being used. Thus, more than anything else, they define the timbral character of a sound.

The main feature of formants is that the frequency regions are fixed. In the human body, this is caused by the variously shaped resonant cavities of the head. Each shape matches particular wavelengths, thus setting up specific resonances, i.e., frequency regions of relatively high amplitude due to the self-reinforcing sympathetic vibrations. Except for the mouth, these cavities stay the same while speaking, so the resonant frequency regions also stay the same, no matter what the text or what the inflection. The same is true, though more subtly, for acoustic musical instruments.

Formants are present in all sounds and instruments, but most noticeably in the voice, where mouth-shape does introduce a number of variables. An instrument such as a French horn is much more consistent in its tone, but formant preservation while (upward) pitch shifting of instrumental sounds can also have an interesting effect.

In Spectral Transformer, the TRANSPOSE effect has an option to transpose while retaining formant information. This leads to a much 'truer' vocal transposition: the identity of the voice is preserved better. But it has little effect on instrumental sounds.

frame

unit of analysis

The analysis frame is derived from a group of samples in the original sound. This group of samples, e.g., 882, represents a tiny time-slice of the original, e.g., 0.02 (2 100ths of a) second at a sample rate of 44100 per second. To ensure smoothness in analysis and resynthesis, frames are overlapped by a specified number of samples.

The overall analysis usually contains millions of bytes of data from all these frames. This is the analysis data upon which Spectral Transformer operates, and it is only recently that computers have been fast enough to handle all this work in real-time without the help of specialist outboard DSP hardware.

frequency

number of cycles of a waveform per second (= Herz - Hz)

Frequency means how many times a second a given waveform repeats (oscillates). Below about ??10 Hz, this is heard as separate clicks, but above ca ??10 Hz we begin to hear steady tones. All but the most artificial of sounds contain many frequencies, also called partials.

gain

changes to the loudness of a sound, louder or softer

Gain is the process of increasing or reducing the amplitude of a sound. This is done quite simply by multiplying the numbers by which the amplitude is represented in the computer, usually a range between -32766 and +32767. Thus, if a given amplitude is 10000 (1/3rd max), multiplying it by a gain factor of 2.5 will bring the amplitude to 25000. The use of gain needs to be balanced by an appreciation of digital noise.

harmonic

integer relationship, part of a focused pitch

A harmonic is a term used for a partial which is an integer multiple of the fundamental - the fundamental is the predominant pitch. Anything vibrating produces sub-vibrations, and when these faster vibrations synchronise with the main one, they lock together aurally and are perceived as a single, timbrally colored pitch. If the fundamental is A-220 Hz (A below Middle-C), harmonics will be 2 x 220 = 440 Hz, 3 x 220 = 660 Hz, 4 x 220 = 880 Hz, 5 x 220 = 1100 Hz, etc. Subharmonics go the other way, i.e., below the fundamental.

inharmonic

a partial not in sync with the fundamental, i.e., overlapping it

Inharmonic partials are those which are not integer multiples of the fundamental. If the fundamental were to be A-220 (A below Middle-C) and this were multiplied by 2.01, the resulting partial would be 442.2 Hz, just slightly higher than the octave 440 Hz. This discrepancy means that the fundamental and this partial (which is slightly more than twice as fast) do not end at the same time: the second oscillation of the partial's waveform starts a little before the fundamental, thus overlapping the start of the next oscillation of the fundamental. This overlap puts the two oscillations out of sync and they begin to be heard separately rather than as a single colored pitch. There are various levels of inharmonicity:

  • just slightly out and the sound is slightly denser and richer
  • a little more out and we begin to hear distinct, separate pitches, as in bells and gongs
  • even more out, and the timbral coloration of the sound begins to change
  • when there is a jumble of all different partials, the sound acquires a noise dimension

The BANDSHIFT effect creates inharmonicity by adding or subtracting to the frequency of a partial or group of partials. Harmonic relationships are the result of multiplication: each higher octave is twice the vibration rate as the one below. When values are added, this relationship is broken and the frequencies overlap to varying degrees, with the proportions between them compressing (amount is > 0) or expanding (amount = < 0):

  • octave multiplication of 220 - 220 x 2 = 440 (220:440 = 1:2), 220 x 4 = 880 (440:880 = 1:2), 220 x 8 = 1760 (880:1760 = 1:2 etc. - each successive octave maintains an exact 1:2 proportion
  • adding 17 to the octaves of 220 - 440 + 17 = 457 (220:447 = 1:2.077), 880 + 17 = 897 (440:897 = 1:2.039), 1760 + 17 = 1777 (880:1777 = 2.019) etc. - notice how the ratio, the proportion between the 'octaves' is in fact getting a little smaller each time: i.e., the frequencies are being compressed together. This compression is more dramatic when larger values are being added to each partial.
  • subtracting 50 from the octaves of 220 - 440 - 50 = 390 (220:390 = 1:1.772), 880 - 50 = 830 (440:830 = 1:1.886), 1760 - 50 = 1710 (880:1710 = 1:1.943) etc. - when amount is < 0, it is subtracted, and the proportions between the partials expand.

Thus inharmonicity is created by adding or subtracting fixed values rather than multiplying by a fixed value. The timbral change to the sound is therefore produced by the overlapping of the frequencies and the compression or expansion of the proportions between them.

latency

perceptible delay in hearing the processed sound

When processing in 'real-time', we expect to hear the processed sound with no perceptible delay. The processing does take a certain amount of time, so the key here is 'perceptible'. When the processing is completed and the sound restored to our ears within about 20ms 0.020 sec., there is normally no noticeable delay. Above this amount of time, the time gap between hearing the original sound and hearing the processed sound becomes increasingly apparent and unacceptable.

The main factor which affects latency is the window size, which is actually the multiple of FFTsize * Window size. Basically, it means how many samples are being processed in each frame, before moving on to the next frame. Lower values mean lower latency. The FFTsize and Window size can be adjusted in analysis settings.

The above latency factor is added to the latency imposed by the audio subsystem of the soundcard in the computer. Lowest latency is provided by modern cards with ASIO or WDM drivers supporting kernel streaming.

modulator

data which acts upon and alters other data

Rather like a gear change, a modulator is one value or set of values acting on another value or set of values. In Spectral Transformer, the % parameter is a modulator, controlling the range of the main parameter which the LFO is oscillating.

partials

frequency components of a sound

A partial is a frequency component of a sound, whether harmonic or inharmonic. Before starting to work with sound in the spectral domain, we may not realise that each sound is a huge amalgam of many partials. This is what gives a sound its richness, its complexity and ever-changing coloration. The task of spectral analysis is to find these partials so that the composer can then alter them in inventive ways in order to transform the sound.

Phase Vocoder

software tool which performs the FFT analysis

The Phase Vocoder performs digital spectrum analysis using a complex mathematical program called a 'fast Fourier transform' ( FFT). The analysis process creates a list of each sinusoidal frequency component together with its amplitude and phase. The analysis moves through the sound, capturing the changing detail in a series of analysis frames/windows.

The results of analysis can be a little confused when the input sound has a significant noise component, rather than a clear, periodic waveform. A long analysis window (larger number of samples in each one) improves capturing high frequencies (short wavelengths), while short analysis windows are good for capturing transient detail. Thus there is a constant trade-off between high-frequency resolution and tracking transient detail, and the best solution will differ from sound to sound. This is why Spectral Transformer provides the ability to adjust the analysis settings.

The Phase Vocoder used in Spectral Transformer is an evolved, 'streaming' form developed by Richard Dobson from the original Phase Vocoder created by CARL (The Computer Assisted Research Laboratory of the University of California at San Diego.)

pitch

the perceived frequency level of a periodic waveform

We are so used to talking about pitches that we may not realise that it is actually a technical term with a very specific meaning. A pitch is a focused tone in which the partials present are dominated by a single frequency, which is called the fundamental. The predominant presence of this fundamental frequency happens because most of the other frequencies are in sync with the fundamental, and they are in sync because they are integer multiples of the fundamental, i.e., harmonics. The net result of these synchronised frequencies is the perception of a pulse at regular intervals (i.e., 'periodic'), heard as a 'tonal' sound as opposed to a noisy sound.

If the fundamental were to be 100 Hz, then the first harmonic would be 100 x 2, or 200 Hz. In graphic terms, this first harmonic vibrates exactly twice as fast as the fundamental, such that two cycles of the harmonic end at the same precise moment as one cycle of the fundamental - etc. for higher harmonics. This integer relationship synchronisation aurally locks in the harmonics with the fundamental, and we hear mainly the fundamental, but with coloration dependent on which harmonics are present.

When the partials of a sound go slightly out of sync, we begin to hear separate pitches, as in bells and some gongs. As they go further out of sync, they become spoken of as 'frequency complexes', and eventually as 'noise'. All of these terms and states of sound have a place when working with sound material.

quantize

snap data to a range which has regular divisions

To quantize is to move in fixed steps. It implies that more complex data is rounded off so that it fits into these fixed steps. The term is often used in connection with rhythms. Music is usually notated in fixed steps of half-, quarter-, eighth- and sixteenth-notes, etc. But when played, it is seldom absolutely regular in this way - in fact it would sound wooden if it was. When music is played into the computer via a MIDI instrument, notation programs would (and do) make quite a mess on the page when they respond to every timing nuance of the performer. Therefore the software sieves the performance through a time grid so that the notations use the conventional fixed steps. This is the process of quantisation.

A similar situation can occur with sliders for changing numerical values, this time causing it to take too long to move between numbers or 'land' on simple numbers if every possible division of the integer is included. Therefore the process of moving the slider is quantized, so that the movement is in steps: small enough to be useful, large enough to enable the user to move through the range of available values in a reasonable amount of time.

spectral domain

digital representation of sound as frequency and amplitude data

The spectral domain is really a special digital realm in which data about sound is held in a way that gives direct access to its frequency components, the partials. This data is achieved by an FFT analysis, producing a file of analysis data.

Every sound has its own frequency profile, an ever-changing mix of partial components that give the sound its (ever-changing) timbral coloration. For example, a piercing trumpet tone will start with a rich assortment of high frequency components and then settle down to a more harmonically ordered set of partials, giving a warmer steady state tone. Access to frequency components therefore means access to timbral colouration: which frequencies are present and how loud they are - and how this profile changes as the sound progresses through time (analysis windows). The frequency profile is called the spectral envelope.

What is important for the composer is to have a modest understanding of what happens when the different aspects of analysis data are altered. The main idea here is that once the data is available, play can commence.

  • channel - The bands of frequency in which the analysis process 'looks' to see what's there, a channel can have more than one or no partials in it. And this can and usually does change as one moves from window to window in the analysis. The number of (vertical frequency) bands into which the sound is divided is the frequency resolution of the analysis, and as with windows, more channels can introduce a latency problem. Manipulating the sound by removing channels means that the partial data in those channels is eliminated, thus altering the timbral coloration or even reducing the sound to first essential components and then only a mere trace of itself.
  • partial - This is a frequency component of a sound. A partial can be harmonic or inharmonic. The main factor in the timbral coloration of a sound, the partials can be transposed (multiplication factor), eliminated, selected by type, or shifted (addition factor).
  • amplitude - As usual, amplitude is a measure of loudness, here relating to partials. It is the contour produced by joining up the amplitude levels of the partials that give us the graphic representation of the spectral envelope.
  • window - As the windows are time-slots, their size relates to the temporal resolution of the analysis. If smaller, the resolution is finer, there are more of them, and therefore much more data. This can result in a smoother sound, but also an increase in the amount of data which could cause a latency problem: i.e., a perceived delay before hearing the processed sound again. Also, the order of the windows can be rearranged, shuffled like a deck of cards, something which has a big effect on what we hear! Accumulating data from previous windows both builds up frequency components and introduces sustaining in the interior of the sound.
  • overlap - ??is this channels or windows

spectral envelope

amplitude profile of the frequencies in one analysis frame

Each frame of a spectral analysis contains the frequency amplitude information for all the partials (if any) in each of the channels of the analysis. Each frame is therefore a snapshot, as it were, of the state of the sound at that moment, with the length of the vertical bars representing amplitude level giving a contour shape. Thus the overall profile of a single analysis window is shown by its spectral envelope. The spectral envelope of each successive frame normally differs, The frame shown here is within the attack portion of a Tibetan singing bowl sound. The whole sequence of frames (of varying contents) gives the overall 'timbral envelope' of the sound.

spectrum

the changing frequency content of a sound

The word 'spectrum' refers to a range of vibrations. The entire range of all vibrations is huge, comprising all of sound, light, and electro-magnetic vibrations. Sound is just one part of this overall spectrum.

The spectrum of a sound refers specifically to its overall vibrational content i.e., frequencies. Different frequencies come and go during the course of a sound, and this frequency content is always changing in some way. The FFT analysis finds the partials in each frame, and the sequence of frames gives the overall spectrum.

Most sounds are quite a complex set of (ever-changing) frequencies, and it is this which gives them their timbral coloration.

timbre

the tone/'color' qualities of a sound

There are so few words with which to describe the tone quality of sounds! Those that we do find ourselves using are mostly inaccurate: thin, fuzzy, smooth, glowing, metallic, dull, bright ..., but these give us some idea of what is meant by the timbre of a sound. In particular, it refers to those qualities resulting from the frequency content of the sound: which vibrations are present, and how loud each of them is. The frequency content of the sound is its spectrum. This is not a single, fixed frequency configuration, but something which is constantly changing, especially as the sound moves through from the all-important attack portion to its areas of 'sustain' and 'release'. The time-varying character of a sound's timbre is therefore absolutely crucial, and this is what the Phase Vocoder FFT analysis used in Spectral Transformer captures in intimate detail.

We are most familiar with tone quality as the recognisable sound of different musical instruments: flute, oboe, violin, horn, clarinet, trumpet etc. In the spectral dimension, tone qualities can be transformed in many amazing and subtle ways.

time domain

digital representation of sound as amplitude and time sample data

When a sound is 'sampled', its analogue features (voltages) are converted into digital samples, each of which records an amplitude and a time. The number of samples per second of the sound is its 'sample rate'.

We see them graphed as a waveform in sound editors, showing us the amplitude profile along the duration of the sound. Some editors can zoom this display down to the individual sample. The center-line is zero, above this line is the positive and below is the negative part of the wave.

This specific digital representation of the sound creates the 'time domain', and the sound can be further manipulated by altering those two parameters: amplitude and time. For example, the amplitude contour can be reshaped, the order of the samples can be reversed or shuffled, etc. Transposition in the time domain makes sounds faster (and therefore shorter) when the pitch level is raised, slower (and therefore longer) when lowered. Thus voices become fast and squeaky, or slow and growly. This does not happen in the spectral domain, where transposition does not affect the duration of the sound.

window

type of contour shape used for the analysis

Each analysis frame contains the frequency amplitude data for each of the channels of the FFT analysis, for a given number of samples of the original sound. The term 'window' is used for the type of contour shape used to ensure smoothness in the analysis. One example is the Hamming window. Thus the amplitude rises from and returns to zero smoothly, while maximising the data within this time frame as much as possible. Otherwise a click or glitch would be the likely result.

waveform

a single oscillation containing a positive and negative phase

An oscillation comprises an up/down, in/out, back and forth motion - however one wants to look at it. A vibrating drumskin goes up and down, the membrane of a speaker cone goes in and out, a violin string goes up and down before repeating. One direction is represented by positive numbers, and the other with negative numbers, with the central position being zero.

When the numbers for a waveform are shown graphically on an X-Y axis, as on an oscilloscope, we clearly see that each oscillation has a characteristic shape, normally very complex. The simplest forms of these contour shapes define a basic set of shapes, as shown in the diagram below:


Menus

Hold your mouse over a menu command and press the F1 key on your keyboard to open a topc about that command.


File-New

This command creates a new Project5 project with a single channel in Tracker. Creating a new project automatically closes an open project.


File-Open

The File-Open command opens the Open dialog.


File-Save

Use this command to save a project in Project5.


File-Save As

The File-Save As command opens the Save As dialog. Use the Save As command to save a project for the first time or to save a project to a new filename.


File-Save As Template

The File-Save As Template command saves the current project settings as a template for new projects.


File-Import

This command opens the Open dialog. Browse to any Standard MIDI File (.mid) and select it. There are three types of Standard MIDI Files:

  • Type 0--Project5 creates a new pattern for each MIDI channel.
  • Type 1--Project5 creates a new pattern for each track.
  • Type 2--Project5 creates a new pattern for each track and uses the initial tempo value.


File-Export

The File-Export command opens the Export Audio dialog. You can export Project5 projects as wave files (extension .wav) or MP3s (extension .mp3).


File-Recent File

Click a recently opened file in the File menu to open it.


File-Import Audio

The File-Import Audio command opens the Import dialog where you can navigate to the directory where you store your Groove clips and Wave files. Groove clips are compatible with ACIDized wave files.


File-Exit

This command closes Project5. If you have unsaved changes in the current project, you are prompted to save before Project5 closes.


Edit-Undo

The Edit-Undo command returns your project to its state prior to the last edit.


Edit-Redo

The Edit-Redo command undoes an undo command.


Edit-Undo History

The Edit-Undo History command opens the Undo History dialog.


Edit-Cut

The Edit-Cut command deletes the selected pattern from a track or pattern data from P-SEQ. You can use the Edit-Paste command to paste the pattern or pattern data.


Edit-Copy

The Edit-Copy command makes a copy of the selected pattern in a track or pattern data from P-SEQ. You can use the Edit-Paste command to paste the pattern or pattern data.


Edit-Paste

The Edit-Paste command pastes a copied or cut pattern or pattern data.


Edit-Delete

The Edit-Delete command destructively deletes a pattern from a track or pattern data from P-SEQ. If you delete a pattern or any pattern data it is not saved on the clipboard for the past command. If you want to cut a pattern or pattern data for use with the Edit-Paste command, use Edit-Cut instead.


Edit-Retrograde

The Edit-Retrograde command reverses the order of selected events.


Edit-Quantize

The Edit-Quantize command opens the Quantize dialog.


Edit-Split Until Marker

This command will not appear if the Edit Marker is set to 0 in the P-SEQ Time Ruler. Right-click in the current pattern before the Edit Marker and select Split Until Marker to create a new pattern that contains all the data in the current pattern up to the Edit Marker.


Edit-Split From Marker

This command will not appear if the Edit Marker is set to 0 in the P-SEQ Time Ruler. Right-click in the current pattern after the Edit Marker and select Split From Marker to create a new pattern that contains all the data in the current pattern after the Edit Marker.


Edit-Insert Track

The Edit-Insert Track command creates a new track in the Track pane. The new track appears as the last track in the Track pane.


Edit-Delete Track

The Edit-Delete Track command deletes the currently selected track in the Track pane.


Edit-Clone Synth

The Edit-Clone Synth creates another instance of the same synth on a separate track.


Edit-Insert Time Signature/Edit-Change Time Signature

The Edit-Insert Time Signature command opens the Insert Time Signature dialog. For more information, see Insert Time Signature and Change Time Signature dialog.

The Edit-Change Time Signature command opens the Change Time Signature dialog. For more information, see Insert Time Signature and Change Time Signature dialog.


Edit-Delete Time Signature

The Edit-Delete Time Signature command deletes time signature that is before the current Now Time.


Edit-Select All

The Edit-Select All command selects all the events or patterns in both Tracker and P-SEQ.


Transport-Stop

The Transport-Stop command stops the playback of the project.


Transport-Play

The Transport-Play command begins playback of the project beginning at the Now Time.


Transport-Record

The Transport-Record command begins recording of all armed tracks.


Transport-Rewind

The Transport-Rewind command moves the Now Time to the beginning of the project.


Transport-Jog Backward

The Transport-Jog Backward command moves the Now Time back by the current snap resolution.


Transport-Jog Forward

The Transport-Jog Forward command moves the Now Time forward by the current snap resolution.


Transport-Loop ON/OFF

The Transport-Loop ON/OFF command toggles on/off looping. Looping is on if a check appears next to it in the menu.


Transport-Pattern Preview

The Transport-Pattern Preview command begins playback of the current pattern in P-SEQ. You can also preview a pattern using the Pattern Preview button in P-SEQ.


Transport-Metronome ON/OFF

The Transport-Metronome ON/OFF command toggles on/off the Metronome. The Metronome is on if a check appears next to this command in the menu.


Transport-Count ON/OFF

The Transport-Count ON/OFF command toggles on/off the Count-in. The Count-in is on if a check appears next to this command in the menu.


View-P-SEQ

This command opens the Pattern view. P-SEQ is where you edit MIDI data in Project5.

For more information about Tracker, see P-SEQ.


View-Syn Ops

This command opens Syn Ops view. Syn Ops contains channel parameters, device parameters and effects parameters.


View-Pattern Bin

This command opens the Pattern bin. The Pattern bin is where you can preview and drag and drop patterns.

For more information, see Pattern Bin.


View-Normal

The View-Normal command positions Tracker and P-SEQ side by side at the top with SYN.OPS located below.


View-Performance

The View-Performance command positions Tracker at the top with SYN.OPS below it. P-SEQ is not displayed.


View-Stacked

The View-Stacked command positions Tracker at the top, P-SEQ below it, and SYN.OPS at the bottom. This view configuration works best at greater screen resolutions.


Options-MIDI Devices

This command opens the MIDI Devices dialog.

For more information about this dialog, see MIDI Devices dialog.


Options-Audio

This command opens the Audio Options dialog.

For more information about this dialog, see Audio Options dialog.

For more information about Tracker, see SYN.OPS.


Options-MIDI Remote Control

The Options-MIDI Remote Control command opens the MIDI Remote Control dialog. For more information, see MIDI Remote Control dialog.


Options-Metronome

The Options-Metronome command opens the Metronome Properties dialog. For more information, see Metronome Properties dialog.


Help-Help Contents

The Help-Help Contents command opens the Project5 HTML Help file. Project5 Help is completely searchable and indexed.


Help-Project5 Owner's Page

Click this link to open the Project5 Owner's Page on Cakewalk.com.


Help-Keyboard Shortcuts

Note 1: A plus sign (+) indicates that both keys must be held down at the same time. For example, Ctrl+F6.

Note 2: When P-SEQ, SYN.OPS, or any synth property page are undocked and are the active window, the Alt+ keyboard shortcuts to open menu commands do not function. When P-SEQ is undocked and is the active window, pressing the Alt key and releasing it before you press any following keys will activate the menu commands.

Menu Commands
Command | Shortcut
File-(any File menu command) | Alt+F+(underlined letter or number in File menu)
File-Open | Ctrl+O
File-Save | Ctrl+S
File-New | Ctrl+N
Edit-(any Edit menu command) | Alt+E+(underlined letter in Edit menu)
Edit-Undo | Ctrl+Z
Edit-Redo | Ctrl+Shift+Z
Edit-Cut | Ctrl+X
Edit-Copy | Ctrl+C
Edit-Paste | Ctrl+V
Edit-Delete | Delete key
Edit-Retrograde | Ctrl+R
Edit-Quantize | Ctrl+Q
Edit-Split Until Marker | Ctrl+U
Edit-Split From Marker | Ctrl+F
Edit-Select-All | Ctrl+A
Transport-Play or Stop | Spacebar
Transport-(any Transport menu command) | Alt+T+(underlined letter in Transport menu)
Transport-Record | R
Transport-Rewind | W
Transport-Jog Backward | ,
Transport-Jog Forward | .
Transport-Loop ON/OFF | Ctrl+L
Transport-Metronome ON/OFF | C
Transport-Count ON/OFF | O
View-P-SEQ | Alt+1
View-(any View menu command) | Alt+V+(underlined letter in View menu)
View-SYN.OPS | Alt+2
View-Pattern Bin | Alt+3
Options-(any Options menu command) | Alt+O+(underlined letter or number in Options menu)
Help-(any Help menu command) | Alt+H+(underlined letter in Help menu)

Main Control View Commands
Command | Shortcut
Loop ON/OFF | Ctrl+L
Set loop points to selection | Ctrl+P
Metronome (Click) ON/OFF | C
Count ON/OFF | O
Display Mains and Auxes in SYN.OPs | M

Tracker Commands
Command | Shortcut
Select track control | Left or Right Arrow
Increment value | +
Decrement value | -
MIDI Routing Override button ON/OFF | X
Zoom horizontally | Ctrl+Left or Right Arrow
Center the Now Time | G
Nudge selected pattern horizontally or to adjacent track | Arrow keys
Transpose blinking pattern by half-steps | + or -
Snap button ON/OFF (when focus is on Tracker, not P-SEQ) | N

P-SEQ Commands
Command | Shortcut
Hide/Show P-SEQ | Alt+1
Move selected data | Arrow keys
Preview pattern | Shift+Spacebar
Record pattern | Shift+R
Toggle between Select, Automation, and Note tools | T
P-SEQ Snap button ON/OFF (when focus is on P-SEQ, not Tracker) | N
Send pattern to track | Shift+T
New pattern | Shift+N
Duplicate pattern | Shift+D
Save pattern | Shift+S
Step value: measure | 1
Step value: half | 2
Step value: quarter | 4
Step value: sixteenth | 6
Step value: thirty-second | 3
Step value: dotted | D
Step value: triplet | L

SYN.OPS Commands
Command | Shortcut
Hide/Show SYN.OPS | Alt+2
Display Mains and Auxes in SYN.OPs | M
Open Tracks menu | Shift+K
Increment Presets menu | P and Shift+P
Increment Bank/Patch menu | B and Shift+B
Open Ports menu | Shift+O
Open Channel menu | Shift+C
Enable/Disable selected audio effect | Y

Pattern Bin Commands
Command | Shortcut
Hide/Show Pattern Bin | Alt+3
Delete selected patterns from In Use or Scrap folders | Delete

All Views Commands
Command | Shortcut
Hide/Show P-SEQ | Alt+1
Hide/Show SYN.OPS | Alt+2
Hide/Show Pattern Bin | Alt+3
Close current window | Ctrl+F4
Next window | Ctrl+Tab


View README.rtf

Click this link to open the Project5 README file.


Activate MP3 Encoder

This command opens the MP3 Encoder Activation dialog.


Help-About

This command displays the Project5 About box where you can find the product's version number.


No Ports

The Track does not receive MIDI input from any source.


All Ports-Omni

The track receives input from all available controllers.


All Ports-MIDI Channel n

The track receives input from all ports sending MIDI on a specific channel.


Clone Synth

The Clone Synth creates another instance of the same synth on a separate track.


Dialogs

Click the Help button in a dialog to open a help topic about that dialog.


Audio Options dialog

The Options-Audio command opens the Audio Options dialog. The Audio Options dialog is where you profile audio drivers and select the main outputs for Project5.

Outputs

From this dropdown menu, select the driver you want to use as Project5's main output. If you have multiple sound cards on your computer, or a sound card with multiple outputs, the dropdown has multiple options. Project5 supports WDM, ASIO, and Dsound drivers. Dsound is for older sound cards, and doesn't offer the low-latency performance that WDM and ASIO offer.

If you select ASIO, a button appears in the corner of the Audio Options dialog that allows you to open the ASIO control panel for your sound card (if it has an ASIO driver installed on your computer).

Sampling Rate

Click one of the selections to choose the sampling rate for new projects.

Sampling rate options:

  • 11025 Hertz (Hz)
  • 22050 Hz
  • 44100 Hz--this is CD quality
  • 48000 Hz
  • 96000 Hz

Bit Depth

Choose the bit depth you want new projects to use.

Bit depth options:

  • 16--this is CD quality
  • 24
    • Justify--if you choose 24 as a bit depth, your sound card may need the numbers to be "justified." Read your sound card's documentation to see what setting it needs.

Mixing Latency

  • The Buffer Size slider enables you to set mixing latency manually, overriding the value set by Project5. A value of 20 mS or lower is about what's required to avoid a larger gap between when you play your MIDI keyboard and when you hear the sound coming from Project5.

Note: If you set the Buffer Size slider too low, you may hear glitches in the audio during playback. This is due to a sound card or CPU limitation. To eliminate these glitches, increase the buffer size, or download a new audio driver for your sound card. WDM (Windows Driver Model), and ASIO drivers have low latency.


Export dialog

The Export dialog is where you save your project as a Wave file or MP3.

Note: You must activate your MP3 encoder before it will become available as a Project5 export option. Information on how to activate Project5's MP3 encoder is located on the Project5 Owner's Page on the Cakewalk web site. In Project5's Help menu, select the Owner's Page option to visit the site (Help-Project5 Owner's Page).

The Export dialog has the following elements:

Save in

This field, located at the top of the dialog, displays the folder where the file would be saved. Navigate to the folder you want to save your file in using the buttons to the right of the Save In field.

File Name

Enter a file name for the file you are exporting.

Save As Type

Select either Wave File (.WAV) or MP3.

Bits Per Sample

Select a bit depth, either 16 (CD quality) or 24, for the file you are exporting.

Sample Rate

Select a sample rate for the file you are exporting. 44,100Hz is CD quality.

Effects Tails

Add up to 99 seconds after the end of a looped point or the end of your project to give room for any effects "tails" like reverb or delay.

Export Looped Region Only

This control is only available if you have Project Looping enabled in Project5. When selected, this option creates a file of only the part of your project contained within the loop points.

MP3 Options--Quality

Move the slider to the left to create the highest quality MP3 file. Move the slider to the right to create an MP3 as fast as possible.

MP3 Options--Bit Rate

Select a bit rate

MP3 Options--Stereo Mode

Select one of the following modes:

  • Mono--this option creates a standard mono file for minimum bandwidth.
  • Stereo--this option creates a standard stereo file.
  • Joint Stereo--not a full stereo file, but most files will sound just as good, and at smaller bandwidth. If stereo separation is important for this particular file, choose Stereo or Mid/Side instead.
  • Mid/Side Stereo--preserves most of the stereo effect of a file but at lower bandwidth. Not too useful at bit rates above 128 kbs.

Enable High Pass Filter/Low Pass Filter

These filters decrease your file size by eliminating frequencies that people don't usually hear anyway.

ID3 Tag

Clicking this button opens the ID3 Tag dialog, where you can enter identifying information that is stored in your MP3 file and can be read by most MP3 players and similar hardware.


ID3 Tag dialog

The ID3 Tag dialog is where you enter information that is stored in your MP3 file and displayed in most applications that play MP3 files. The ID3 Tag dialog has the following fields:

  • Title--The Song title
  • Artist--The performer
  • Album--The album or collection of songs that the song comes from
  • Track--The track number.
  • Comment--Track notes
  • Genre--Select from a list of genres
  • Year--The year the song was made


Import Audio dialog

The File-Import Audio command opens the Import Audio dialog. Use the Import Audio dialog to import Groove clips (ACIDized files--.wav files with special timing and tempo information encoded in them) or standard .wav files into the Tracker at the Now Time. You can import several audio files at the same time by Ctrl-clicking the ones you want to import (hold down the Ctrl key while you click each one). You can preview one or more audio files at the same time by selecting them and then clicking the Auto Preview button.

The Import Audio dialog has the following fields:

  • Look In--use this field to navigate to the folder that contains the audio files you want to import.
  • File Name--this field displays the names of the files you select, in the reverse order of when you select them.
  • Files of Type--Wave files is the only choice, which displays both standard .wav files and Groove clips.
  • Create New Tracks For Each File--audio clips have to be played by GroovePlayer tracks in Project5. If you haven't created the tracks you need already, Project5 creates a GroovePlayer track when you import the files. If you want a separate track for each audio file, enable this checkbox.
  • Auto Preview button--if you want to preview the audio files you select before you import them, click the Auto Preview button to audition them all at the same time. Click the button again to stop auditioning the files, or press the Spacebar.


Import dialog

The Import dialog is where you import .mid files for use as patterns in Project5.

The following is a description of the controls in the Import dialog:

Look in

Use this dropdown menu to navigate to the directory where your .mid files are saved.

Files List pane

Select the file you want to import in the Files List pane.

File Name

The name of the selected file appears in the File Name field.

Open button

Click this button to import the selected file.


Insert Time Signature and Change Time Signature dialog

To open the Insert Time Signature dialog, double-click on the Time Ruler where you want the time signature change to begin or right-click in the Time Ruler and select Insert Time Signature from the menu that appears or select the command from the Edit menu.

To open the Change Time Signature dialog, right click in the Time Ruler and select Change Time Signature from the menu that appears or select the command from the Edit menu.

Both dialogs have the same function except that the Change Time Signature command changes the time signature for the whole project and the Insert Time Signature command changes the time signature at the current Now Time.

At Measure (Insert Time Signature dialog only)

Set the measure at which the time signature change begins. The Change Time Signature dialog changes the time signature for the entire project, beginning at the first measure.

Beats Per Measure

The number of beats per measure. Valid values are 1 through 64.

Beat value

The length of each beat. Valid values are 1 (whole), 2 (half), 4 (quarter), 8 (eighth), 16 (sixteenth) and 32 (32nd).


Metronome Properties dialog

In the Metronome Properties dialog, you can specify what sounds you want for the first beat in a measure and the other beats in a measure. You can use an audio file or a synthesized tone for either.

Wave File

Select a wave file from the dropdown menu.

Pure Tone

Select a Pitch (0-127) and a Velocity (0-127). Also, select the duration of the tone in ticks (0-960).


MIDI Devices dialog

Use the Options-MIDI Devices command to open the MIDI Devices dialog. The MIDI Devices dialog is where you select one or more MIDI input devices to transmit data to Project5, and also set synchronization parameters.

The MIDI Devices dialog has the following fields:

  • Available MIDI Input Devices--this field lists all of your unused MIDI input ports from your MIDI interface(s). To make a port active, click it to highlight it, and then click the Right Arrow button to move the port to the Active MIDI Input Ports field.
  • Active MIDI Input Ports--this field lists the MIDI input ports currently in use by Project5.
  • Show this dialog at startup if there are no MIDI Devices enabled--it's good to leave this checkbox enabled: if you have no MIDI devices enabled, you will not hear anything when you play your keyboard.

MIDI Sync (Clock) Output

  • Output Device--this field lists the MIDI output port Project5 is using to send MIDI Synch signals out through. You can select a different device in the dropdown menu in this field.
  • Send SPP--check this field if the slave device you want to control requires a Song Position Pointer signal (if it has a project length or pattern that always needs to play back at the same time location as your Project5 project).
  • Send Start, Never Continue--if your slave device is a drum machine, you may want the drum machine to always start playing at the beginning of its loop or pattern, even if you're restarting Project5 from the middle of a project. If that's the case, enable the Send Start, Never Continue checkbox..

See also:

MIDI Synchronization


MIDI Remote Control dialog

Right-clicking a widget and choosing MIDI Remote Control from the popup menu opens the MIDI Remote Control dialog.

The MIDI Remote Control dialog has the following fields:

  • Mapped Parameters--this field highlights the parameter that you're currently assigning, and lists any other parameters in this project that you've assigned. When you highlight any parameter in the list, the other fields in this dialog update automatically to show you what control source is assigned to the highlighted parameter.
  • MIDI Input Source--use this menu to choose which MIDI input you want to send the controller messages in through.
  • MIDI Channel--use this menu to choose which MIDI channel that you want the Project5 widget to respond. If you want the widget to respond to any MIDI channel, choose Omni.
  • Control Source--choose the type of MIDI message that you want the Project5 widget to respond to. If you want to detach the widget from a previous assignment, choose None.
  • Learn button--if you're not sure what MIDI message a certain slider or knob on your controller sends out, click this button, move the slider or knob, and then click Stop Learning. Project5 reads the message that the slider sends out, and assigns that message to the widget in question.

See also:

Remote Control

Using Remote Control


MP3 Encoder Activation dialog

Enter the activation code in the Activation Code field and click OK to activate the MP3 functionality in Project5. For information about getting an activation code, select Help-Project5 Owner's Page.


No MIDI Inputs Selected dialog

This dialog appears to warn you that you have not selected a MIDI input to use with Project5. Click the Choose MIDI Devices Now button to open the MIDI Devices dialog and select a MIDI input, or Click the Continue With No MIDI Input button to work in Project5 without a MIDI Input. You can select a MIDI input at any time by selecting Options-MIDI from the Project5 menu.


Open dialog

The following is a description of the controls in the Open dialog:

Look in

Use this dropdown menu to navigate to the directory where your project files are saved.

Files List pane

Select the project you want to import in the Files List pane.

File Name

The name of the selected file appears in the File Name field.

Open button

Click this button to open the selected file.


Open Pattern dialog

Look in

Use this dropdown menu to navigate to the directory where your pattern is saved.

Files List pane

Select the pattern you want to open.

File Name

The name of the selected file appears in the File Name field.

Open button

Click this button to open the selected pattern.


Quantize dialog

The Quantize dialog appears when you right-click in P-SEQ and choose Quantize from the popup menu. You can quantize both notes and controller data. First, select the data you want to quantize, then right-click in P-SEQ and choose Quantize from the popup menu.

The Quantize dialog has the following fields:

Resolution

  • Use the Resolution field to choose what note value you want to quantize the selected data by.

Change

  • Start Times--check this field if you want to move the start times of the selected notes to the nearest boundary of the note value you chose in the Resolution field.
  • Note Durations--check this field if you want to change the durations of the selected notes to the duration of the note value you chose in the Resolution field.
  • Include Automation--check this field if you want to move the start time and changes of value of the selected automation to the nearest boundary of the note value you chose in the Resolution field.

Options

  • Strength--set this value to 100% if you want strict quantizing that conforms exactly to the Resolution value. Set lesser values if you want looser quantizing.
  • Randomize--set this value to 0% if you want all selected data to be quantized the same way. Set higher values to vary the Strength of quantization on each selected object.


Save As dialog

The following is a description of the controls in the Save As dialog:

Look in

Use this dropdown menu to navigate to the directory where you want to save your project file.

Files List pane

Lists the files currently saved in the target directory.

File Name

Enter a name for the project you are saving.

Save button

Click this button to save your project.


Set Shared Pattern Folder

Clicking the Set Shared Folder button in the Pattern Bin opens the Set Shared Pattern Folder dialog. Use this dialog to designate one folder to store MIDI patterns, and one folder to store audio patterns. When you click the Save Pattern button in P-SEQ, any MIDI pattern you're saving will be saved in the designated MIDI folder, and any audio pattern you're saving will be saved in the designated audio folder.

The patterns in both folders are displayed in the Pattern Bin. Audio and MIDI patterns in the Pattern bin have different icons next to their names.

See also:

The Pattern Bin


Undo History dialog

The Edit-Undo History command opens the Undo History dialog, which displays a history of your editing actions (the command is greyed-out if you made no edits). You can set how many editing actions you want the Undo History dialog to store by changing the number in the Maximum Undo Steps field. The default value is 16.

Use the Undo History dialog to jump to a previous time in the history of the project. Then you can continue from that point, causing all the edits you did after that action to disappear.

The Undo History dialog has the following fields:

History list

The History list displays a list of all the editing actions you did to this project, up to the number of actions in the Maximum Undo Steps field.

To revert to an earlier version of a project, highlight the entry in the History list that represents the point to which you'd like to return, and click OK. Project5 performs the necessary undo or redo actions to take you to that point, leaving the highlighted edit intact. Once you make any new edits, Project5 clears the History list of all the edits you made after the edit you jumped back to. Then, as you do further work, the History list grows again. Any edits that happened after the edit you jumped back to remain on the list.

Clear button

You can click the Clear button in the History dialog box to erase the undo history for the current project and free up some memory.

Maximum Undo Levels

This field lists the number of previous edits that Project5 stores. The default value is 16. You can enter any number from 1 to 128, but remember that storing all these edits consumes memory.


Views

Main Control view

Tracker

SYN.OPS

P-SEQ

Pattern Bin


Main Control view

The following is a description of each of Tracker's Main Controls controls:

Song Title

This is the name of the current project as it was last saved. If you have made any edits since you last saved the file, an asterisk appears at the end of the song title.

New Button

Located to the right of the song title, the New button creates a new Project5 project.

Open Button

The Open button opens the Open dialog where you can navigate to a Project5 project.

Save Button

The save button opens the save as dialog if the current project is new and hasn't been saved before, otherwise the Save button overwrites the previous version of the current project.

Reset Audio Engine Button

This button stops the playback of all notes. If any of your notes in Project5 should become "stuck" (turn on, but not turn off), click this button.

Now Time Display

The Now Time display shows the current Now Time as a numerical value. You can choose to display the Now Time in either measures, beats, and ticks (M:B:T) or in SMPTE.

M:B:T Selection Button

The M:B:T Selection button switches the Now Time display to show measures, beats, and ticks.

SMPTE Selection Button

The SMPTE Selection button switches the Now Time display to show SMPTE time.

Tempo Control

The Tempo control displays any automated changes in tempo. Tempo automation can be edited in P-SEQ.

CPU Meter

Displays the current CPU usage on a percent scale.

Transport Controls

The following table gives a description of Tracker's Transport controls:
Transport Control... | Description...
Reset | Rewinds project to beginning.
Play | Click this button to begin playback of your project from the current Now Time.
Jog Backward | Use this control to nudge the Now Time backward by the increment set in the snap-to-grid. If the snap-to-grid is not enabled, this control moves in increments of measures.
Jog Forward | Use this control to nudge the Now Time forward by increments set in the snap-to-grid. If the snap-to-grid is not enabled, this control moves in increments of measures.
Record | Click this button to record data on all armed tracks.

Loop Enable

Project5 allows you to loop over a section. Clicking the Loop Enable button creates markers at the beginning and end of the selection. A selection can be either a pattern or a length of time. If there is no selection the beginning marker appears at the curent Now Time and ending marker appears after one measure.

Shuffle Amount

Set the amount of swing applied to the project. The amount of shuffle ranges from 0 to 100%.

Click (Metronome)

Click to enable the metronome

Beats

Set the number of beats the metronome counts in before the project begins playback or recording.

Count-in

Click on to count-in the number of beats set in the Beats field.

Mains/Bus Selector

Click the Mans/Bus selector button to display the Main out and the four Aux Buses in SYN.OPS.

Mains Meter

Displays the volume level for the left and right channel of the main output in Project5.

Aux Bus Return Level Volume Knobs

Adjust the volume of each Aux Bus return.

MIDI Sync On/Off

Enable to send MIDI sync messages from Project5.


Tracker

Tracker provides an overview of your project. Tracker has the Track pane and the Arrangement pane.


Tracker--Tracks Pane

The Tracks pane is where you control individual channel parameters such as volume, pane, mute and solo. DXis and other effects are patched in in the Tracks pane.

Insert Track Button

Click this button to open a menu and select from all available synths.

Record Automation Button

Click this button for Project5 to record automation.

Snap Grid Button

Click this button to turn on or turn off the Snap Grid in Project5. The resolution of the Snap Grid is determined by the setting in the dropdown menu to the right of the Snap Grid button.

Snap Grid Resolution Menu

Set the resolution of the Snap Grid in Project5.

Mute and Solo Buttons

Click Mute to mute the track. Click Solo to solo a track.

Master Arm button

Click to Disarm all armed tracks.

Track Pane Context Menu

Right-clicking in the Track pane opens the Track pane context menu. The following table describes each of the commands:
Command... | Description...
Replace Synth | Select from a menu of synths with which you can replace the current synth.
Insert Synth | This command opens a menu where you can select Empty, to add an empty channel, or Synths, where you can select from a list of the DX Instruments installed on your machine.
Clone Synth | Creates a copy of the current track, including the synth patched and its settings.
No Ports | Select this command to stop sending data from the current track.
All Ports | Select the port you want to use for this track.
Active Output | This command opens a menu of available outputs for the synth. Only available if the synth as multiple outs.
Delete | Delete the current track.

Channel Parameters

The following table describes each channel parameter:
Parameter... | Description...
Channel number | This number represents the order the channel appears in the Track pane. If you change the order of channels, this number changes as well.
xOMNI | Forces all MIDI input through the current track's synth and that synth only.
Channel name | A name for the channel that you can edit. click on the name to enable editing and press the Enter button to save your name change.
Channel meter | Displays the track's volume level.
Volume | Use this control to adjust the channel's volume as it goes to the Main bus. The minimum volume for a channel is -INF (no volume) and the maximum volume is 6 dB.
Pan | Use this control to change the stereo balance for the channel. This value ranges from 100% Left to 100% R. Center is represented by C.
Width | Sets the distance between the left and right channels. Width ranges from 0 to 180 degrees. 0 degree is effectively mono while 180 degrees is extreme left/right separation.
Mute | Click this button to silence a channel
Solo | Click this button to play only this channel and any others that are soloed.
Arm | Click to arm the track for recording.
Multi-out | Set the output on for a multi-output synth. This control is only available when a mulit-out synth is inserted in the track.


Tracker--Arrangement Pane

The Arrangement pane shows the pattern of MIDI notes on a timeline. Each channel in the Channel has a corresponding row in the Arrangement pane which displays the MIDI data in that channel.

Time Ruler

The Time Ruler is located at the top of the Arrangement pane. The Time Ruler displays your project's timeline in measures, beats and ticks (M:B:T). The Time Ruler conforms to the current time signature, so a song in 3/4 time would have just three beats per measure. The time your project is at on the Time Ruler is called the Now Time. For more information about the Now Time, see The Now Time. For information about setting or changing the time signature, see Changing the Time Signature.

Patterns

Below the Time Ruler, and taking up most of the Arrangement pane is the area where each channel's MIDI data and Groove clips are represented by rectangles. You can click and drag out repetitions of these patterns in addition to moveing, cutting and pasting them to other parts of a track or to a different track.

Arrangement Pane Context Menu

Right-clicking over a pattern in the Arrangement pane opens the Arrangement pane context menu which has the following commands:
Command... | Description...
Cut | Only available when right-clicking over a channel. This command removes the channel and its data. The channel and its data remain on the clipboard.
Copy | Only available when right-clicking over a channel. This command places a copy of the channel and its data on the clipboard.
Paste | This command pastes cut or copied data at the point of insertion. If you access this command by right-clicking over a channel, the paste appears above that channel.
Delete | Only available when right-clicking over a channel. This command removes the channel and its data without storing it on the clipboard.


SYN.OPS

SYN.OPS displays detailed parameter information for the selected track in Tracker. SYN.OPS displays the current track's synth property page as well as several assignable controls for frequently used parameters. It also displays an FX graph which displays the device as part of the effects chain.

Note: When you move or resize this window, holding down the Ctrl key while you drag may give you more predictable results. This window is dockable, and when it reaches a default docking region, it may resize and reposition itself automatically, which may not be what you're intending. To undock the window, hold down the Ctrl key and drag the left edge of P-SEQ.

Track Properties

Track Property... | Description...
Track number | The current number track in Tracker. If you change the order of tracks, this number changes as well.
Track name | A user-assignable track name.
Volume control | The same control that appears in the track's strip in Tracker. Adjusts the track volume.
Output menu (for mult-out synths only) | If a synth has multiple audio outputs, this menu, located below the volume knob, lists what output the track controls are controlling. Each output has its own independent set of track controls.
Pan control | The same control that appears in the track's strip in Tracker. Adjusts the track pan.
Width control | The same control that appears in the track's strip in Tracker. Adjusts the track width. Width contols the feeling of where the speakers you're listening to are located: either more beside you or more in front of you..
Mute | Click to mute a track.
Solo | Click to solo a track.
Phase | Located just below the Mute and Solo buttons, pushing the Phase button reverses the track's phase.
Aux send levels and Aux Enable button | Enable an Aux Send by clicking the small, red Aux Enable button. Adjust the send level by clicking on the Aux Send Level knob and moving your mouse up or down.

Synth Properties

Synth Property...

Description...
Track/Synth Selection menu

Select the track you want to display in SYN.OPS.
Presets

Select a synth preset. You can save the current synth configuration as a preset by entering a new preset name in the Preset field and clicking the save icon in the preset menu.
Bank/Patch menu

Select a bank and patch for the MIDI channel that's listed in the channel menu that's at the right end of this toolbar.
Note: When the Bank/Patch menu is set to None, Project5 will respond to program change messages in Standard MIDI Files. If you choose any other setting, that choice overrides any program changes in the Standard MIDI File.
Transpose Amount

Set the transpose amount in half-steps for each live note played through this track. This setting does not affect pattern data, only live input.
Velocity Filter

Set the range of velocities that are acceptable through the current track/synth. Notes with velocities not within this range do not sound. The default setting includes all velocities.
Note Filter

Set the range of notes that will play through the current track/synth. The default setting includes all notes.
MIDI Port menu

Select the MIDI channels and/or ports you want this synth to respond to when you play your MIDI keyboard.
MIDI Input Channel menu

Select the MIDI channel you want to choose a Bank or Patch for. This menu also controls what channel sounds in the synth when you click the piano keyboard or note grid in P-SEQ.

Assignable Controllers

A set of assignable controllers appears on the left side of SYN.OPS. Each control can be set to any of the current synth's parameters. Right-clicking on a control knob opens a menu of available parameters. You can also assign a control knob to Remote Control.

Mains

The Mains and aux buses appear in SYN.OPS when you click the Mains button in the Project5 toolbar. The following table describes each of the controls in each aux bus and main control strips:
Main or Aux Bus Control... | Description...
Name (Aux Buses only) | A user-definable name for an aux bus. Double-click in the Name field and enter a name.
Balance knob | Adjust the volume of the strip.
Width knob | Adjust the width of the strip.
Phase Invert button | Invert the phase of the strip.
Volume slider | Adjust the volume of the strip.
Mute button | Mute the output of the strip.
Arm button | Arm the strip for recording automation.

Song Information

The Song Information box appears in SYN.OPS when the Mains are displayed. Use this box to store information about your project. The Song Information box has the following fields:

  • Title--The song title.
  • Subtitle--The song subtitle.
  • Author--The song's composer.
  • Copyright--Pertinent copyright information.
  • Project Description and Instructions--A description of the song, or any notes you want to make.

FX Chain

The bottom of SYN.OPS consists of an effects chain. You can patch MIDI FX in the MIDI FX bin and audio effects in the Audio FX bin. For more information on using the FX chain, see Using Effects.


Pattern Bin

The Pattern bin is a pattern explorer that allows you to audition patterns then drag and drop them into your project.

Patterns that have been saved, new patterns and patterns that were created, but are no longer being used all live in the Pattern bin.

Note: When you move or resize this window, holding down the Ctrl key while you drag may give you more predictable results. This window is dockable, and when it reaches a default docking region, it may resize and reposition itself automatically, which may not be what you're intending. To undock the window, hold down the Ctrl key and drag the left edge of P-SEQ.

Pattern Bin Categories

The following is a description of each pattern type:

  • Disk--These patterns have been saved to disk and are available for all projects. Some patterns are installed when you install Project5. These patterns are Disk patterns
  • In Use--These patterns are currently in your project. In Use patterns appear in the order they were added to your project.
  • Scrap--These patterns were created in the current project and either never sent to Tracker or deleted later. These patterns are saved along with your project, so you can always go back and retry and old idea.

The Preview Bin

The Preview Bin is where you can audition one or several patterns. Clicking the Preview Pattern button in P-SEQ plays the patterns that are in the Preview bin through the selected track, plus any pattern that's displayed in P-SEQ (the patterns all sound at the same time). Clicking a pattern that's in the Scrap or In Use folders adds it to the Preview bin and replaces the patterns in the Preview Bin (except any pattern that's displayed in P-SEQ). Double-clicking a pattern that's in the Disk folder adds the pattern to the Preview Bin and displays it in P-SEQ. Clicking the empty space on the right side of the Pattern Bin clears the Preview Bin, except for any pattern that's displayed in P-SEQ. To add multiple patterns to the Preview Bin, hold down the CTRL key while clicking additional patterns in the Scrap or In Use folders.

For more information, see:

The Pattern Bin

Delete Button

The Delete button deletes the currently selected pattern from the Scrap or In Use folders.

Set Shared Folder Button

The Shared Folder Button opens a dialog that allows you to set the directory in which your Disk patterns are stored. Whenever you change this setting, you must restart Project5 before the change takes effect. This setting is for all projects.

For more information on using the Pattern Bin, see:

The Pattern Bin The Pattern Bin.


P-SEQ

P-SEQ is where you create, edit, and import patterns, automation data and synth/effects data in Project5.

Note: When you move or resize this window, holding down the Ctrl key while you drag may give you more predictable results. This view is dockable, and when it reaches a default docking region, it may resize and reposition itself automatically, which may not be what you're intending.

P-SEQ Transport Controls

There are two Transport control buttons in P-SEQ: Preview and Record.

Preview--Plays the current pattern. While playing the pattern, the Preview button changes to a Pause button which you can click to stop previewing the current pattern. You can also stop previewing the pattern by clicking the Pause button in Project5's main toolbar.

Note: Patterns in P-SEQ preview on MIDI channel 1 by default. You can change this channel by sending the pattern to a track, double-clicking the pattern, and adjusting the channel in P-SEQ's Edit menu. However, when you click the keyboard that's in P-SEQ or click notes in P-SEQ's Note pane, the notes play through the MIDI channel that's listed in SYN.OPS' MIDI channel menu (last menu on right end of toolbar).

Record--Begins pattern recording either in Step Recording mode (if the Step Mode button is engaged) or in Real-Time mode.

Record Controls

Use the Record controls to modify how P-SEQ's record button behaves.

Step Record Mode--When engaged, notes are entered in Step-Mode. Step-Mode means that a new note is entered in P-SEQ each time a note is played on your MIDI controller, no matter how much time has passed since the last note was entered. The note durations are determined by the note duration setting.

Number of Steps--The total number of notes that you can enter when step recording.

Constant Velocity--When enabled, the notes entered are not affected by velocity changes from the MIDI controller. Note velocities are all set to 100.

Overwrite Mode--When enabled, current note data is overwritten by new note data.

Snap Resolution

The snap resolution in P-SEQ sets the precision at which notes can be entered. A snap resolution of 1/2 means that entered notes and notes you drag and drop in P-SEQ "snap" to the nearest 1/2 note boundary. The snap resolution in P-SEQ ranges from whole notes to 1/128th notes. The default is 1/16th. When depressed, the Snap Resolution is on. You can override the Snap Resolution setting by holding the Shift key while dragging notes. When the Snap Resolution is off, or when you are overriding it, data moves by ticks.

Note Values

Select the duration of notes you enter in P-SEQ.

Link

The Link button forces the Snap Resolution to follow the current Note Value setting.

Pattern Management Controls

The following controls, located on the left side of P-SEQ, allow you to create, import and duplicate patterns.

Control... | Description...
New Pattern button | Creates a new pattern.
Duplicate Pattern button | Creates a copy of the current pattern. The copy gains a suffix added to the original pattern name.
Save button | Saves the pattern to the directory where all Disk patterns are stored. To change the name of the pattern before saving, double-click on the pattern name and enter a new one.
Open Button | Opens the Import dialog to the default directory for Disk patterns. Navigate to the directory you want and select a file to open in P-SEQ.
Send to Track | Sends the pattern to the selected track in Tracker at the current Now Time. You can also click and drag the button to a specific time in a track to place the current pattern there.

Edit Menu and Editing Tools

The following controls, located beneath the Edit menu, allow you to select which pattern is displayed for editing in P-SEQ.

The following table describes each of the Edit menu:

Control...

Description...
Pattern Edit menu

The Pattern Edit menu has three submenus:
  • In Use--Select from one of the patterns currently being used in your project.
  • Scrap--Select from one of the patterns that you are not currently using in your project.
  • Track/Bus Automation--Select an aux bus, the Main output, or one of the synths you are using in your project. Settings for Track/Bus Automation affect the entire track, bus or main.
Transposition

Select a pitch offset for the active instance of a pattern. A pattern must be in the Tracker and blinking to be the active instance. Double-click a pattern that's in the Tracker to make it active. The range is from -127 to +127. The Transposition value is displayed in parenthesis next to the pattern name in Tracker.
This attribute is specifc to the active instance of the pattern only.
MIDI Channel

Set the MIDI channel for the active instance of a pattern. A pattern must be in the Tracker and blinking to be the active instance. Double-click a pattern that's in the Tracker to make it active. The choices are Omni and 1 through 16. This option is useful for using different patterns to trigger multiple voices on a multi-timbral synth.
This attribute is specifc to the active instance of the pattern only.

The Editor controls are used to create and edit patterns in P-SEQ. You create and edit notes, MIDI events, automation data (for tracks, patterns, aux buses, and the main output), and the tempo map using these tools.

The following table describes each of P-SEQ's Edit tools:

Control... | Description...
Select tool | For selecting, cropping and dragging and dropping data in P-SEQ. You can use the Select tool to select both note and automation data.
Automation tool | Use the Automation tool to enter automation data in P-SEQ.
Notes tool | Use the Notes tool to enter note data in P-SEQ.

Selecting an automation menu item from P-SEQ's Automation Edit menu displays that automation data in P-SEQ for editing.

The following table describes each of P-SEQ's Automation Edit menus:

Control...

Description...
Track (TRK)

Select the track automation parameter you want to edit:
  • Volume--track volume (-INF to +6dB)
  • Balance--track pan (left 0-100; right 0-100; center)
  • Width--width value (0 to 120 degrees)
  • Mute--(on/off)
  • Phase--(on/off)
  • Aux (1-4)--send volume, send pan, send width, send phase
DXi

Select the synth automation parameter you want to edit.
FX

Select the effect automation parameter you want to edit.
MIDI

Select the MIDI automation parameter you want to edit:
  • Velocity
  • Wheel
  • Modulation
  • other

Tempo Map

The Tempo Map, unlike all other controls in P-SEQ, is used to edit a project-wide setting. The Tempo Map you create in P-SEQ affects the entire project. Click the Tempo Map button to enable the Tempo Map for editing.

Use the Select tool to select tempo data. Draw tempo data using the Automation brush.

Swing Eighths Control

You can make a pattern of 8th notes play back as swing 8th notes instead of straight 8th notes. Enable this functionality by clicking the Swing Eighths control and adjusting the Shuffle Amount knob in the Main Control view.

P-SEQ Context Menu

Right-clicking in P-SEQ opens the P-SEQ context menu which has the following commands:

Command... | Description...
Retrograde | Run the Retrograde command, reversing the order of selected events.
Quantize | Opens the Quantize dialog. For more information on the Quantize dialog, see Quantize dialog.
Cut | Cut current selection and add to clipboard.
Copy | Copy current selection and add to clipboard.
Paste | Paste current clipboard selection into P-SEQ.
Delete | Delete current selection.
Split Until Marker | This command will not appear if the Edit Marker is set to 0 in the P-SEQ Time Ruler. Right-click in the current pattern before the Edit Marker and select Split Until Marker to create a new pattern that contains all the data in the current pattern up to the Edit Marker. For more information, see Splitting MIDI Patterns.
Split From Marker | This command will not appear if the Edit Marker is set to 0 in the P-SEQ Time Ruler. Right-click in the current pattern after the Edit Marker and select Split From Marker to create a new pattern that contains all the data in the current pattern after the Edit Marker. For more information, see Splitting MIDI Patterns.


Glossary

PPQ

Parts Per Quarter note, sometimes called ticks. Project5 divides each beat into 960 parts, so, for example, a time location (the Now Time) halfway between the first and second beats of measure one would be displayed as 1:1:480 (measure 1, beat 1, 480 ticks).

Latency

The amount of time it takes between when you press a key on your MIDI controller and when you actually hear the note playing in Project5. You need a latency of 20 mS (milliseconds) or less to hear effective playback in Project5. You set latency in Project5 by using the Options-Audio command to open the Audio Options dialog, and then you drag the Buffer Size slider. If your sound card distorts at the 20 mS mark, you may need to update your sound card driver.

MIDI

Musical Instrument Digital Interface. MIDI data, either played live or saved in MIDI files (extension .mid) triggers audio samples. Patterns in Project5 are MIDI data.

MP3

A popular compression format for audio files. Project5 can export projects as MP3 files (File-Export command).

Now Time

The time location where your project is playing, or would start playing if it is currently stopped. You can display the Now Time in either Measure:Beat:Tick format or Hour:Minutes:Seconds format by clicking the M or H buttons in the time display in Project5's Main Control view.

Pattern

MIDI data and automation. Patterns can be created in Project5 by step recording, real-time recording, or graphic editing in P-SEQ, or they can be imported directly to tracks using the File-Import command.

Plug-in

A software effect or synthesizer that you can use in multiple audio applications that support the format that the plug-in is created in.

Project File

All the data that is in your project, including synths, effects and their settings, pattern data and their arrangement, and track settings.

Signal Flow

The order at which a pattern's data is processed, beginning with a synth patched into the pattern's track and continuing through any effects and aux busses and finally the main output.

Standard MIDI File

Abbreviated as SMF, a MIDI file that contains a MIDI project's essential data, such as patch and track names, notes, and controller data. Standard MIDI Files can be played back by many different hardware and software devices.

Synth

An instrument plug-in, a synth is the beginning of a track's signal flow.

Tempo

The number of beats per minute, or speed, that your project plays back at.

Time Ruler

A horizontal ruler that displays the beat and measure boundaries in a project. Project5 has time rulers in Tracker and in P-SEQ that are independent of each other.

Time Signature

The number of beats in a measure that your Project5 project uses. You can change or edit the time signature by right-clicking the Time Ruler that's at the top of the Tracker, and choosing options from the popup menu.

Track

The beginning of the signal path, a track consists of a pattern or patterns and hosts a synth. You can add effects to the track's signal path in SYN.OPS.

Wave File (.WAV)

The standard format for Windows audio files: 16 bit; 44, 100 sample rate. This is the file format that standard audio CDs use. Project5 can export projects as standard.wav files, and also with different sample rates and/or bit depths.

Width

Somewhat similar to pan. Width contols the feeling of where the speakers you're listening to are located. With the Width control at maximum, the speakers sound like they're beside you. With the Width control at minumum, the speakers sound like they're in front of you.


ArrangingPatterns.html


Automation.html


Basics.html


Dialogs.html


Effects.html


Glossary.html


Menus.html


Patterns.html


QuickStart.html


RemoteControl.html


Rewire.html


Synchron32.html


Synths.html


Troubleshooting.html


Views.html